function [getNext_phi] = getNext_phi(this_phi, y, c, R, alpha)
% Returns the value of phi and it's derivetives in the next step of
% Runge-Kutta iteration (i.e. at the previous value of y).
% Here the 4 values are [phi phi_p phi_pp phi_ppp]
global dy

alphasq = alpha.*alpha;

getNext_phi(1) = this_phi(1) - dy*this_phi(2);
getNext_phi(2) = this_phi(2) - dy*this_phi(3);
getNext_phi(3) = this_phi(3) - dy*this_phi(4);
getNext_phi(4) = this_phi(4) - dy * (i*R.*alpha.*((U(y)-c).*(this_phi(3)-alphasq.*this_phi(1)) - U_pp(y).*this_phi(1)) + 2*alphasq.*this_phi(3) - alphasq.*alphasq.*this_phi(1));
