function [search_c] = search_c(R, alpha)
% searches for c such that the boundary condition at y=0 is satisfied

global phi0_wall phi0_p_wall phi0_pp_wall phi0_ppp_wall  % Values from First Integration Pass stored at the wall
global phiW_wall phiW_p_wall phiW_pp_wall phiW_ppp_wall  % Values from First Integration Pass stored at the wall
global dy phi0 phiW

lambda= 0.5;
c = 0 + 0i;    %Starting value for c
delC = .1+.1i;

loopcount = 0;
while abs(delC) >= 1e-3 | abs(err) >= 1e-8,
%while abs(delC) >= 1e-3,

    solution_I(c, R, alpha)
    solution_II(c, R, alpha)
    err = phi0_wall.*phiW_p_wall - phi0_p_wall.*phiW_wall;

    solution_I(c+delC, R, alpha)
    solution_II(c+delC, R, alpha)
    nxterr = phi0_wall.*phiW_p_wall - phi0_p_wall.*phiW_wall;

    %delC = -lambda * delC * (nxterr/err - 1);
    
    if abs(err) < 1e-10
        break
    end
    
    if nxterr ~= err
        delC = -lambda * delC / (nxterr/err - 1);
    else
        delC = delC * 4;
    end
    c = c + delC;
    delC = .25*delC;
    
    loopcount = loopcount + 1;
    if loopcount > 100
        break
    end
end

%loopcount,
%err,
search_c = c;


yy = dy:dy:1;
plot(yy, real(phi0 - phiW*phi0_wall/phiW_wall));
