function [solution_I] = solution_I(c, R, alpha)
% Performs the first Integration Pass

global phi0     % First Integration Pass Solution
global phi0_p phi0_pp phi0_ppp    % Values from First Integration Pass stored at stations
global phi0_wall phi0_p_wall phi0_pp_wall phi0_ppp_wall  % Values from First Integration Pass stored at the wall
global A4_0     % Initial A4 value chosen for First Integration Pass
global dy dyNos staGap


p4 = -alpha .* sqrt(1 + i*R.*(1-c)./alpha);
%p4 = -alpha;
p4_expp4 = p4 .* exp(p4);
p4sq = p4 .* p4;

% phi(i) stores the (i-1) th derivative of phi
% Initial Values for Runge-Kutta at y = 1
phi(1) = A4_0 * exp(p4);
phi(2) = A4_0 * p4_expp4;
phi(3) = A4_0 * p4 * p4_expp4;
phi(4) = A4_0 * p4sq * p4_expp4;

stationCount = 0;
for stepNo = dyNos:-1:1,
    phi0(stepNo) = phi(1);
    if mod(stepNo, staGap) == 0     % A station has been reached!.... Storing values
        stationCount = stationCount + 1;
        phi0_p(stationCount) = phi(2);
        phi0_pp(stationCount) = phi(3);
        phi0_ppp(stationCount) = phi(4);
    end
    phi = getNext_phi(phi, (stepNo-1)*dy, c, R, alpha);
end

phi0_wall = phi(1);
phi0_p_wall = phi(2);
phi0_pp_wall = phi(3);
phi0_ppp_wall = phi(4);


% =============== TEST ==================

%yy = dy:dy:1;
%plot(yy, log10(abs(phi0)));
