function [solution_II] = solution_II(c, R, alpha)
% Performs the second Integration Pass

global phiW     % Second Integration Pass Solution
global A2_W     % Initial A2 value chosen for Second Integration Pass
global phiW_wall phiW_p_wall phiW_pp_wall phiW_ppp_wall  % Values from First Integration Pass stored at the wall
global dy dyNos staGap


p2 = -alpha;
p2_expp2 = p2 .* exp(p2);
p2sq = p2 .* p2;

% phi(i) stores the (i-1) th derivative of phi
% Initial Values for Runge-Kutta at y = 1
phi(1) = A2_W * exp(p2);
phi(2) = A2_W * p2_expp2;
phi(3) = A2_W * p2 * p2_expp2;
phi(4) = A2_W * p2sq * p2_expp2;

for stepNo = dyNos:-1:1,
    phiW(stepNo) = phi(1);
    phi = getNext_phi(phi, (stepNo-1)*dy, c, R, alpha);
end

phiW_wall = phi(1);
phiW_p_wall = phi(2);
phiW_pp_wall = phi(3);
phiW_ppp_wall = phi(4);


% =============== TEST ==================

%yy = 0:dy:1;
%plot(yy, log10(abs(phiW)));
