(************** Content-type: application/mathematica **************
                     CreatedBy='Mathematica 5.1'

                    Mathematica-Compatible Notebook

This notebook can be used with any Mathematica-compatible
application, such as Mathematica, MathReader or Publicon. The data
for the notebook starts with the line containing stars above.

To get the notebook into a Mathematica-compatible application, do
one of the following:

* Save the data starting with the line of stars above into a file
  with a name ending in .nb, then open the file inside the
  application;

* Copy the data starting with the line of stars above to the
  clipboard, then use the Paste menu command inside the application.

Data for notebooks contains only printable 7-bit ASCII and can be
sent directly in email or through ftp in text mode.  Newlines can be
CR, LF or CRLF (Unix, Macintosh or MS-DOS style).

NOTE: If you modify the data for this notebook not in a Mathematica-
compatible application, you must delete the line below containing
the word CacheID, otherwise Mathematica-compatible applications may
try to use invalid cache data.

For more information on notebooks and Mathematica-compatible 
applications, contact Wolfram Research:
  web: http://www.wolfram.com
  email: info@wolfram.com
  phone: +1-217-398-0700 (U.S.)

Notebook reader applications are available free of charge from 
Wolfram Research.
*******************************************************************)

(*CacheID: 232*)


(*NotebookFileLineBreakTest
NotebookFileLineBreakTest*)
(*NotebookOptionsPosition[    167662,       4009]*)
(*NotebookOutlinePosition[    168343,       4032]*)
(*  CellTagsIndexPosition[    168299,       4028]*)
(*WindowFrame->Normal*)



Notebook[{
Cell[BoxData[
    \(u[y_] := 
      If[0 \[LessEqual] y \[LessEqual] 1, \(-0.5\)\ y\^3 + 1.5\ y, 
        If[y > 1, 1, 0]]\)], "Input"],

Cell[CellGroupData[{

Cell[BoxData[
    \(\(Plot[u[y], {y, 0, 1.1}];\)\)], "Input"],

Cell[GraphicsData["PostScript", "\<\
%!
%%Creator: Mathematica
%%AspectRatio: .61803 
MathPictureStart
/Mabs {
Mgmatrix idtransform
Mtmatrix dtransform
} bind def
/Mabsadd { Mabs
3 -1 roll add
3 1 roll add
exch } bind def
%% Graphics
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10  scalefont  setfont
% Scaling calculations
0.0238095 0.865801 0.0147151 0.588604 [
[.19697 .00222 -9 -9 ]
[.19697 .00222 9 0 ]
[.37013 .00222 -9 -9 ]
[.37013 .00222 9 0 ]
[.54329 .00222 -9 -9 ]
[.54329 .00222 9 0 ]
[.71645 .00222 -9 -9 ]
[.71645 .00222 9 0 ]
[.88961 .00222 -3 -9 ]
[.88961 .00222 3 0 ]
[.01131 .13244 -18 -4.5 ]
[.01131 .13244 0 4.5 ]
[.01131 .25016 -18 -4.5 ]
[.01131 .25016 0 4.5 ]
[.01131 .36788 -18 -4.5 ]
[.01131 .36788 0 4.5 ]
[.01131 .4856 -18 -4.5 ]
[.01131 .4856 0 4.5 ]
[.01131 .60332 -6 -4.5 ]
[.01131 .60332 0 4.5 ]
[ 0 0 0 0 ]
[ 1 .61803 0 0 ]
] MathScale
% Start of Graphics
1 setlinecap
1 setlinejoin
newpath
0 g
.25 Mabswid
[ ] 0 setdash
.19697 .01472 m
.19697 .02097 L
s
[(0.2)] .19697 .00222 0 1 Mshowa
.37013 .01472 m
.37013 .02097 L
s
[(0.4)] .37013 .00222 0 1 Mshowa
.54329 .01472 m
.54329 .02097 L
s
[(0.6)] .54329 .00222 0 1 Mshowa
.71645 .01472 m
.71645 .02097 L
s
[(0.8)] .71645 .00222 0 1 Mshowa
.88961 .01472 m
.88961 .02097 L
s
[(1)] .88961 .00222 0 1 Mshowa
.125 Mabswid
.0671 .01472 m
.0671 .01847 L
s
.11039 .01472 m
.11039 .01847 L
s
.15368 .01472 m
.15368 .01847 L
s
.24026 .01472 m
.24026 .01847 L
s
.28355 .01472 m
.28355 .01847 L
s
.32684 .01472 m
.32684 .01847 L
s
.41342 .01472 m
.41342 .01847 L
s
.45671 .01472 m
.45671 .01847 L
s
.5 .01472 m
.5 .01847 L
s
.58658 .01472 m
.58658 .01847 L
s
.62987 .01472 m
.62987 .01847 L
s
.67316 .01472 m
.67316 .01847 L
s
.75974 .01472 m
.75974 .01847 L
s
.80303 .01472 m
.80303 .01847 L
s
.84632 .01472 m
.84632 .01847 L
s
.9329 .01472 m
.9329 .01847 L
s
.97619 .01472 m
.97619 .01847 L
s
.25 Mabswid
0 .01472 m
1 .01472 L
s
.02381 .13244 m
.03006 .13244 L
s
[(0.2)] .01131 .13244 1 0 Mshowa
.02381 .25016 m
.03006 .25016 L
s
[(0.4)] .01131 .25016 1 0 Mshowa
.02381 .36788 m
.03006 .36788 L
s
[(0.6)] .01131 .36788 1 0 Mshowa
.02381 .4856 m
.03006 .4856 L
s
[(0.8)] .01131 .4856 1 0 Mshowa
.02381 .60332 m
.03006 .60332 L
s
[(1)] .01131 .60332 1 0 Mshowa
.125 Mabswid
.02381 .04415 m
.02756 .04415 L
s
.02381 .07358 m
.02756 .07358 L
s
.02381 .10301 m
.02756 .10301 L
s
.02381 .16187 m
.02756 .16187 L
s
.02381 .1913 m
.02756 .1913 L
s
.02381 .22073 m
.02756 .22073 L
s
.02381 .27959 m
.02756 .27959 L
s
.02381 .30902 m
.02756 .30902 L
s
.02381 .33845 m
.02756 .33845 L
s
.02381 .39731 m
.02756 .39731 L
s
.02381 .42674 m
.02756 .42674 L
s
.02381 .45617 m
.02756 .45617 L
s
.02381 .51503 m
.02756 .51503 L
s
.02381 .54446 m
.02756 .54446 L
s
.02381 .57389 m
.02756 .57389 L
s
.25 Mabswid
.02381 0 m
.02381 .61803 L
s
0 0 m
1 0 L
1 .61803 L
0 .61803 L
closepath
clip
newpath
.5 Mabswid
.02381 .01472 m
.06244 .05409 L
.10458 .09684 L
.14415 .13664 L
.18221 .17444 L
.22272 .21398 L
.26171 .25121 L
.30316 .28969 L
.34309 .32554 L
.3815 .35872 L
.42237 .39244 L
.46172 .42319 L
.49955 .45103 L
.53984 .47863 L
.57861 .50304 L
.61984 .5265 L
.65954 .5465 L
.69774 .56316 L
.73838 .57795 L
.77751 .58916 L
.79749 .59368 L
.81909 .59762 L
.82924 .59913 L
.83996 .60047 L
.85 .6015 L
.85916 .60224 L
.86864 .60281 L
.87386 .60303 L
.87625 .60311 L
.8788 .60318 L
.88097 .60323 L
.88212 .60325 L
.88336 .60327 L
.8845 .60329 L
.88554 .6033 L
.88653 .60331 L
.88758 .60331 L
.88872 .60332 L
.88994 .60332 L
.8911 .60332 L
.89214 .60332 L
.89713 .60332 L
.93711 .60332 L
.97558 .60332 L
.97619 .60332 L
s
% End of Graphics
MathPictureEnd
\
\>"], "Graphics",
  ImageSize->{288, 177.938},
  ImageMargins->{{0, 0}, {0, 0}},
  ImageRegion->{{0, 1}, {0, 1}},
  ImageCache->GraphicsData["Bitmap", "\<\
CF5dJ6E]HGAYHf4PAg9QL6QYHg<PAVmbKF5d0`40004P0000/B000`400?l00000o`00003oo`3ooolQ
0?ooo`00?@3oool2000000@0oooo0P0000030?ooo`@00000803oool2000000@0oooo0P0000050?oo
o`<000007`3oool2000000@0oooo0P0000030?ooo`<000008@3oool2000000@0oooo0P0000040?oo
o`8000009P3oool5000001d0oooo000l0?ooo`040000003oool0oooo000000P0oooo00<000000?oo
o`3oool0803oool010000000oooo0?ooo`00000;0?ooo`030000003oool0oooo01d0oooo00@00000
0?ooo`3oool00000203oool010000000oooo0?ooo`00000O0?ooo`040000003oool0oooo000000P0
oooo00@000000?ooo`3oool000009`3oool00`000000oooo0?ooo`0M0?ooo`00?03oool010000000
oooo0?ooo`0000090?ooo`030000003oool0oooo01l0oooo00@000000?ooo`3oool00000203oool5
000001h0oooo00@000000?ooo`3oool00000203oool010000000oooo0?ooo`00000O0?ooo`040000
003oool0oooo000000P0oooo00@000000?ooo`3oool000009`3oool00`000000oooo0?ooo`0M0?oo
o`00?03oool010000000oooo0?ooo`00000:0?ooo`030000003oool0oooo01h0oooo00@000000?oo
o`3oool00000203oool010000000oooo0?ooo`00000O0?ooo`040000003oool0oooo000000P0oooo
0`00000P0?ooo`040000003oool0oooo000000T0oooo0P00000X0?ooo`030000003oool0oooo01d0
oooo000l0?ooo`040000003oool0oooo000000P0oooo00@000000?ooo`3oool000007`3oool01000
0000oooo0?ooo`0000090?ooo`030000003oool0000001l0oooo00@000000?ooo`3oool000002@3o
ool00`000000oooo0?ooo`0O0?ooo`040000003oool0oooo000000P0oooo00@000000?ooo`3oool0
00009`3oool00`000000oooo0?ooo`0M0?ooo`00?@3oool2000000X0oooo0P00000Q0?ooo`800000
2`3oool200000200oooo0P00000:0?ooo`<00000803oool2000000X0oooo0P00000W0?ooo`800000
7`3oool00?l0oooo8@3oool001D0oooo00<000000?ooo`3oool0o`3oool90?ooo`005@3oool00`00
0000oooo0?ooo`3o0?ooo`T0oooo000E0?ooo`030000003oool0oooo0?l0oooo2@3oool001D0oooo
00<000000?ooo`3oool0o`3oool90?ooo`003`3ooooo0000014000000@3oool001D0oooo0P00000:
0?ooo`030000003oool0oooo00T0oooo00<000000?ooo`3oool0203oool00`000000oooo0?ooo`09
0?ooo`030000003oool0oooo00T0oooo00<000000?ooo`3oool02@3oool00`000000oooo0?ooo`08
0?ooo`030000003oool0oooo00T0oooo00<000000?ooo`3oool02@3oool00`000000oooo0?ooo`09
0?ooo`030000003oool0oooo00P0oooo00<000000?ooo`3oool02@3oool00`000000oooo0?ooo`09
0?ooo`030000003oool0oooo00T0oooo00<000000?ooo`3oool02@3oool00`000000oooo0?ooo`08
0?ooo`030000003oool0oooo00T0oooo00<000000?ooo`3oool02@3oool00`000000oooo0?ooo`09
0?ooo`030000003oool0oooo00P0oooo00<000000?ooo`3oool02@3oool00`000000oooo0?ooo`09
0?ooo`030000003oool0oooo00D0oooo000E0?ooo`030000003oool0000002`0oooo00<000000?oo
o`3oool0;03oool00`000000oooo0?ooo`0/0?ooo`030000003oool0oooo02`0oooo00<000000?oo
o`3oool0;03oool00`000000oooo0?ooo`0M0?ooo`005@3oool010000000oooo0?ooo`00003o0?oo
o`P0oooo000E0?ooo`050000003oool0oooo0?ooo`000000o`3oool70?ooo`005@3oool00`000000
oooo0?ooo`020?ooo`030000003oool0oooo0?l0oooo103oool001D0oooo00<000000?ooo`3oool0
0P3oool00`000000oooo0?ooo`3o0?ooo`@0oooo000E0?ooo`030000003oool0oooo00<0oooo00<0
00000?ooo`3oool0o`3oool30?ooo`005@3oool2000000D0oooo00<000000?ooo`3oool0o`3oool2
0?ooo`005@3oool00`000000oooo0?ooo`050?ooo`030000003oool0oooo0?l0oooo0@3oool001D0
oooo00<000000?ooo`3oool01P3oool00`000000oooo0?ooo`3o0?ooo`005@3oool00`000000oooo
0?ooo`070?ooo`030000003oool0oooo0?h0oooo000E0?ooo`030000003oool0oooo00P0oooo00<0
00000?ooo`3oool0o@3oool001D0oooo00<000000?ooo`3oool02@3oool00`000000oooo0?ooo`3l
0?ooo`005@3oool00`000000oooo0?ooo`0:0?ooo`030000003oool0oooo0?/0oooo000E0?ooo`03
0000003oool0oooo00/0oooo00<000000?ooo`3oool0nP3oool001D0oooo0P00000=0?ooo`030000
003oool0oooo0?T0oooo000E0?ooo`030000003oool0oooo00d0oooo0P00003i0?ooo`005@3oool0
0`000000oooo0?ooo`0?0?ooo`030000003oool0oooo0?H0oooo000E0?ooo`030000003oool0oooo
0100oooo00<000000?ooo`3oool0m@3oool001D0oooo00<000000?ooo`3oool04@3oool00`000000
oooo0?ooo`3d0?ooo`005@3oool00`000000oooo0?ooo`0B0?ooo`030000003oool0oooo0?<0oooo
000E0?ooo`030000003oool0oooo01<0oooo00<000000?ooo`3oool0lP3oool001D0oooo00<00000
0?ooo`3oool0503oool00`000000oooo0?ooo`3a0?ooo`005@3oool2000001H0oooo00<000000?oo
o`3oool0l03oool001D0oooo00<000000?ooo`3oool05P3oool00`000000oooo0?ooo`3_0?ooo`00
5@3oool00`000000oooo0?ooo`0G0?ooo`030000003oool0oooo0>h0oooo000E0?ooo`030000003o
ool0oooo01P0oooo00<000000?ooo`3oool0k@3oool001D0oooo00<000000?ooo`3oool06@3oool0
0`000000oooo0?ooo`3/0?ooo`005@3oool00`000000oooo0?ooo`0J0?ooo`030000003oool0oooo
0>/0oooo00020?ooo`800000103oool2000000<0oooo100000040?ooo`030000003oool0oooo01/0
oooo00<000000?ooo`3oool0jP3oool000050?ooo`000000oooo0?ooo`000000203oool00`000000
oooo0?ooo`050?ooo`030000003oool0oooo01`0oooo00<000000?ooo`3oool0j@3oool000050?oo
o`000000oooo0?ooo`0000002@3oool00`000000oooo0?ooo`040?ooo`<000007@3oool00`000000
oooo0?ooo`3X0?ooo`0000D0oooo0000003oool0oooo0000000:0?ooo`030000003oool0oooo00<0
oooo00<000000?ooo`3oool07P3oool00`000000oooo0?ooo`3W0?ooo`0000D0oooo0000003oool0
oooo000000080?ooo`040000003oool0oooo000000@0oooo00<000000?ooo`3oool07`3oool00`00
0000oooo0?ooo`3V0?ooo`000P3oool2000000X0oooo0P0000050?ooo`030000003oool0oooo0200
oooo00<000000?ooo`3oool0i@3oool001D0oooo00<000000?ooo`3oool08@3oool00`000000oooo
0?ooo`3T0?ooo`005@3oool00`000000oooo0?ooo`0R0?ooo`030000003oool0oooo0><0oooo000E
0?ooo`030000003oool0oooo02<0oooo00<000000?ooo`3oool0hP3oool001D0oooo00<000000?oo
o`3oool0903oool00`000000oooo0?ooo`3Q0?ooo`005@3oool2000002H0oooo00<000000?ooo`3o
ool0h03oool001D0oooo00<000000?ooo`3oool09P3oool00`000000oooo0?ooo`3O0?ooo`005@3o
ool00`000000oooo0?ooo`0W0?ooo`030000003oool0oooo0=h0oooo000E0?ooo`030000003oool0
oooo02P0oooo00<000000?ooo`3oool0g@3oool001D0oooo00<000000?ooo`3oool0:@3oool00`00
0000oooo0?ooo`3L0?ooo`005@3oool00`000000oooo0?ooo`0Z0?ooo`030000003oool0oooo0=/0
oooo000E0?ooo`030000003oool0oooo02/0oooo00<000000?ooo`3oool0fP3oool001D0oooo00<0
00000?ooo`3oool0;03oool00`000000oooo0?ooo`3I0?ooo`005@3oool2000002h0oooo00<00000
0?ooo`3oool0f03oool001D0oooo00<000000?ooo`3oool0;P3oool00`000000oooo0?ooo`3G0?oo
o`005@3oool00`000000oooo0?ooo`0_0?ooo`030000003oool0oooo0=H0oooo000E0?ooo`030000
003oool0oooo0300oooo00<000000?ooo`3oool0e@3oool001D0oooo00<000000?ooo`3oool0<@3o
ool00`000000oooo0?ooo`3D0?ooo`005@3oool00`000000oooo0?ooo`0b0?ooo`030000003oool0
oooo0=<0oooo000E0?ooo`030000003oool0oooo03<0oooo00<000000?ooo`3oool0dP3oool001D0
oooo00<000000?ooo`3oool0=03oool00`000000oooo0?ooo`3A0?ooo`005@3oool2000003H0oooo
00<000000?ooo`3oool0d03oool001D0oooo00<000000?ooo`3oool0=P3oool00`000000oooo0?oo
o`3?0?ooo`005@3oool00`000000oooo0?ooo`0g0?ooo`030000003oool0oooo0<h0oooo000E0?oo
o`030000003oool0oooo03P0oooo0P00003>0?ooo`005@3oool00`000000oooo0?ooo`0j0?ooo`03
0000003oool0oooo0</0oooo000E0?ooo`030000003oool0oooo03/0oooo00<000000?ooo`3oool0
bP3oool00080oooo0P0000040?ooo`8000001@3oool3000000<0oooo00<000000?ooo`3oool0?03o
ool00`000000oooo0?ooo`390?ooo`0000D0oooo0000003oool0oooo0000000;0?ooo`030000003o
ool0oooo0080oooo00<000000?ooo`3oool0?@3oool00`000000oooo0?ooo`380?ooo`0000D0oooo
0000003oool0oooo000000080?ooo`D000000`3oool3000003h0oooo00<000000?ooo`3oool0a`3o
ool000050?ooo`000000oooo0?ooo`000000203oool010000000oooo0?ooo`0000040?ooo`030000
003oool0oooo03l0oooo00<000000?ooo`3oool0aP3oool000050?ooo`000000oooo0?ooo`000000
2@3oool00`000000oooo000000040?ooo`030000003oool0oooo0400oooo00<000000?ooo`3oool0
a@3oool00080oooo0P00000;0?ooo`800000103oool00`000000oooo0?ooo`110?ooo`030000003o
ool0oooo0<@0oooo000E0?ooo`030000003oool0oooo0480oooo00<000000?ooo`3oool0``3oool0
01D0oooo00<000000?ooo`3oool0@`3oool00`000000oooo0?ooo`320?ooo`005@3oool00`000000
oooo0?ooo`140?ooo`030000003oool0oooo0<40oooo000E0?ooo`030000003oool0oooo04D0oooo
00<000000?ooo`3oool0`03oool001D0oooo0P0000170?ooo`030000003oool0oooo0;l0oooo000E
0?ooo`030000003oool0oooo04L0oooo00<000000?ooo`3oool0_P3oool001D0oooo00<000000?oo
o`3oool0B03oool00`000000oooo0?ooo`2m0?ooo`005@3oool00`000000oooo0?ooo`190?ooo`03
0000003oool0oooo0;`0oooo000E0?ooo`030000003oool0oooo04X0oooo00<000000?ooo`3oool0
^`3oool001D0oooo00<000000?ooo`3oool0B`3oool200000;/0oooo000E0?ooo`030000003oool0
oooo04d0oooo00<000000?ooo`3oool0^03oool001D0oooo00<000000?ooo`3oool0CP3oool00`00
0000oooo0?ooo`2g0?ooo`005@3oool200000500oooo00<000000?ooo`3oool0]P3oool001D0oooo
00<000000?ooo`3oool0D03oool00`000000oooo0?ooo`2e0?ooo`005@3oool00`000000oooo0?oo
o`1A0?ooo`800000]@3oool001D0oooo00<000000?ooo`3oool0D`3oool00`000000oooo0?ooo`2b
0?ooo`005@3oool00`000000oooo0?ooo`1D0?ooo`030000003oool0oooo0;40oooo000E0?ooo`03
0000003oool0oooo05D0oooo00<000000?ooo`3oool0/03oool001D0oooo00<000000?ooo`3oool0
EP3oool00`000000oooo0?ooo`2_0?ooo`005@3oool00`000000oooo0?ooo`1G0?ooo`030000003o
ool0oooo0:h0oooo000E0?ooo`800000F@3oool00`000000oooo0?ooo`2]0?ooo`005@3oool00`00
0000oooo0?ooo`1I0?ooo`800000[@3oool001D0oooo00<000000?ooo`3oool0F`3oool00`000000
oooo0?ooo`2Z0?ooo`005@3oool00`000000oooo0?ooo`1L0?ooo`030000003oool0oooo0:T0oooo
000E0?ooo`030000003oool0oooo05d0oooo00<000000?ooo`3oool0Z03oool001D0oooo00<00000
0?ooo`3oool0GP3oool00`000000oooo0?ooo`2W0?ooo`000P3oool2000000@0oooo0P0000030?oo
o`<000001@3oool00`000000oooo0?ooo`1O0?ooo`030000003oool0oooo0:H0oooo00001@3oool0
00000?ooo`3oool0000000P0oooo00@000000?ooo`3oool00000103oool00`000000oooo0?ooo`1P
0?ooo`030000003oool0oooo0:D0oooo00001@3oool000000?ooo`3oool0000000P0oooo00@00000
0?ooo`3oool00000103oool300000640oooo00<000000?ooo`3oool0Y03oool000050?ooo`000000
oooo0?ooo`000000203oool3000000D0oooo00<000000?ooo`3oool0HP3oool00`000000oooo0?oo
o`2S0?ooo`0000D0oooo0000003oool0oooo000000090?ooo`030000003oool0oooo00@0oooo00<0
00000?ooo`3oool0H`3oool200000:<0oooo00020?ooo`8000002P3oool3000000@0oooo00<00000
0?ooo`3oool0I@3oool00`000000oooo0?ooo`2P0?ooo`005@3oool00`000000oooo0?ooo`1V0?oo
o`030000003oool0oooo09l0oooo000E0?ooo`030000003oool0oooo06L0oooo00<000000?ooo`3o
ool0WP3oool001D0oooo00<000000?ooo`3oool0J03oool00`000000oooo0?ooo`2M0?ooo`005@3o
ool00`000000oooo0?ooo`1Y0?ooo`030000003oool0oooo09`0oooo000E0?ooo`800000J`3oool2
000009`0oooo000E0?ooo`030000003oool0oooo06`0oooo00<000000?ooo`3oool0V@3oool001D0
oooo00<000000?ooo`3oool0K@3oool00`000000oooo0?ooo`2H0?ooo`005@3oool00`000000oooo
0?ooo`1^0?ooo`800000V03oool001D0oooo00<000000?ooo`3oool0L03oool00`000000oooo0?oo
o`2E0?ooo`005@3oool00`000000oooo0?ooo`1a0?ooo`030000003oool0oooo09@0oooo000E0?oo
o`030000003oool0oooo0780oooo0P00002D0?ooo`005@3oool00`000000oooo0?ooo`1d0?ooo`03
0000003oool0oooo0940oooo000E0?ooo`800000MP3oool00`000000oooo0?ooo`2@0?ooo`005@3o
ool00`000000oooo0?ooo`1f0?ooo`800000T03oool001D0oooo00<000000?ooo`3oool0N03oool0
0`000000oooo0?ooo`2=0?ooo`005@3oool00`000000oooo0?ooo`1i0?ooo`030000003oool0oooo
08`0oooo000E0?ooo`030000003oool0oooo07X0oooo00<000000?ooo`3oool0R`3oool001D0oooo
00<000000?ooo`3oool0N`3oool2000008/0oooo000E0?ooo`030000003oool0oooo07d0oooo00<0
00000?ooo`3oool0R03oool001D0oooo00<000000?ooo`3oool0OP3oool00`000000oooo0?ooo`27
0?ooo`005@3oool200000800oooo0P0000270?ooo`005@3oool00`000000oooo0?ooo`210?ooo`03
0000003oool0oooo08@0oooo000E0?ooo`030000003oool0oooo0880oooo0P0000240?ooo`005@3o
ool00`000000oooo0?ooo`240?ooo`800000PP3oool001D0oooo00<000000?ooo`3oool0QP3oool0
0`000000oooo0?ooo`1o0?ooo`005@3oool00`000000oooo0?ooo`270?ooo`800000O`3oool00080
oooo0P0000040?ooo`800000103oool2000000D0oooo00<000000?ooo`3oool0R@3oool00`000000
oooo0?ooo`1l0?ooo`0000D0oooo0000003oool0oooo000000080?ooo`040000003oool0oooo0000
00@0oooo00<000000?ooo`3oool0RP3oool2000007`0oooo00001@3oool000000?ooo`3oool00000
00P0oooo00@000000?ooo`3oool00000103oool3000008`0oooo00<000000?ooo`3oool0N@3oool0
00050?ooo`000000oooo0?ooo`0000002@3oool2000000D0oooo00<000000?ooo`3oool0S@3oool2
000007T0oooo00001@3oool000000?ooo`3oool0000000P0oooo00@000000?ooo`3oool00000103o
ool00`000000oooo0?ooo`2?0?ooo`800000M`3oool00080oooo0P00000:0?ooo`8000001@3oool0
0`000000oooo0?ooo`2A0?ooo`030000003oool0oooo07@0oooo000E0?ooo`030000003oool0oooo
0980oooo0P00001d0?ooo`005@3oool00`000000oooo0?ooo`2D0?ooo`030000003oool0oooo0740
oooo000E0?ooo`030000003oool0oooo09D0oooo0P00001a0?ooo`005@3oool00`000000oooo0?oo
o`2G0?ooo`800000K`3oool001D0oooo0P00002J0?ooo`800000K@3oool001D0oooo00<000000?oo
o`3oool0V`3oool2000006/0oooo000E0?ooo`030000003oool0oooo09d0oooo0P00001Y0?ooo`00
5@3oool00`000000oooo0?ooo`2O0?ooo`030000003oool0oooo06H0oooo000E0?ooo`030000003o
ool0oooo0:00oooo0P00001V0?ooo`005@3oool00`000000oooo0?ooo`2R0?ooo`800000I03oool0
01D0oooo00<000000?ooo`3oool0Y03oool200000680oooo000E0?ooo`030000003oool0oooo0:H0
oooo0P00001P0?ooo`005@3oool200000:T0oooo0P00001N0?ooo`005@3oool00`000000oooo0?oo
o`2Z0?ooo`800000G03oool001D0oooo00<000000?ooo`3oool0[03oool2000005X0oooo000E0?oo
o`030000003oool0oooo0:h0oooo0`00001G0?ooo`005@3oool00`000000oooo0?ooo`2a0?ooo`80
0000E@3oool001D0oooo00<000000?ooo`3oool0/`3oool300000580oooo000E0?ooo`030000003o
ool0oooo0;H0oooo0`00001?0?ooo`005@3oool00`000000oooo0?ooo`2i0?ooo`800000C@3oool0
01D0oooo0P00002l0?ooo`<00000BP3oool001D0oooo00<000000?ooo`3oool0_P3oool3000004L0
oooo000E0?ooo`030000003oool0oooo0<40oooo100000130?ooo`005@3oool00`000000oooo0?oo
o`350?ooo`@00000?`3oool001D0oooo00<000000?ooo`3oool0b@3oool4000003/0oooo000E0?oo
o`030000003oool0oooo0<d0oooo1@00000f0?ooo`003@3oool5000000<0oooo00<000000?ooo`3o
ool0dP3oool500000340oooo000?0?ooo`030000003oool0oooo00<0oooo00<000000?ooo`3oool0
e`3oool6000002/0oooo000?0?ooo`030000003oool0oooo00<0oooo0`00003M0?ooob@000001`3o
ool000l0oooo00<000000?ooo`3oool00`3oool00`000000oooo0?ooo`3o0?ooo`T0oooo000?0?oo
o`030000003oool0oooo00<0oooo00<000000?ooo`3oool0o`3oool90?ooo`003P3oool2000000D0
oooo00<000000?ooo`3oool0o`3oool90?ooo`005@3oool00`000000oooo0?ooo`3o0?ooo`T0oooo
0000\
\>"],
  ImageRangeCache->{{{0, 287}, {176.938, 0}} -> {-0.0912837, -0.07747, \
0.00424797, 0.00624851}}]
}, Open  ]],

Cell[BoxData[
    \(L[\[Phi]_] := \((u[y] - 
              c)\)\ \((D[\[Phi], {y, 
                  2}] - \[Alpha]\^2\ \[Phi])\)\ \  - \ \ \[Phi]\ D[
            u[y], {y, 
              2}]\ \  + \ \ \(\[ImaginaryI]\/\(\[Alpha]\ R\)\) \((D[\[Phi], \
{y, 4}] - 2\ \[Alpha]\^2\ D[\[Phi], {y, 
                    2}] + \(\[Alpha]\^4\) \[Phi])\)\)], "Input"],

Cell[CellGroupData[{

Cell[BoxData[{
    \(\[CurlyPhi]No = 4\), "\[IndentingNewLine]", 
    \(\[CurlyPhi]\_1[y_] := 
      y\^2\ \[ExponentialE]\^\(\(- .1\) y\)\), "\[IndentingNewLine]", 
    \(\[CurlyPhi]\_2[y_] := 
      y\^2.5\ \[ExponentialE]\^\(\(- .08\)\ y\)\), "\[IndentingNewLine]", 
    \(\[CurlyPhi]\_3[y_] := 
      y\^3\ \[ExponentialE]\^\(\(- .06\)\ y\)\), "\[IndentingNewLine]", 
    \(\[CurlyPhi]\_4[y_] := 
      y\^3.5\ \[ExponentialE]\^\(\(- .04\)\ y\)\), "\[IndentingNewLine]", 
    \(\[CurlyPhi]\_5[y_] := 
      y\^4\ \[ExponentialE]\^\(\(- .02\)\ y\)\), "\[IndentingNewLine]", 
    \(\[CurlyPhi]\_6[y_] := 
      y\^7\ \[ExponentialE]\^\(\(- .001\)\ y\)\), "\[IndentingNewLine]", 
    \(\[CurlyPhi]\_7[y_] := 
      y\^8\ \[ExponentialE]\^\(\(- .0001\)\ y\)\), "\[IndentingNewLine]", 
    \(\[CurlyPhi]\_8[y_] := 
      y\^9\ \[ExponentialE]\^\(\(- .0001\)\ y\)\), "\[IndentingNewLine]", 
    \(\[CurlyPhi]\_9[y_] := 
      y\^10\ \[ExponentialE]\^\(\(- .00001\)\ y\)\), "\[IndentingNewLine]", 
    \(\[CurlyPhi]\_10[y_] := 
      y\^11\ \[ExponentialE]\^\(\(- .00001\)\ y\)\)}], "Input"],

Cell[BoxData[
    \(4\)], "Output"]
}, Open  ]],

Cell[BoxData[
    \(e[y_] := 
      L[\[Sum]\+\(i = 1\)\%\[CurlyPhi]No \[Zeta]\_i\ \[CurlyPhi]\_i[
              y]]\)], "Input"],

Cell[CellGroupData[{

Cell[BoxData[
    \(e[y]\)], "Input"],

Cell[BoxData[
    \(\(-If[0 \[LessEqual] y \[LessEqual] 1, \(-3.`\)\ y, 
            If[y > 1, 0, 
              0]]\)\ \((\[ExponentialE]\^\(\(-0.1`\)\ y\)\ y\^2\ \[Zeta]\_1 + \
\[ExponentialE]\^\(\(-0.07`\)\ y\)\ y\^2.5`\ \[Zeta]\_2 + \[ExponentialE]\^\(\
\(-0.04`\)\ y\)\ y\^3\ \[Zeta]\_3 + \[ExponentialE]\^\(\(-0.01`\)\ y\)\ \
y\^3.5`\ \[Zeta]\_4)\) + \((\(-c\) + 
            If[0 \[LessEqual] y \[LessEqual] 1, \(-0.5`\)\ y\^3 + 1.5`\ y, 
              If[y > 1, 1, 
                0]])\)\ \((\((2\ \[ExponentialE]\^\(\(-0.1`\)\ y\) - 
                  0.4`\ \[ExponentialE]\^\(\(-0.1`\)\ y\)\ y + 
                  0.010000000000000002`\ \[ExponentialE]\^\(\(-0.1`\)\ y\)\ y\
\^2)\)\ \[Zeta]\_1 + \((3.75`\ \[ExponentialE]\^\(\(-0.07`\)\ y\)\ y\^0.5` - 
                  0.35000000000000003`\ \[ExponentialE]\^\(\(-0.07`\)\ y\)\ y\
\^1.5` + 0.004900000000000001`\ \[ExponentialE]\^\(\(-0.07`\)\ y\)\ \
y\^2.5`)\)\ \[Zeta]\_2 + \((6\ \[ExponentialE]\^\(\(-0.04`\)\ y\)\ y - 
                  0.24`\ \[ExponentialE]\^\(\(-0.04`\)\ y\)\ y\^2 + 
                  0.0016`\ \[ExponentialE]\^\(\(-0.04`\)\ y\)\ y\^3)\)\ \
\[Zeta]\_3 + \((8.75`\ \[ExponentialE]\^\(\(-0.01`\)\ y\)\ y\^1.5` - 
                  0.07`\ \[ExponentialE]\^\(\(-0.01`\)\ y\)\ y\^2.5` + 
                  0.0001`\ \[ExponentialE]\^\(\(-0.01`\)\ y\)\ y\^3.5`)\)\ \
\[Zeta]\_4 - \[Alpha]\^2\ \((\[ExponentialE]\^\(\(-0.1`\)\ y\)\ y\^2\ \[Zeta]\
\_1 + \[ExponentialE]\^\(\(-0.07`\)\ y\)\ y\^2.5`\ \[Zeta]\_2 + \
\[ExponentialE]\^\(\(-0.04`\)\ y\)\ y\^3\ \[Zeta]\_3 + \
\[ExponentialE]\^\(\(-0.01`\)\ y\)\ y\^3.5`\ \[Zeta]\_4)\))\) + \(\(1\/\(R\ \
\[Alpha]\)\)\((\[ImaginaryI]\ \((\((0.12000000000000002`\ \[ExponentialE]\^\(\
\(-0.1`\)\ y\) - 
                    0.008000000000000002`\ \[ExponentialE]\^\(\(-0.1`\)\ y\)\ \
y + 0.00010000000000000003`\ \[ExponentialE]\^\(\(-0.1`\)\ y\)\ y\^2)\)\ \
\[Zeta]\_1 + \((\(-\(\(0.9375`\ \[ExponentialE]\^\(\(-0.07`\)\ y\)\)\/y\^1.5`\
\)\) - \(0.525`\ \[ExponentialE]\^\(\(-0.07`\)\ y\)\)\/y\^0.5` + 
                    0.11025000000000001`\ \[ExponentialE]\^\(\(-0.07`\)\ y\)\ \
y\^0.5` - 
                    0.0034300000000000008`\ \[ExponentialE]\^\(\(-0.07`\)\ \
y\)\ y\^1.5` + 
                    0.00002401000000000001`\ \[ExponentialE]\^\(\(-0.07`\)\ y\
\)\ y\^2.5`)\)\ \[Zeta]\_2 + \((\(-0.96`\)\ \[ExponentialE]\^\(\(-0.04`\)\ \
y\) + 0.057600000000000005`\ \[ExponentialE]\^\(\(-0.04`\)\ y\)\ y - 
                    0.0007680000000000001`\ \[ExponentialE]\^\(\(-0.04`\)\ \
y\)\ y\^2 + 
                    2.5600000000000005`*^-6\ \[ExponentialE]\^\(\(-0.04`\)\ y\
\)\ y\^3)\)\ \[Zeta]\_3 + \((\(6.5625`\ \[ExponentialE]\^\(\(-0.01`\)\ \
y\)\)\/y\^0.5` - 0.525`\ \[ExponentialE]\^\(\(-0.01`\)\ y\)\ y\^0.5` + 
                    0.00525`\ \[ExponentialE]\^\(\(-0.01`\)\ y\)\ y\^1.5` - 
                    0.000014000000000000001`\ \[ExponentialE]\^\(\(-0.01`\)\ \
y\)\ y\^2.5` + 
                    1.0000000000000002`*^-8\ \[ExponentialE]\^\(\(-0.01`\)\ y\
\)\ y\^3.5`)\)\ \[Zeta]\_4 + \[Alpha]\^4\ \((\[ExponentialE]\^\(\(-0.1`\)\ \
y\)\ y\^2\ \[Zeta]\_1 + \[ExponentialE]\^\(\(-0.07`\)\ y\)\ y\^2.5`\ \
\[Zeta]\_2 + \[ExponentialE]\^\(\(-0.04`\)\ y\)\ y\^3\ \[Zeta]\_3 + \
\[ExponentialE]\^\(\(-0.01`\)\ y\)\ y\^3.5`\ \[Zeta]\_4)\) - 
              2\ \[Alpha]\^2\ \((\((2\ \[ExponentialE]\^\(\(-0.1`\)\ y\) - 
                          0.4`\ \[ExponentialE]\^\(\(-0.1`\)\ y\)\ y + 
                          0.010000000000000002`\ \[ExponentialE]\^\(\(-0.1`\)\
\ y\)\ y\^2)\)\ \[Zeta]\_1 + \((3.75`\ \[ExponentialE]\^\(\(-0.07`\)\ y\)\ \
y\^0.5` - 0.35000000000000003`\ \[ExponentialE]\^\(\(-0.07`\)\ y\)\ y\^1.5` + 
                          0.004900000000000001`\ \
\[ExponentialE]\^\(\(-0.07`\)\ y\)\ y\^2.5`)\)\ \[Zeta]\_2 + \((6\ \
\[ExponentialE]\^\(\(-0.04`\)\ y\)\ y - 
                          0.24`\ \[ExponentialE]\^\(\(-0.04`\)\ y\)\ y\^2 + 
                          0.0016`\ \[ExponentialE]\^\(\(-0.04`\)\ y\)\ \
y\^3)\)\ \[Zeta]\_3 + \((8.75`\ \[ExponentialE]\^\(\(-0.01`\)\ y\)\ y\^1.5` - 
                          0.07`\ \[ExponentialE]\^\(\(-0.01`\)\ y\)\ y\^2.5` \
+ 0.0001`\ \[ExponentialE]\^\(\(-0.01`\)\ y\)\ y\^3.5`)\)\ \
\[Zeta]\_4)\))\))\)\)\)], "Output"]
}, Open  ]],

Cell[BoxData[
    \(For[i = 1, i \[LessEqual] \[CurlyPhi]No, \(i++\), 
      p\_i = \[Integral]\_0\%\[Infinity] e[y]\ \[CurlyPhi]\_i[
              y]\ \[DifferentialD]y]\)], "Input"],

Cell[CellGroupData[{

Cell[BoxData[
    \(m = 
      Table[Coefficient[
          p\_i, \[Zeta]\_\(j +  .0\)], {i, \[CurlyPhi]No}, {j, \
\[CurlyPhi]No}]\)], "Input"],

Cell[BoxData[
    \({{\(\(1\/\(R\ \[Alpha]\)\)\((1.5797859788340467`*^-184\ \((\((\(\(0.`\)\
\(\[InvisibleSpace]\)\) + 4.7474785195494266`*^184\ \[ImaginaryI])\) - 
                1.5802543015561318`*^186\ R\ \[Alpha] + 
                1.5824928398498077`*^186\ c\ R\ \[Alpha] + \((\(\(0.`\)\(\
\[InvisibleSpace]\)\) + 
                      3.1649856796996153`*^186\ \[ImaginaryI])\)\ \[Alpha]\^2 \
- 4.747477822305893`*^188\ R\ \[Alpha]\^3 + 
                4.747478519549426`*^188\ c\ R\ \[Alpha]\^3 + \((\(\(0.`\)\(\
\[InvisibleSpace]\)\) + 
                      4.747478519549426`*^188\ \[ImaginaryI])\)\ \[Alpha]\^4)\
\))\)\), \(\(1\/\(R\ \[Alpha]\)\)\((1.5797859788340467`*^-184\ \
\((\((\(\(0.`\)\(\[InvisibleSpace]\)\) + 
                    1.0169399796121319`*^185\ \[ImaginaryI])\) - 
                8.15516024187131`*^186\ R\ \[Alpha] + 
                8.157080401835822`*^186\ c\ R\ \[Alpha] + \((\(\(0.`\)\(\
\[InvisibleSpace]\)\) + 
                      1.6314160803671643`*^187\ \[ImaginaryI])\)\ \[Alpha]\^2 \
- 5.659648240516959`*^189\ R\ \[Alpha]\^3 + 
                5.65964829642794`*^189\ c\ R\ \[Alpha]\^3 + \((\(\(0.`\)\(\
\[InvisibleSpace]\)\) + 
                      5.65964829642794`*^189\ \[ImaginaryI])\)\ \
\[Alpha]\^4)\))\)\), \(\(1\/\(R\ \[Alpha]\)\)\((1.5797859788340467`*^-184\ \
\((\((\(\(0.`\)\(\[InvisibleSpace]\)\) - 
                    6.456464254927017`*^185\ \[ImaginaryI])\) + 
                7.667218043961771`*^187\ R\ \[Alpha] - 
                7.667051302725828`*^187\ c\ R\ \[Alpha] - \((\(\(0.`\)\(\
\[InvisibleSpace]\)\) + 
                      1.5334102605451655`*^188\ \[ImaginaryI])\)\ \[Alpha]\^2 \
- 1.0088225393736103`*^191\ R\ \[Alpha]\^3 + 
                1.0088225398323458`*^191\ c\ R\ \[Alpha]\^3 + \((\(\(0.`\)\(\
\[InvisibleSpace]\)\) + 
                      1.0088225398323458`*^191\ \[ImaginaryI])\)\ \
\[Alpha]\^4)\))\)\), \(\(1\/\(R\ \[Alpha]\)\)\((1.5797859788340467`*^-184\ \
\((\((\(\(0.`\)\(\[InvisibleSpace]\)\) - 
                    4.1353044058566977`*^186\ \[ImaginaryI])\) + 
                9.235514637976406`*^189\ R\ \[Alpha] - 
                9.235513173079958`*^189\ c\ R\ \[Alpha] - \((\(\(0.`\)\(\
\[InvisibleSpace]\)\) + 
                      1.8471026346159916`*^190\ \[ImaginaryI])\)\ \[Alpha]\^2 \
- 3.1014783043339523`*^192\ R\ \[Alpha]\^3 + 
                3.101478304392523`*^192\ c\ R\ \[Alpha]\^3 + \((\(\(0.`\)\(\
\[InvisibleSpace]\)\) + 
                      3.101478304392523`*^192\ \[ImaginaryI])\)\ \[Alpha]\^4)\
\))\)\)}, {\(\(1\/\(R\ \[Alpha]\)\)\((1.907692528787974`*^-185\ \((\((\(\(0.`\
\)\(\[InvisibleSpace]\)\) + 8.421417481399501`*^185\ \[ImaginaryI])\) - 
                6.753150011644472`*^187\ R\ \[Alpha] + 
                6.7549885804865154`*^187\ c\ R\ \[Alpha] + \((\(\(0.`\)\(\
\[InvisibleSpace]\)\) + 
                      1.3509977160973031`*^188\ \[ImaginaryI])\)\ \[Alpha]\^2 \
- 4.68683123750841`*^190\ R\ \[Alpha]\^3 + 
                4.6868312838177436`*^190\ c\ R\ \[Alpha]\^3 + \((\(\(0.`\)\(\
\[InvisibleSpace]\)\) + 
                      4.6868312838177436`*^190\ \[ImaginaryI])\)\ \
\[Alpha]\^4)\))\)\), \(\(1\/\(R\ \[Alpha]\)\)\((1.907692528787974`*^-185\ \((\
\((\(\(0.`\)\(\[InvisibleSpace]\)\) + 
                    7.521909101900777`*^186\ \[ImaginaryI])\) - 
                1.0233727908220399`*^189\ R\ \[Alpha] + 
                1.0233889934558869`*^189\ c\ R\ \[Alpha] + \((\(\(0.`\)\(\
\[InvisibleSpace]\)\) + 
                      2.0467779869117739`*^189\ \[ImaginaryI])\)\ \[Alpha]\^2 \
- 8.35419586125553`*^191\ R\ \[Alpha]\^3 + 
                8.354195864946021`*^191\ c\ R\ \[Alpha]\^3 + \((\(\(0.`\)\(\
\[InvisibleSpace]\)\) + 
                      8.354195864946021`*^191\ \[ImaginaryI])\)\ \[Alpha]\^4)\
\))\)\), \(\(1\/\(R\ \[Alpha]\)\)\((1.907692528787974`*^-185\ \((\((\(\(0.`\)\
\(\[InvisibleSpace]\)\) + 1.5654863981332324`*^187\ \[ImaginaryI])\) - 
                6.848988600828579`*^189\ R\ \[Alpha] + 
                6.849002991832915`*^189\ c\ R\ \[Alpha] + \((\(\(0.`\)\(\
\[InvisibleSpace]\)\) + 
                      1.369800598366583`*^190\ \[ImaginaryI])\)\ \[Alpha]\^2 \
- 2.5683761219370483`*^193\ R\ \[Alpha]\^3 + 
                2.5683761219373433`*^193\ c\ R\ \[Alpha]\^3 + \((\(\(0.`\)\(\
\[InvisibleSpace]\)\) + 
                      2.5683761219373433`*^193\ \[ImaginaryI])\)\ \
\[Alpha]\^4)\))\)\), \(\(1\/\(R\ \[Alpha]\)\)\((1.907692528787974`*^-185\ \((\
\((\(\(0.`\)\(\[InvisibleSpace]\)\) - 
                    9.898215346495404`*^188\ \[ImaginaryI])\) + 
                1.8596647143072826`*^192\ R\ \[Alpha] - 
                
                1.8596647014627727`*^192\ c\ R\ \[Alpha] - \((\(\(0.`\)\(\
\[InvisibleSpace]\)\) + 
                      3.7193294029255454`*^192\ \[ImaginaryI])\)\ \[Alpha]\^2 \
- 1.799675517688951`*^195\ R\ \[Alpha]\^3 + 
                1.7996755175446187`*^195\ c\ R\ \[Alpha]\^3 + \((\(\(0.`\)\(\
\[InvisibleSpace]\)\) + 
                      1.7996755175446187`*^195\ \[ImaginaryI])\)\ \
\[Alpha]\^4)\))\)\)}, {\(\(1\/\(R\ \[Alpha]\)\)\((6.781641048247445`*^-177\ \
\((\((\(\(0.`\)\(\[InvisibleSpace]\)\) - 
                    1.5040359155270843`*^178\ \[ImaginaryI])\) + 
                1.7860934044798913`*^180\ R\ \[Alpha] - 
                1.7860426496884175`*^180\ c\ R\ \[Alpha] - \((\(\(0.`\)\(\
\[InvisibleSpace]\)\) + 
                      3.572085299376835`*^180\ \[ImaginaryI])\)\ \[Alpha]\^2 \
- 2.3500561169586075`*^183\ R\ \[Alpha]\^3 + 
                2.35005611801107`*^183\ c\ R\ \[Alpha]\^3 + \((\(\(0.`\)\(\
\[InvisibleSpace]\)\) + 
                      2.35005611801107`*^183\ \[ImaginaryI])\)\ \
\[Alpha]\^4)\))\)\), \(\(1\/\(R\ \[Alpha]\)\)\((6.781641048247445`*^-177\ \((\
\((\(\(0.`\)\(\[InvisibleSpace]\)\) + 
                    4.403752254640137`*^178\ \[ImaginaryI])\) - 
                1.9266370471137637`*^181\ R\ \[Alpha] + 
                1.9266416114050518`*^181\ c\ R\ \[Alpha] + \((\(\(0.`\)\(\
\[InvisibleSpace]\)\) + 
                      3.8532832228101036`*^181\ \[ImaginaryI])\)\ \[Alpha]\^2 \
- 7.224906042654333`*^184\ R\ \[Alpha]\^3 + 
                7.224906042768963`*^184\ c\ R\ \[Alpha]\^3 + \((\(\(0.`\)\(\
\[InvisibleSpace]\)\) + 
                      7.224906042768963`*^184\ \[ImaginaryI])\)\ \[Alpha]\^4)\
\))\)\), \(\(1\/\(R\ \[Alpha]\)\)\((6.781641048247445`*^-177\ \((\((\(\(0.`\)\
\(\[InvisibleSpace]\)\) + 2.5920164271364093`*^180\ \[ImaginaryI])\) - 
                1.6200102257857778`*^183\ R\ \[Alpha] + 
                1.6200102669602598`*^183\ c\ R\ \[Alpha] + \((\(\(0.`\)\(\
\[InvisibleSpace]\)\) + 
                      3.2400205339205197`*^183\ \[ImaginaryI])\)\ \[Alpha]\^2 \
- 5.062532084004393`*^186\ R\ \[Alpha]\^3 + 
                5.062532084250812`*^186\ c\ R\ \[Alpha]\^3 + \((\(\(0.`\)\(\
\[InvisibleSpace]\)\) + 
                      5.062532084250812`*^186\ \[ImaginaryI])\)\ \[Alpha]\^4)\
\))\)\), \(\(1\/\(R\ \[Alpha]\)\)\((6.781641048247445`*^-177\ \((\((\(\(0.`\)\
\(\[InvisibleSpace]\)\) - 1.0368080000273584`*^182\ \[ImaginaryI])\) + 
                2.7392938644349976`*^185\ R\ \[Alpha] - 
                2.739293863708646`*^185\ c\ R\ \[Alpha] - \((\(\(0.`\)\(\
\[InvisibleSpace]\)\) + 
                      5.478587727417291`*^185\ \[ImaginaryI])\)\ \[Alpha]\^2 \
- 1.579512187363746`*^189\ R\ \[Alpha]\^3 + 
                1.579512187541679`*^189\ c\ R\ \[Alpha]\^3 + \((\(\(0.`\)\(\
\[InvisibleSpace]\)\) + 
                      1.579512187541679`*^189\ \[ImaginaryI])\)\ \[Alpha]\^4)\
\))\)\)}, {\(\(1\/\(R\ \[Alpha]\)\)\((6.330566840482497`*^-170\ \((\((\(\(0.`\
\)\(\[InvisibleSpace]\)\) - 1.0319606574259191`*^172\ \[ImaginaryI])\) + 
                2.304712666324381`*^175\ R\ \[Alpha] - 
                2.3047121349178968`*^175\ c\ R\ \[Alpha] - \((\(\(0.`\)\(\
\[InvisibleSpace]\)\) + 
                      4.6094242698357936`*^175\ \[ImaginaryI])\)\ \[Alpha]\^2 \
- 7.739704930536637`*^177\ R\ \[Alpha]\^3 + 
                7.739704930694425`*^177\ c\ R\ \[Alpha]\^3 + \((\(\(0.`\)\(\
\[InvisibleSpace]\)\) + 
                      7.739704930694425`*^177\ \[ImaginaryI])\)\ \[Alpha]\^4)\
\))\)\), \(\(1\/\(R\ \[Alpha]\)\)\((6.330566840482497`*^-170\ \((\((\(\(0.`\)\
\(\[InvisibleSpace]\)\) - 2.982789999797947`*^173\ \[ImaginaryI])\) + 
                5.604029745286591`*^176\ R\ \[Alpha] - 
                5.604029696590107`*^176\ c\ R\ \[Alpha] - \((\(\(0.`\)\(\
\[InvisibleSpace]\)\) + 
                      1.1208059393180215`*^177\ \[ImaginaryI])\)\ \[Alpha]\^2 \
- 5.423254545562698`*^179\ R\ \[Alpha]\^3 + 
                5.423254545087197`*^179\ c\ R\ \[Alpha]\^3 + \((\(\(0.`\)\(\
\[InvisibleSpace]\)\) + 
                      5.423254545087197`*^179\ \[ImaginaryI])\)\ \[Alpha]\^4)\
\))\)\), \(\(1\/\(R\ \[Alpha]\)\)\((6.330566840482497`*^-170\ \((\((\(\(0.`\)\
\(\[InvisibleSpace]\)\) - 1.1106840618400332`*^175\ \[ImaginaryI])\) + 
                2.9344777780712937`*^178\ R\ \[Alpha] - 
                2.93447777702052`*^178\ c\ R\ \[Alpha] - \((\(\(0.`\)\(\
\[InvisibleSpace]\)\) + 
                      5.86895555404104`*^178\ \[ImaginaryI])\)\ \[Alpha]\^2 - 
                1.692057750492941`*^182\ R\ \[Alpha]\^3 + 
                
                1.6920577504594124`*^182\ c\ R\ \[Alpha]\^3 + \((\(\(0.`\)\(\
\[InvisibleSpace]\)\) + 
                      1.6920577504594124`*^182\ \[ImaginaryI])\)\ \
\[Alpha]\^4)\))\)\), \(\(1\/\(R\ \[Alpha]\)\)\((6.330566840482497`*^-170\ \((\
\((\(\(0.`\)\(\[InvisibleSpace]\)\) + 
                    3.8873888579185087`*^177\ \[ImaginaryI])\) - 
                5.1831851481381885`*^181\ R\ \[Alpha] + 
                5.183185143891337`*^181\ c\ R\ \[Alpha] + \((\(\(0.`\)\(\
\[InvisibleSpace]\)\) + 
                      1.0366370287782673`*^182\ \[ImaginaryI])\)\ \[Alpha]\^2 \
- 3.1099110937108025`*^186\ R\ \[Alpha]\^3 + 
                3.109911086334802`*^186\ c\ R\ \[Alpha]\^3 + \((\(\(0.`\)\(\
\[InvisibleSpace]\)\) + 
                      3.109911086334802`*^186\ \[ImaginaryI])\)\ \[Alpha]\^4)\
\))\)\)}}\)], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(detM = Det[m]\)], "Input"],

Cell[BoxData[
    \(\(\(1\/\(R\ \[Alpha]\)\)\((6.330566840482497`*^-170\ \((\((\(\(0.`\)\(\
\[InvisibleSpace]\)\) + 3.8873888579185087`*^177\ \[ImaginaryI])\) - 
              5.1831851481381885`*^181\ R\ \[Alpha] + 
              5.183185143891337`*^181\ c\ R\ \[Alpha] + \((\(\(0.`\)\(\
\[InvisibleSpace]\)\) + 
                    1.0366370287782673`*^182\ \[ImaginaryI])\)\ \[Alpha]\^2 - 
              3.1099110937108025`*^186\ R\ \[Alpha]\^3 + 
              3.109911086334802`*^186\ c\ R\ \[Alpha]\^3 + \((\(\(0.`\)\(\
\[InvisibleSpace]\)\) + 
                    3.109911086334802`*^186\ \[ImaginaryI])\)\ \[Alpha]\^4)\)\
\ \((\(-2.4106559434803625`*^13\) + 7.238021957132506`*^13\ c - 
              7.244076086907539`*^13\ c\^2 + 
              2.416710073255397`*^13\ c\^3 + \(3.1636196231693797`*^13 + 0.`\ \
\[ImaginaryI]\)\/R\^2 - \(\((3.1637274252450426`*^13 + 0.`\ \[ImaginaryI])\)\ \
c\)\/R\^2 - \(\(\(0.`\)\(\[InvisibleSpace]\)\) + 1.124032823839555`*^7\ \
\[ImaginaryI]\)\/\(R\^3\ \[Alpha]\^3\) + \(9.675743506479456`*^9 + 0.`\ \
\[ImaginaryI]\)\/\(R\^2\ \[Alpha]\^2\) - \(\((9.67644664635078`*^9 + 0.`\ \
\[ImaginaryI])\)\ c\)\/\(R\^2\ \[Alpha]\^2\) - \(\(\(0.`\)\(\[InvisibleSpace]\
\)\) + 1.935289329270156`*^10\ \[ImaginaryI]\)\/\(R\^3\ \[Alpha]\) + \
\(\(\(0.`\)\(\[InvisibleSpace]\)\) + 1.2925916118999873`*^12\ \[ImaginaryI]\)\
\/\(R\ \[Alpha]\) - \(\((\(\(0.`\)\(\[InvisibleSpace]\)\) + \
2.5857222222077485`*^12\ \[ImaginaryI])\)\ c\)\/\(R\ \[Alpha]\) + \
\(\((\(\(0.`\)\(\[InvisibleSpace]\)\) + 1.293130610356716`*^12\ \
\[ImaginaryI])\)\ c\^2\)\/\(R\ \[Alpha]\) - \(\((\(\(0.`\)\(\[InvisibleSpace]\
\)\) + 3.1637274252450426`*^13\ \[ImaginaryI])\)\ \[Alpha]\)\/R\^3 + \
\(\((\(\(0.`\)\(\[InvisibleSpace]\)\) + 4.921138714897367`*^15\ \
\[ImaginaryI])\)\ \[Alpha]\)\/R - \(\((\(\(0.`\)\(\[InvisibleSpace]\)\) + \
9.843940289183676`*^15\ \[ImaginaryI])\)\ c\ \[Alpha]\)\/R + \(\((\(\(0.`\)\(\
\[InvisibleSpace]\)\) + 4.922801574348052`*^15\ \[ImaginaryI])\)\ c\^2\ \
\[Alpha]\)\/R - 1.0403118013438419`*^17\ \[Alpha]\^2 + 
              3.123126752396516`*^17\ c\ \[Alpha]\^2 - 
              3.125318101716018`*^17\ c\^2\ \[Alpha]\^2 + 
              1.0425031506633434`*^17\ c\^3\ \[Alpha]\^2 + \
\(\((1.4621739241761184`*^16 + 0.`\ \[ImaginaryI])\)\ \[Alpha]\^2\)\/R\^2 - \
\(\((1.462340211864883`*^16 + 0.`\ \[ImaginaryI])\)\ c\ \[Alpha]\^2\)\/R\^2 - \
\(\((\(\(0.`\)\(\[InvisibleSpace]\)\) + 9.748934745765888`*^15\ \
\[ImaginaryI])\)\ \[Alpha]\^3\)\/R\^3 + \(\((\(\(0.`\)\(\[InvisibleSpace]\)\) \
+ 2.377396884223443`*^18\ \[ImaginaryI])\)\ \[Alpha]\^3\)\/R - \(\((\(\(0.`\)\
\(\[InvisibleSpace]\)\) + 4.755451220664771`*^18\ \[ImaginaryI])\)\ c\ \
\[Alpha]\^3\)\/R + \(\((\(\(0.`\)\(\[InvisibleSpace]\)\) + \
2.3780543365367885`*^18\ \[ImaginaryI])\)\ c\^2\ \[Alpha]\^3\)\/R - 
              5.701270960777686`*^19\ \[Alpha]\^4 + 
              1.7113258233102873`*^20\ c\ \[Alpha]\^4 - 
              1.7122703583873974`*^20\ c\^2\ \[Alpha]\^4 + 
              5.710716311548791`*^19\ c\^3\ \[Alpha]\^4 + \
\(\((4.547169723633927`*^18 + 0.`\ \[ImaginaryI])\)\ \[Alpha]\^4\)\/R\^2 - \(\
\((4.54760804294091`*^18 + 0.`\ \[ImaginaryI])\)\ c\ \[Alpha]\^4\)\/R\^2 - \(\
\((\(\(0.`\)\(\[InvisibleSpace]\)\) + 2.273804021470455`*^18\ \
\[ImaginaryI])\)\ \[Alpha]\^5\)\/R\^3 + \(\((\(\(0.`\)\(\[InvisibleSpace]\)\) \
+ 2.2823973848610285`*^20\ \[ImaginaryI])\)\ \[Alpha]\^5\)\/R - \
\(\((\(\(0.`\)\(\[InvisibleSpace]\)\) + 4.566683909480417`*^20\ \
\[ImaginaryI])\)\ c\ \[Alpha]\^5\)\/R + \(\((\(\(0.`\)\(\[InvisibleSpace]\)\) \
+ 2.2842865246195165`*^20\ \[ImaginaryI])\)\ c\^2\ \[Alpha]\^5\)\/R - 
              5.501720552260012`*^21\ \[Alpha]\^6 + 
              1.6505164654514346`*^22\ c\ \[Alpha]\^6 - 
              1.6505167652248657`*^22\ c\^2\ \[Alpha]\^6 + 
              5.501723549994326`*^21\ c\^3\ \[Alpha]\^6 + \
\(\((2.8544135510930198`*^20 + 0.`\ \[ImaginaryI])\)\ \[Alpha]\^6\)\/R\^2 - \
\(\((2.855358155774396`*^20 + 0.`\ \[ImaginaryI])\)\ c\ \[Alpha]\^6\)\/R\^2 - \
\(\((\(\(0.`\)\(\[InvisibleSpace]\)\) + 1.1421432623097582`*^20\ \
\[ImaginaryI])\)\ \[Alpha]\^7\)\/R\^3 + \(\((\(\(0.`\)\(\[InvisibleSpace]\)\) \
+ 1.6505164654514346`*^22\ \[ImaginaryI])\)\ \[Alpha]\^7\)\/R - \
\(\((\(\(0.`\)\(\[InvisibleSpace]\)\) + 3.3010335304497314`*^22\ \
\[ImaginaryI])\)\ c\ \[Alpha]\^7\)\/R + \(\((\(\(0.`\)\(\[InvisibleSpace]\)\) \
+ 1.6505170649982976`*^22\ \[ImaginaryI])\)\ c\^2\ \[Alpha]\^7\)\/R + \
\(\((1.6505167652248657`*^22 + 0.`\ \[ImaginaryI])\)\ \[Alpha]\^8\)\/R\^2 - \
\(\((1.6505170649982976`*^22 + 0.`\ \[ImaginaryI])\)\ c\ \[Alpha]\^8\)\/R\^2 \
- \(\((\(\(0.`\)\(\[InvisibleSpace]\)\) + 5.501723549994326`*^21\ \
\[ImaginaryI])\)\ \[Alpha]\^9\)\/R\^3)\))\)\) - \(\(1\/\(R\ \
\[Alpha]\)\)\((6.330566840482497`*^-170\ \((\((\(\(0.`\)\(\[InvisibleSpace]\)\
\) - 1.1106840618400332`*^175\ \[ImaginaryI])\) + 
              2.9344777780712937`*^178\ R\ \[Alpha] - 
              2.93447777702052`*^178\ c\ R\ \[Alpha] - \((\(\(0.`\)\(\
\[InvisibleSpace]\)\) + 
                    5.86895555404104`*^178\ \[ImaginaryI])\)\ \[Alpha]\^2 - 
              1.692057750492941`*^182\ R\ \[Alpha]\^3 + 
              1.6920577504594124`*^182\ c\ R\ \[Alpha]\^3 + \((\(\(0.`\)\(\
\[InvisibleSpace]\)\) + 
                    1.6920577504594124`*^182\ \[ImaginaryI])\)\ \
\[Alpha]\^4)\)\ \((4.850485428032126`*^15 - 1.456116625620308`*^16\ c + 
              1.4570876233545284`*^16\ c\^2 - 
              4.860195405374329`*^15\ c\^3 + \(7.736540976456593`*^15 + 0.`\ \
\[ImaginaryI]\)\/R\^2 - \(\((7.736385242573413`*^15 + 0.`\ \[ImaginaryI])\)\ \
c\)\/R\^2 + \(\(\(0.`\)\(\[InvisibleSpace]\)\) + 5.1469530374149203`*^8\ \
\[ImaginaryI]\)\/\(R\^3\ \[Alpha]\^3\) - \(1.4875841123990605`*^12 + 0.`\ \
\[ImaginaryI]\)\/\(R\^2\ \[Alpha]\^2\) + \(\((1.487611572542458`*^12 + 0.`\ \
\[ImaginaryI])\)\ c\)\/\(R\^2\ \[Alpha]\^2\) + \(\(\(0.`\)\(\[InvisibleSpace]\
\)\) + 2.975223145084916`*^12\ \[ImaginaryI]\)\/\(R\^3\ \[Alpha]\) - \
\(\(\(0.`\)\(\[InvisibleSpace]\)\) + 2.2335782780191138`*^14\ \[ImaginaryI]\)\
\/\(R\ \[Alpha]\) + \(\((\(\(0.`\)\(\[InvisibleSpace]\)\) + \
4.4679352260432444`*^14\ \[ImaginaryI])\)\ c\)\/\(R\ \[Alpha]\) - \
\(\((\(\(0.`\)\(\[InvisibleSpace]\)\) + 2.234356948043582`*^14\ \
\[ImaginaryI])\)\ c\^2\)\/\(R\ \[Alpha]\) - \(\((\(\(0.`\)\(\[InvisibleSpace]\
\)\) + 7.736385242573413`*^15\ \[ImaginaryI])\)\ \[Alpha]\)\/R\^3 + \
\(\((\(\(0.`\)\(\[InvisibleSpace]\)\) + 1.3606838618777382`*^18\ \
\[ImaginaryI])\)\ \[Alpha]\)\/R - \(\((\(\(0.`\)\(\[InvisibleSpace]\)\) + \
2.7217796943458253`*^18\ \[ImaginaryI])\)\ c\ \[Alpha]\)\/R + \
\(\((\(\(0.`\)\(\[InvisibleSpace]\)\) + 1.3610958324576678`*^18\ \
\[ImaginaryI])\)\ c\^2\ \[Alpha]\)\/R - 
              3.0562762953237836`*^19\ \[Alpha]\^2 + 
              9.174866712945156`*^19\ c\ \[Alpha]\^2 - 
              9.180904543023233`*^19\ c\^2\ \[Alpha]\^2 + 
              3.0623141254018613`*^19\ c\^3\ \[Alpha]\^2 + \
\(\((4.112036701533957`*^18 + 0.`\ \[ImaginaryI])\)\ \[Alpha]\^2\)\/R\^2 - \(\
\((4.1124486698052495`*^18 + 0.`\ \[ImaginaryI])\)\ c\ \[Alpha]\^2\)\/R\^2 - \
\(\((\(\(0.`\)\(\[InvisibleSpace]\)\) + 2.741632446536833`*^18\ \
\[ImaginaryI])\)\ \[Alpha]\^3\)\/R\^3 + \(\((\(\(0.`\)\(\[InvisibleSpace]\)\) \
+ 1.1232630245513183`*^21\ \[ImaginaryI])\)\ \[Alpha]\^3\)\/R - \
\(\((\(\(0.`\)\(\[InvisibleSpace]\)\) + 2.2467071981639953`*^21\ \
\[ImaginaryI])\)\ c\ \[Alpha]\^3\)\/R + \(\((\(\(0.`\)\(\[InvisibleSpace]\)\) \
+ 1.1234441736437267`*^21\ \[ImaginaryI])\)\ c\^2\ \[Alpha]\^3\)\/R - 
              2.9525140621749557`*^22\ \[Alpha]\^4 + 
              8.862408558672504`*^22\ c\ \[Alpha]\^4 - 
              8.867274930820918`*^22\ c\^2\ \[Alpha]\^4 + 
              2.9573804343233715`*^22\ c\^3\ \[Alpha]\^4 + \
\(\((2.1855212942912494`*^21 + 0.`\ \[ImaginaryI])\)\ \[Alpha]\^4\)\/R\^2 - \
\(\((2.185642064779416`*^21 + 0.`\ \[ImaginaryI])\)\ c\ \[Alpha]\^4\)\/R\^2 - \
\(\((\(\(0.`\)\(\[InvisibleSpace]\)\) + 1.0928210323897082`*^21\ \
\[ImaginaryI])\)\ \[Alpha]\^5\)\/R\^3 + \(\((\(\(0.`\)\(\[InvisibleSpace]\)\) \
+ 1.1819788801709957`*^23\ \[ImaginaryI])\)\ \[Alpha]\^5\)\/R - \
\(\((\(\(0.`\)\(\[InvisibleSpace]\)\) + 2.3649310539002658`*^23\ \
\[ImaginaryI])\)\ c\ \[Alpha]\^5\)\/R + \(\((\(\(0.`\)\(\[InvisibleSpace]\)\) \
+ 1.1829521737293488`*^23\ \[ImaginaryI])\)\ c\^2\ \[Alpha]\^5\)\/R - 
              3.558243508953588`*^24\ \[Alpha]\^6 + 
              1.0674732066023523`*^25\ c\ \[Alpha]\^6 - 
              1.0674733605186285`*^25\ c\^2\ \[Alpha]\^6 + 
              3.558245048116351`*^24\ c\^3\ \[Alpha]\^6 + \
\(\((1.4782035608181748`*^23 + 0.`\ \[ImaginaryI])\)\ \[Alpha]\^6\)\/R\^2 - \
\(\((1.4786902171616857`*^23 + 0.`\ \[ImaginaryI])\)\ c\ \[Alpha]\^6\)\/R\^2 \
- \(\((\(\(0.`\)\(\[InvisibleSpace]\)\) + 5.914760868646743`*^22\ \
\[ImaginaryI])\)\ \[Alpha]\^7\)\/R\^3 + \(\((\(\(0.`\)\(\[InvisibleSpace]\)\) \
+ 1.0674732066023523`*^25\ \[ImaginaryI])\)\ \[Alpha]\^7\)\/R - \
\(\((\(\(0.`\)\(\[InvisibleSpace]\)\) + 2.134946721037257`*^25\ \
\[ImaginaryI])\)\ c\ \[Alpha]\^7\)\/R + \(\((\(\(0.`\)\(\[InvisibleSpace]\)\) \
+ 1.0674735144349051`*^25\ \[ImaginaryI])\)\ c\^2\ \[Alpha]\^7\)\/R + \
\(\((1.0674733605186285`*^25 + 0.`\ \[ImaginaryI])\)\ \[Alpha]\^8\)\/R\^2 - \
\(\((1.0674735144349051`*^25 + 0.`\ \[ImaginaryI])\)\ c\ \[Alpha]\^8\)\/R\^2 \
- \(\((\(\(0.`\)\(\[InvisibleSpace]\)\) + 3.558245048116351`*^24\ \
\[ImaginaryI])\)\ \[Alpha]\^9\)\/R\^3)\))\)\) + \(\(1\/\(R\ \
\[Alpha]\)\)\((6.330566840482497`*^-170\ \((\((\(\(0.`\)\(\[InvisibleSpace]\)\
\) - 2.982789999797947`*^173\ \[ImaginaryI])\) + 
              5.604029745286591`*^176\ R\ \[Alpha] - 
              5.604029696590107`*^176\ c\ R\ \[Alpha] - \((\(\(0.`\)\(\
\[InvisibleSpace]\)\) + 
                    1.1208059393180215`*^177\ \[ImaginaryI])\)\ \[Alpha]\^2 - 
              5.423254545562698`*^179\ R\ \[Alpha]\^3 + 
              5.423254545087197`*^179\ c\ R\ \[Alpha]\^3 + \((\(\(0.`\)\(\
\[InvisibleSpace]\)\) + 
                    5.423254545087197`*^179\ \[ImaginaryI])\)\ \[Alpha]\^4)\)\
\ \((2.0445484368193792`*^16 - 6.1297139148754624`*^16\ c + 
              6.125782520141744`*^16\ c\^2 - 
              2.0406170420856592`*^16\ c\^3 + \(4.005914992048428`*^16 + 0.`\ \
\[ImaginaryI]\)\/R\^2 - \(\((4.005913203344824`*^16 + 0.`\ \[ImaginaryI])\)\ \
c\)\/R\^2 + \(\(\(0.`\)\(\[InvisibleSpace]\)\) + 6.384892642421935`*^8\ \
\[ImaginaryI]\)\/\(R\^3\ \[Alpha]\^3\) - \(2.873241359188327`*^12 + 0.`\ \
\[ImaginaryI]\)\/\(R\^2\ \[Alpha]\^2\) + \(\((2.8732245913023057`*^12 + 0.`\ \
\[ImaginaryI])\)\ c\)\/\(R\^2\ \[Alpha]\^2\) + \(\(\(0.`\)\(\[InvisibleSpace]\
\)\) + 5.746449182604611`*^12\ \[ImaginaryI]\)\/\(R\^3\ \[Alpha]\) + \
\(\(\(0.`\)\(\[InvisibleSpace]\)\) + 1.162477306491985`*^14\ \
\[ImaginaryI]\)\/\(R\ \[Alpha]\) - \(\((\(\(0.`\)\(\[InvisibleSpace]\)\) + \
2.32486514809185`*^14\ \[ImaginaryI])\)\ c\)\/\(R\ \[Alpha]\) + \
\(\((\(\(0.`\)\(\[InvisibleSpace]\)\) + 1.16238784156774`*^14\ \[ImaginaryI])\
\)\ c\^2\)\/\(R\ \[Alpha]\) - \(\((\(\(0.`\)\(\[InvisibleSpace]\)\) + \
4.005913203344824`*^16\ \[ImaginaryI])\)\ \[Alpha]\)\/R\^3 + \(\((\(\(0.`\)\(\
\[InvisibleSpace]\)\) + 1.3778178701460363`*^19\ \[ImaginaryI])\)\ \[Alpha]\)\
\/R - \(\((\(\(0.`\)\(\[InvisibleSpace]\)\) + 2.7557896917869375`*^19\ \
\[ImaginaryI])\)\ c\ \[Alpha]\)\/R + \(\((\(\(0.`\)\(\[InvisibleSpace]\)\) + \
1.3779718216392233`*^19\ \[ImaginaryI])\)\ c\^2\ \[Alpha]\)\/R - 
              4.702322967659343`*^20\ \[Alpha]\^2 + 
              1.411204646895542`*^21\ c\ \[Alpha]\^2 - 
              1.4117124035432617`*^21\ c\^2\ \[Alpha]\^2 + 
              4.7074005341365423`*^20\ c\^3\ \[Alpha]\^2 + \
\(\((4.146005215420152`*^19 + 0.`\ \[ImaginaryI])\)\ \[Alpha]\^2\)\/R\^2 - \(\
\((4.146159167170184`*^19 + 0.`\ \[ImaginaryI])\)\ c\ \[Alpha]\^2\)\/R\^2 - \
\(\((\(\(0.`\)\(\[InvisibleSpace]\)\) + 2.7641061114467893`*^19\ \
\[ImaginaryI])\)\ \[Alpha]\^3\)\/R\^3 + \(\((\(\(0.`\)\(\[InvisibleSpace]\)\) \
+ 3.1505157772896706`*^22\ \[ImaginaryI])\)\ \[Alpha]\^3\)\/R - \
\(\((\(\(0.`\)\(\[InvisibleSpace]\)\) + 6.30118388620147`*^22\ \[ImaginaryI])\
\)\ c\ \[Alpha]\^3\)\/R + \(\((\(\(0.`\)\(\[InvisibleSpace]\)\) + \
3.1506681089168096`*^22\ \[ImaginaryI])\)\ c\^2\ \[Alpha]\^3\)\/R - 
              1.0109994165791098`*^24\ \[Alpha]\^4 + 
              3.0343814406152883`*^24\ c\ \[Alpha]\^4 - 
              3.035764631493443`*^24\ c\^2\ \[Alpha]\^4 + 
              
              1.0123826074572645`*^24\ c\^3\ \[Alpha]\^4 + \
\(\((6.20708665105038`*^22 + 0.`\ \[ImaginaryI])\)\ \[Alpha]\^4\)\/R\^2 - \
\(\((6.207188207150888`*^22 + 0.`\ \[ImaginaryI])\)\ c\ \[Alpha]\^4\)\/R\^2 - \
\(\((\(\(0.`\)\(\[InvisibleSpace]\)\) + 3.103594103575444`*^22\ \
\[ImaginaryI])\)\ \[Alpha]\^5\)\/R\^3 + \(\((\(\(0.`\)\(\[InvisibleSpace]\)\) \
+ 4.0467640323409434`*^24\ \[ImaginaryI])\)\ \[Alpha]\^5\)\/R - \
\(\((\(\(0.`\)\(\[InvisibleSpace]\)\) + 8.096294462169805`*^24\ \
\[ImaginaryI])\)\ c\ \[Alpha]\^5\)\/R + \(\((\(\(0.`\)\(\[InvisibleSpace]\)\) \
+ 4.049530429829057`*^24\ \[ImaginaryI])\)\ c\^2\ \[Alpha]\^5\)\/R - 
              1.7252314215600357`*^26\ \[Alpha]\^6 + 
              5.1756946990265526`*^26\ c\ \[Alpha]\^6 - 
              5.175695133373`*^26\ c\^2\ \[Alpha]\^6 + 
              1.7252318559064826`*^26\ c\^3\ \[Alpha]\^6 + \
\(\((5.060529830676362`*^24 + 0.`\ \[ImaginaryI])\)\ \[Alpha]\^6\)\/R\^2 - \(\
\((5.061913037286321`*^24 + 0.`\ \[ImaginaryI])\)\ c\ \[Alpha]\^6\)\/R\^2 - \
\(\((\(\(0.`\)\(\[InvisibleSpace]\)\) + 2.024765214914529`*^24\ \
\[ImaginaryI])\)\ \[Alpha]\^7\)\/R\^3 + \(\((\(\(0.`\)\(\[InvisibleSpace]\)\) \
+ 5.1756946990265526`*^26\ \[ImaginaryI])\)\ \[Alpha]\^7\)\/R - \
\(\((\(\(0.`\)\(\[InvisibleSpace]\)\) + 1.0351390266746`*^27\ \
\[ImaginaryI])\)\ c\ \[Alpha]\^7\)\/R + \(\((\(\(0.`\)\(\[InvisibleSpace]\)\) \
+ 5.1756955677194484`*^26\ \[ImaginaryI])\)\ c\^2\ \[Alpha]\^7\)\/R + \
\(\((5.175695133373`*^26 + 0.`\ \[ImaginaryI])\)\ \[Alpha]\^8\)\/R\^2 - \
\(\((5.1756955677194484`*^26 + 0.`\ \[ImaginaryI])\)\ c\ \[Alpha]\^8\)\/R\^2 \
- \(\((\(\(0.`\)\(\[InvisibleSpace]\)\) + 1.7252318559064826`*^26\ \
\[ImaginaryI])\)\ \[Alpha]\^9\)\/R\^3)\))\)\) - \(\(1\/\(R\ \
\[Alpha]\)\)\((6.330566840482497`*^-170\ \((\((\(\(0.`\)\(\[InvisibleSpace]\)\
\) - 1.0319606574259191`*^172\ \[ImaginaryI])\) + 
              2.304712666324381`*^175\ R\ \[Alpha] - 
              2.3047121349178968`*^175\ c\ R\ \[Alpha] - \((\(\(0.`\)\(\
\[InvisibleSpace]\)\) + 
                    4.6094242698357936`*^175\ \[ImaginaryI])\)\ \[Alpha]\^2 - 
              7.739704930536637`*^177\ R\ \[Alpha]\^3 + 
              7.739704930694425`*^177\ c\ R\ \[Alpha]\^3 + \((\(\(0.`\)\(\
\[InvisibleSpace]\)\) + 
                    7.739704930694425`*^177\ \[ImaginaryI])\)\ \[Alpha]\^4)\)\
\ \((4.817389055576932`*^17 - 1.4451760570277937`*^18\ c + 
              1.4451353973858698`*^18\ c\^2 - 
              4.816982459157693`*^17\ c\^3 + \(1.750036198136817`*^17 + 0.`\ \
\[ImaginaryI]\)\/R\^2 - \(\((1.7500371687639325`*^17 + 0.`\ \[ImaginaryI])\)\ \
c\)\/R\^2 + \(\(\(0.`\)\(\[InvisibleSpace]\)\) + 9.34651702108812`*^9\ \
\[ImaginaryI]\)\/\(R\^3\ \[Alpha]\^3\) - \(3.004472880306863`*^13 + 0.`\ \
\[ImaginaryI]\)\/\(R\^2\ \[Alpha]\^2\) + \(\((3.0044694276056164`*^13 + 0.`\ \
\[ImaginaryI])\)\ c\)\/\(R\^2\ \[Alpha]\^2\) + \(\(\(0.`\)\(\[InvisibleSpace]\
\)\) + 6.008938855211233`*^13\ \[ImaginaryI]\)\/\(R\^3\ \[Alpha]\) - \
\(\(\(0.`\)\(\[InvisibleSpace]\)\) + 6.679418667495608`*^15\ \
\[ImaginaryI]\)\/\(R\ \[Alpha]\) + \(\((\(\(0.`\)\(\[InvisibleSpace]\)\) + \
1.3358788816574124`*^16\ \[ImaginaryI])\)\ c\)\/\(R\ \[Alpha]\) - \
\(\((\(\(0.`\)\(\[InvisibleSpace]\)\) + 6.679370149079792`*^15\ \
\[ImaginaryI])\)\ c\^2\)\/\(R\ \[Alpha]\) - \(\((\(\(0.`\)\(\[InvisibleSpace]\
\)\) + 1.7500371687639325`*^17\ \[ImaginaryI])\)\ \[Alpha]\)\/R\^3 + \
\(\((\(\(0.`\)\(\[InvisibleSpace]\)\) + 5.79983926766131`*^19\ \[ImaginaryI])\
\)\ \[Alpha]\)\/R - \(\((\(\(0.`\)\(\[InvisibleSpace]\)\) + \
1.1599780957089941`*^20\ \[ImaginaryI])\)\ c\ \[Alpha]\)\/R + \
\(\((\(\(0.`\)\(\[InvisibleSpace]\)\) + 5.79994168942797`*^19\ \[ImaginaryI])\
\)\ c\^2\ \[Alpha]\)\/R - 3.730055355848674`*^21\ \[Alpha]\^2 + 
              1.1190557872976573`*^22\ c\ \[Alpha]\^2 - 
              1.1190949678426939`*^22\ c\^2\ \[Alpha]\^2 + 
              3.7304471612990376`*^21\ c\^3\ \[Alpha]\^2 + \
\(\((1.7688741592996964`*^20 + 0.`\ \[ImaginaryI])\)\ \[Alpha]\^2\)\/R\^2 - \
\(\((1.7688844015833373`*^20 + 0.`\ \[ImaginaryI])\)\ c\ \[Alpha]\^2\)\/R\^2 \
- \(\((\(\(0.`\)\(\[InvisibleSpace]\)\) + 1.1792562677222248`*^20\ \
\[ImaginaryI])\)\ \[Alpha]\^3\)\/R\^3 + \(\((\(\(0.`\)\(\[InvisibleSpace]\)\) \
+ 8.022625904994335`*^22\ \[ImaginaryI])\)\ \[Alpha]\^3\)\/R - \(\((\(\(0.`\)\
\(\[InvisibleSpace]\)\) + 1.6045369355025555`*^23\ \[ImaginaryI])\)\ c\ \
\[Alpha]\^3\)\/R + \(\((\(\(0.`\)\(\[InvisibleSpace]\)\) + \
8.022743450033204`*^22\ \[ImaginaryI])\)\ c\^2\ \[Alpha]\^3\)\/R - 
              5.133351861089471`*^24\ \[Alpha]\^4 + 
              1.5401204717779008`*^25\ c\ \[Alpha]\^4 - 
              1.540235385228977`*^25\ c\^2\ \[Alpha]\^4 + 
              5.13450099560023`*^24\ c\^3\ \[Alpha]\^4 + \
\(\((1.5299319103130374`*^23 + 0.`\ \[ImaginaryI])\)\ \[Alpha]\^4\)\/R\^2 - \
\(\((1.5299397467806603`*^23 + 0.`\ \[ImaginaryI])\)\ c\ \[Alpha]\^4\)\/R\^2 \
- \(\((\(\(0.`\)\(\[InvisibleSpace]\)\) + 7.649698733903302`*^22\ \
\[ImaginaryI])\)\ \[Alpha]\^5\)\/R\^3 + \(\((\(\(0.`\)\(\[InvisibleSpace]\)\) \
+ 2.0535705701336747`*^25\ \[ImaginaryI])\)\ \[Alpha]\^5\)\/R - \
\(\((\(\(0.`\)\(\[InvisibleSpace]\)\) + 4.10737096837375`*^25\ \[ImaginaryI])\
\)\ c\ \[Alpha]\^5\)\/R + \(\((\(\(0.`\)\(\[InvisibleSpace]\)\) + \
2.053800398240092`*^25\ \[ImaginaryI])\)\ c\^2\ \[Alpha]\^5\)\/R - 
              1.3365415561469877`*^27\ \[Alpha]\^6 + 
              4.0096247024412167`*^27\ c\ \[Alpha]\^6 - 
              4.009624736441471`*^27\ c\^2\ \[Alpha]\^6 + 
              1.3365415901472418`*^27\ c\^3\ \[Alpha]\^6 + \
\(\((2.567135583144773`*^25 + 0.`\ \[ImaginaryI])\)\ \[Alpha]\^6\)\/R\^2 - \(\
\((2.567250497800115`*^25 + 0.`\ \[ImaginaryI])\)\ c\ \[Alpha]\^6\)\/R\^2 - \
\(\((\(\(0.`\)\(\[InvisibleSpace]\)\) + 1.026900199120046`*^25\ \
\[ImaginaryI])\)\ \[Alpha]\^7\)\/R\^3 + \(\((\(\(0.`\)\(\[InvisibleSpace]\)\) \
+ 4.0096247024412167`*^27\ \[ImaginaryI])\)\ \[Alpha]\^7\)\/R - \
\(\((\(\(0.`\)\(\[InvisibleSpace]\)\) + 8.019249472882942`*^27\ \
\[ImaginaryI])\)\ c\ \[Alpha]\^7\)\/R + \(\((\(\(0.`\)\(\[InvisibleSpace]\)\) \
+ 4.0096247704417255`*^27\ \[ImaginaryI])\)\ c\^2\ \[Alpha]\^7\)\/R + \
\(\((4.009624736441471`*^27 + 0.`\ \[ImaginaryI])\)\ \[Alpha]\^8\)\/R\^2 - \(\
\((4.0096247704417255`*^27 + 0.`\ \[ImaginaryI])\)\ c\ \[Alpha]\^8\)\/R\^2 - \
\(\((\(\(0.`\)\(\[InvisibleSpace]\)\) + 1.3365415901472418`*^27\ \
\[ImaginaryI])\)\ \[Alpha]\^9\)\/R\^3)\))\)\)\)], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(ReplaceAll[detM, {R \[Rule] 1, \[Alpha] \[Rule] 1}]\)], "Input"],

Cell[BoxData[
    \(6.330566840482497`*^-170\ \((\((\(-3.109962925562284`*^186\) + 
                3.1100147539250685`*^186\ \[ImaginaryI])\) + 
            3.1099629181862406`*^186\ c)\)\ \((\((1.1236333513312223`*^22 + 
                1.1117565251477821`*^22\ \[ImaginaryI])\) - \
\((1.1865910675159541`*^20 + 
                  3.347176899319203`*^22\ \[ImaginaryI])\)\ c - \
\((1.6676707292338329`*^22 - 1.673598228087617`*^22\ \[ImaginaryI])\)\ c\^2 + 
            5.558934987591981`*^21\ c\^3)\) - 
      6.330566840482497`*^-170\ \((\((\(-1.6917643027151337`*^182\) + 
                1.6914707438356023`*^182\ \[ImaginaryI])\) + 
            1.6917643026817103`*^182\ c)\)\ \((\((7.236944394846343`*^24 + 
                7.175566350324615`*^24\ \[ImaginaryI])\) - \
\((6.1346042597353416`*^22 + 
                  2.1588209744293664`*^25\ \[ImaginaryI])\)\ c - \
\((1.076349814896905`*^25 - 1.0794155166768026`*^25\ \[ImaginaryI])\)\ c\^2 + 
            3.587849470740643`*^24\ c\^3)\) + 
      6.330566840482497`*^-170\ \((\((\(-5.417650515817411`*^179\) + 
                5.412043502904017`*^179\ \[ImaginaryI])\) + 
            5.417650515390606`*^179\ c)\)\ \((\((3.491575437501613`*^26 + 
                3.47068738443351`*^26\ \[ImaginaryI])\) - \
\((2.0883207063303197`*^24 + 
                  1.0432983605337612`*^27\ \[ImaginaryI])\)\ c - \
\((5.206066896199391`*^26 - 5.216506076626975`*^26\ \[ImaginaryI])\)\ c\^2 + 
            1.7353603891775276`*^26\ c\^3)\) - 
      6.330566840482497`*^-170\ \((\((\(-7.716657803873393`*^177\) + 
                7.693600368389493`*^177\ \[ImaginaryI])\) + 
            7.716657809345246`*^177\ c)\)\ \((\((2.6937706249446456`*^27 + 
                2.683353485166965`*^27\ \[ImaginaryI])\) - \
\((1.0413350186125744`*^25 + 
                  8.06048375224468`*^27\ \[ImaginaryI])\)\ c - \
\((4.025038279798304`*^27 - 4.0302430598513645`*^27\ \[ImaginaryI])\)\ c\^2 + 
            1.3416798211083052`*^27\ c\^3)\)\)], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(Solve[
      ReplaceAll[detM, {R \[Rule] 1000, \[Alpha] \[Rule]  .4}] \[Equal] 0, 
      c]\)], "Input"],

Cell[BoxData[
    \({{c \[Rule] \(\(0.9999011756971794`\)\(\[InvisibleSpace]\)\) - 
            0.0004226357354653012`\ \[ImaginaryI]}, {c \[Rule] \
\(\(0.9999596946790188`\)\(\[InvisibleSpace]\)\) - 
            0.0004125102565044392`\ \[ImaginaryI]}, {c \[Rule] \
\(\(1.0000114007786869`\)\(\[InvisibleSpace]\)\) - 
            0.0003709059396630014`\ \[ImaginaryI]}, {c \[Rule] \
\(\(1.0000245716015108`\)\(\[InvisibleSpace]\)\) - 
            0.0004240832261188147`\ \[ImaginaryI]}}\)], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(\(ContourPlot[
        If[Im[ReplaceAll[
                c, \(Solve[
                    ReplaceAll[
                        detM, {R \[Rule] x, \[Alpha] \[Rule] y}] \[Equal] 0, 
                    c]\)[\([1]\)]]] > 0, 1, 0], {x, 0.1, 1000}, {y, 0.001, 
          1}];\)\)], "Input"],

Cell[GraphicsData["PostScript", "\<\
%!
%%Creator: Mathematica
%%AspectRatio: 1 
MathPictureStart
/Mabs {
Mgmatrix idtransform
Mtmatrix dtransform
} bind def
/Mabsadd { Mabs
3 -1 roll add
3 1 roll add
exch } bind def
%% ContourGraphics
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10  scalefont  setfont
% Scaling calculations
0.0191346 0.000961635 0.0182683 0.962501 [
[.01913 -0.0125 -3 -9 ]
[.01913 -0.0125 3 0 ]
[.21146 -0.0125 -9 -9 ]
[.21146 -0.0125 9 0 ]
[.40379 -0.0125 -9 -9 ]
[.40379 -0.0125 9 0 ]
[.59612 -0.0125 -9 -9 ]
[.59612 -0.0125 9 0 ]
[.78844 -0.0125 -9 -9 ]
[.78844 -0.0125 9 0 ]
[.98077 -0.0125 -12 -9 ]
[.98077 -0.0125 12 0 ]
[ 0 0 -0.125 0 ]
[-0.0125 .01827 -6 -4.5 ]
[-0.0125 .01827 0 4.5 ]
[-0.0125 .21077 -18 -4.5 ]
[-0.0125 .21077 0 4.5 ]
[-0.0125 .40327 -18 -4.5 ]
[-0.0125 .40327 0 4.5 ]
[-0.0125 .59577 -18 -4.5 ]
[-0.0125 .59577 0 4.5 ]
[-0.0125 .78827 -18 -4.5 ]
[-0.0125 .78827 0 4.5 ]
[-0.0125 .98077 -6 -4.5 ]
[-0.0125 .98077 0 4.5 ]
[ 0 0 -0.125 0 ]
[ 0 1 .125 0 ]
[ 1 0 .125 0 ]
[ 0 0 0 0 ]
[ 1 1 0 0 ]
] MathScale
% Start of Graphics
1 setlinecap
1 setlinejoin
newpath
0 g
.25 Mabswid
[ ] 0 setdash
.01913 0 m
.01913 .00625 L
s
[(0)] .01913 -0.0125 0 1 Mshowa
.21146 0 m
.21146 .00625 L
s
[(200)] .21146 -0.0125 0 1 Mshowa
.40379 0 m
.40379 .00625 L
s
[(400)] .40379 -0.0125 0 1 Mshowa
.59612 0 m
.59612 .00625 L
s
[(600)] .59612 -0.0125 0 1 Mshowa
.78844 0 m
.78844 .00625 L
s
[(800)] .78844 -0.0125 0 1 Mshowa
.98077 0 m
.98077 .00625 L
s
[(1000)] .98077 -0.0125 0 1 Mshowa
.125 Mabswid
.06722 0 m
.06722 .00375 L
s
.1153 0 m
.1153 .00375 L
s
.16338 0 m
.16338 .00375 L
s
.25954 0 m
.25954 .00375 L
s
.30762 0 m
.30762 .00375 L
s
.35571 0 m
.35571 .00375 L
s
.45187 0 m
.45187 .00375 L
s
.49995 0 m
.49995 .00375 L
s
.54803 0 m
.54803 .00375 L
s
.6442 0 m
.6442 .00375 L
s
.69228 0 m
.69228 .00375 L
s
.74036 0 m
.74036 .00375 L
s
.83652 0 m
.83652 .00375 L
s
.88461 0 m
.88461 .00375 L
s
.93269 0 m
.93269 .00375 L
s
.25 Mabswid
0 0 m
1 0 L
s
0 .01827 m
.00625 .01827 L
s
[(0)] -0.0125 .01827 1 0 Mshowa
0 .21077 m
.00625 .21077 L
s
[(0.2)] -0.0125 .21077 1 0 Mshowa
0 .40327 m
.00625 .40327 L
s
[(0.4)] -0.0125 .40327 1 0 Mshowa
0 .59577 m
.00625 .59577 L
s
[(0.6)] -0.0125 .59577 1 0 Mshowa
0 .78827 m
.00625 .78827 L
s
[(0.8)] -0.0125 .78827 1 0 Mshowa
0 .98077 m
.00625 .98077 L
s
[(1)] -0.0125 .98077 1 0 Mshowa
.125 Mabswid
0 .06639 m
.00375 .06639 L
s
0 .11452 m
.00375 .11452 L
s
0 .16264 m
.00375 .16264 L
s
0 .25889 m
.00375 .25889 L
s
0 .30702 m
.00375 .30702 L
s
0 .35514 m
.00375 .35514 L
s
0 .45139 m
.00375 .45139 L
s
0 .49952 m
.00375 .49952 L
s
0 .54764 m
.00375 .54764 L
s
0 .64389 m
.00375 .64389 L
s
0 .69202 m
.00375 .69202 L
s
0 .74014 m
.00375 .74014 L
s
0 .83639 m
.00375 .83639 L
s
0 .88452 m
.00375 .88452 L
s
0 .93264 m
.00375 .93264 L
s
.25 Mabswid
0 0 m
0 1 L
s
.01913 .99375 m
.01913 1 L
s
.21146 .99375 m
.21146 1 L
s
.40379 .99375 m
.40379 1 L
s
.59612 .99375 m
.59612 1 L
s
.78844 .99375 m
.78844 1 L
s
.98077 .99375 m
.98077 1 L
s
.125 Mabswid
.06722 .99625 m
.06722 1 L
s
.1153 .99625 m
.1153 1 L
s
.16338 .99625 m
.16338 1 L
s
.25954 .99625 m
.25954 1 L
s
.30762 .99625 m
.30762 1 L
s
.35571 .99625 m
.35571 1 L
s
.45187 .99625 m
.45187 1 L
s
.49995 .99625 m
.49995 1 L
s
.54803 .99625 m
.54803 1 L
s
.6442 .99625 m
.6442 1 L
s
.69228 .99625 m
.69228 1 L
s
.74036 .99625 m
.74036 1 L
s
.83652 .99625 m
.83652 1 L
s
.88461 .99625 m
.88461 1 L
s
.93269 .99625 m
.93269 1 L
s
.25 Mabswid
0 1 m
1 1 L
s
.99375 .01827 m
1 .01827 L
s
.99375 .21077 m
1 .21077 L
s
.99375 .40327 m
1 .40327 L
s
.99375 .59577 m
1 .59577 L
s
.99375 .78827 m
1 .78827 L
s
.99375 .98077 m
1 .98077 L
s
.125 Mabswid
.99625 .06639 m
1 .06639 L
s
.99625 .11452 m
1 .11452 L
s
.99625 .16264 m
1 .16264 L
s
.99625 .25889 m
1 .25889 L
s
.99625 .30702 m
1 .30702 L
s
.99625 .35514 m
1 .35514 L
s
.99625 .45139 m
1 .45139 L
s
.99625 .49952 m
1 .49952 L
s
.99625 .54764 m
1 .54764 L
s
.99625 .64389 m
1 .64389 L
s
.99625 .69202 m
1 .69202 L
s
.99625 .74014 m
1 .74014 L
s
.99625 .83639 m
1 .83639 L
s
.99625 .88452 m
1 .88452 L
s
.99625 .93264 m
1 .93264 L
s
.25 Mabswid
1 0 m
1 1 L
s
0 0 m
1 0 L
1 1 L
0 1 L
closepath
clip
newpath
.5 g
.01923 .98077 m
.98077 .98077 L
.98077 .01923 L
.01923 .01923 L
F
0 g
.5 Mabswid
% End of Graphics
MathPictureEnd
\
\>"], "Graphics",
  ImageSize->{288, 288},
  ImageMargins->{{0, 0}, {0, 0}},
  ImageRegion->{{0, 1}, {0, 1}},
  ImageCache->GraphicsData["Bitmap", "\<\
CF5dJ6E]HGAYHf4PAg9QL6QYHg<PAVmbKF5d0`40004P000182000`400?l00000o`00003oo`3ooolQ
0?ooo`00o`3ooolQ0?ooo`00o`3ooolQ0?ooo`00o`3ooolQ0?ooo`00o`3ooolQ0?ooo`00o`3ooolQ
0?ooo`00o`3ooolQ0?ooo`00o`3ooolQ0?ooo`00o`3ooolQ0?ooo`00o`3ooolQ0?ooo`006@3oool2
000002P0oooo100000030?ooo`800000103oool2000002D0oooo0`0000020?ooo`800000103oool2
000002<0oooo0`0000040?ooo`800000103oool2000002@0oooo0P0000040?ooo`800000103oool2
00000200oooo1@0000020?ooo`800000103oool2000000@0oooo0P0000030?ooo`00603oool01000
0000oooo0?ooo`00000W0?ooo`030000003oool0oooo00<0oooo00@000000?ooo`3oool000000P3o
ool010000000oooo0?ooo`00000U0?ooo`040000003oool0oooo00000080oooo00@000000?ooo`3o
ool000000P3oool00`000000oooo0?ooo`0P0?ooo`040000003oool0oooo00000080oooo00@00000
0?ooo`3oool000000P3oool010000000oooo0?ooo`00000R0?ooo`040000003oool0oooo00000080
oooo00@000000?ooo`3oool000000P3oool010000000oooo0?ooo`00000Q0?ooo`050000003oool0
oooo0?ooo`0000000P3oool010000000oooo0?ooo`0000020?ooo`040000003oool0oooo00000080
oooo0@0000010?ooo`40oooo000H0?ooo`040000003oool0oooo000002P0oooo00<000000?ooo`3o
ool00P3oool010000000oooo0?ooo`0000020?ooo`040000003oool0oooo00000280oooo1@000000
1@3oool000000?ooo`3oool000000080oooo00@000000?ooo`3oool000008P3oool010000000oooo
0?ooo`0000020?ooo`040000003oool0oooo00000080oooo00@000000?ooo`3oool000008P3oool0
10000000oooo0?ooo`0000020?ooo`040000003oool0oooo00000080oooo00@000000?ooo`3oool0
00008@3oool01@000000oooo0?ooo`3oool000000080oooo00@000000?ooo`3oool000000P3oool0
10000000oooo0?ooo`0000020?ooo`4000000@3oool10?ooo`00603oool010000000oooo0?ooo`00
000Y0?ooo`050000003oool0oooo0?ooo`0000000P3oool010000000oooo0?ooo`0000020?ooo`03
0000003oool0oooo0200oooo00@000000?ooo`3oool000000P3oool010000000oooo0?ooo`000002
0?ooo`040000003oool0oooo00000280oooo0`0000030?ooo`040000003oool0oooo00000080oooo
00@000000?ooo`3oool000008`3oool2000000<0oooo00@000000?ooo`3oool000000P3oool01000
0000oooo0?ooo`00000Q0?ooo`050000003oool0oooo0?ooo`0000000P3oool010000000oooo0?oo
o`0000020?ooo`040000003oool0oooo00000080oooo0@0000010?ooo`40oooo000H0?ooo`040000
003oool0oooo000002L0oooo00@000000?ooo`3oool000000P3oool010000000oooo0?ooo`000002
0?ooo`040000003oool0oooo000002<0oooo00<000000?ooo`0000000P3oool010000000oooo0?oo
o`0000020?ooo`040000003oool0oooo000002<0oooo00<000000?ooo`3oool00P3oool010000000
oooo0?ooo`0000020?ooo`040000003oool0oooo00000280oooo00@000000?ooo`3oool000000P3o
ool010000000oooo0?ooo`0000020?ooo`040000003oool0oooo00000240oooo00D000000?ooo`3o
ool0oooo000000020?ooo`040000003oool0oooo00000080oooo00@000000?ooo`3oool000000P3o
ool100000040oooo0@3oool001T0oooo0P00000Y0?ooo`800000103oool2000000@0oooo0P00000U
0?ooo`8000000`3oool2000000@0oooo0P00000T0?ooo`<000000`3oool2000000@0oooo0P00000T
0?ooo`800000103oool2000000@0oooo0P00000Q0?ooo`800000103oool2000000@0oooo0P000004
0?ooo`8000000`3oool00?l0oooo8@3oool00?l0oooo8@3oool00?l0oooo8@3oool00?l0oooo8@3o
ool00?l0oooo8@3oool001D0ooooo`000004000000P0oooo000E0?ooo`030000003oool0oooo0080
oooo00<000000?ooo`3oool02@3oool00`000000oooo0?ooo`0:0?ooo`030000003oool0oooo00T0
oooo00<000000?ooo`3oool02@3oool00`000000oooo0?ooo`0:0?ooo`030000003oool0oooo00T0
oooo00<000000?ooo`3oool02P3oool00`000000oooo0?ooo`090?ooo`030000003oool0oooo00X0
oooo00<000000?ooo`3oool02@3oool00`000000oooo0?ooo`0:0?ooo`030000003oool0oooo00T0
oooo00<000000?ooo`3oool02@3oool00`000000oooo0?ooo`0:0?ooo`030000003oool0oooo00T0
oooo00<000000?ooo`3oool02P3oool00`000000oooo0?ooo`090?ooo`030000003oool0oooo00X0
oooo00<000000?ooo`3oool02@3oool00`000000oooo0?ooo`0:0?ooo`050000003oool0oooo0?oo
o`000000203oool000h0oooo0P0000050?ooo`030000003oool0oooo0?l0oooo00<000000?ooo`3o
ool01P3oool000d0oooo00@000000?ooo`3oool00000103oool00`000000oooo0?ooo`3o0?ooo`03
0000003oool0oooo00H0oooo000=0?ooo`040000003oool0oooo000000@0oooo0P00003o0?ooo`80
0000203oool000d0oooo00@000000?ooo`3oool00000103oool00`000000oooo0?ooo`3o0?ooo`03
0000003oool0oooo00H0oooo000=0?ooo`040000003oool0oooo000000@0oooo00<000000?ooo`3o
ool00P3ooooi07moO`@0oooo00<000000?ooo`3oool01P3oool000h0oooo0P0000050?ooo`030000
003oool0oooo0080oooon@1oOgl40?ooo`030000003oool0oooo00H0oooo000E0?ooo`030000003o
ool0oooo0080oooon@1oOgl40?ooo`030000003oool0oooo00H0oooo000E0?ooo`030000003oool0
oooo0080oooon@1oOgl40?ooo`030000003oool0oooo00H0oooo000E0?ooo`030000003oool0oooo
0080oooon@1oOgl40?ooo`030000003oool0oooo00H0oooo000E0?ooo`030000003oool0oooo0080
oooon@1oOgl40?ooo`030000003oool0oooo00H0oooo000E0?ooo`030000003oool0oooo0080oooo
n@1oOgl40?ooo`030000003oool0oooo00H0oooo000E0?ooo`030000003oool0oooo0080oooon@1o
Ogl40?ooo`030000003oool0oooo00H0oooo000E0?ooo`030000003oool0oooo0080oooon@1oOgl4
0?ooo`030000003oool0oooo00H0oooo000E0?ooo`030000003oool0oooo0080oooon@1oOgl40?oo
o`030000003oool0oooo00H0oooo000E0?ooo`030000003oool0oooo0080oooon@1oOgl40?ooo`03
0000003oool0oooo00H0oooo000E0?ooo`8000000`3ooooi07moO`@0oooo00<000000?ooo`3oool0
1P3oool001D0oooo00<000000?ooo`3oool00P3ooooi07moO`@0oooo00<000000?ooo`3oool01P3o
ool001D0oooo00<000000?ooo`3oool00P3ooooi07moO`@0oooo00<000000?ooo`3oool01P3oool0
01D0oooo00<000000?ooo`3oool00P3ooooi07moO`@0oooo00<000000?ooo`3oool01P3oool001D0
oooo00<000000?ooo`3oool00P3ooooi07moO`@0oooo00<000000?ooo`3oool01P3oool001D0oooo
00<000000?ooo`3oool00P3ooooi07moO`@0oooo00<000000?ooo`3oool01P3oool001D0oooo00<0
00000?ooo`3oool00P3ooooi07moO`@0oooo00<000000?ooo`3oool01P3oool001D0oooo00<00000
0?ooo`3oool00P3ooooi07moO`@0oooo00<000000?ooo`3oool01P3oool001D0oooo00<000000?oo
o`3oool00P3ooooi07moO`@0oooo00<000000?ooo`3oool01P3oool001D0oooo00<000000?ooo`3o
ool00P3ooooi07moO`@0oooo00<000000?ooo`3oool01P3oool001D0oooo00<000000?ooo`3oool0
0P3ooooi07moO`@0oooo00<000000?ooo`3oool01P3oool001D0oooo00<000000?ooo`3oool00P3o
oooi07moO`@0oooo00<000000?ooo`3oool01P3oool001D0oooo0P0000030?ooooT0Ogmo103oool0
0`000000oooo0?ooo`060?ooo`005@3oool00`000000oooo0?ooo`020?ooooT0Ogmo103oool00`00
0000oooo0?ooo`060?ooo`005@3oool00`000000oooo0?ooo`020?ooooT0Ogmo103oool00`000000
oooo0?ooo`060?ooo`005@3oool00`000000oooo0?ooo`020?ooooT0Ogmo103oool00`000000oooo
0?ooo`060?ooo`005@3oool00`000000oooo0?ooo`020?ooooT0Ogmo103oool00`000000oooo0?oo
o`060?ooo`005@3oool00`000000oooo0?ooo`020?ooooT0Ogmo103oool00`000000oooo0?ooo`06
0?ooo`005@3oool00`000000oooo0?ooo`020?ooooT0Ogmo103oool00`000000oooo0?ooo`060?oo
o`005@3oool00`000000oooo0?ooo`020?ooooT0Ogmo103oool00`000000oooo0?ooo`060?ooo`00
5@3oool00`000000oooo0?ooo`020?ooooT0Ogmo103oool00`000000oooo0?ooo`060?ooo`005@3o
ool00`000000oooo0?ooo`020?ooooT0Ogmo103oool00`000000oooo0?ooo`060?ooo`005@3oool0
0`000000oooo0?ooo`020?ooooT0Ogmo103oool00`000000oooo0?ooo`060?ooo`005@3oool00`00
0000oooo0?ooo`020?ooooT0Ogmo103oool00`000000oooo0?ooo`060?ooo`005@3oool00`000000
oooo0?ooo`020?ooooT0Ogmo103oool00`000000oooo0?ooo`060?ooo`005@3oool2000000<0oooo
n@1oOgl40?ooo`030000003oool0oooo00H0oooo000E0?ooo`030000003oool0oooo0080oooon@1o
Ogl40?ooo`030000003oool0oooo00H0oooo000E0?ooo`030000003oool0oooo0080oooon@1oOgl4
0?ooo`030000003oool0oooo00H0oooo000E0?ooo`030000003oool0oooo0080oooon@1oOgl40?oo
o`030000003oool0oooo00H0oooo000E0?ooo`030000003oool0oooo0080oooon@1oOgl40?ooo`03
0000003oool0oooo00H0oooo000E0?ooo`030000003oool0oooo0080oooon@1oOgl40?ooo`030000
003oool0oooo00H0oooo000E0?ooo`030000003oool0oooo0080oooon@1oOgl40?ooo`030000003o
ool0oooo00H0oooo000E0?ooo`030000003oool0oooo0080oooon@1oOgl40?ooo`030000003oool0
oooo00H0oooo000E0?ooo`030000003oool0oooo0080oooon@1oOgl40?ooo`030000003oool0oooo
00H0oooo000E0?ooo`030000003oool0oooo0080oooon@1oOgl40?ooo`030000003oool0oooo00H0
oooo00020?ooo`800000103oool2000000<0oooo100000040?ooo`030000003oool0oooo0080oooo
n@1oOgl40?ooo`030000003oool0oooo00H0oooo00001@3oool000000?ooo`3oool0000000P0oooo
00<000000?ooo`3oool01@3oool00`000000oooo0?ooo`020?ooooT0Ogmo103oool00`000000oooo
0?ooo`060?ooo`0000D0oooo0000003oool0oooo000000090?ooo`030000003oool0oooo00@0oooo
0P0000030?ooooT0Ogmo0`3oool2000000P0oooo00001@3oool000000?ooo`3oool0000000X0oooo
00<000000?ooo`3oool00`3oool00`000000oooo0?ooo`020?ooooT0Ogmo103oool00`000000oooo
0?ooo`060?ooo`0000D0oooo0000003oool0oooo000000080?ooo`040000003oool0oooo000000@0
oooo00<000000?ooo`3oool00P3ooooi07moO`@0oooo00<000000?ooo`3oool01P3oool00080oooo
0P00000:0?ooo`8000001@3oool00`000000oooo0?ooo`020?ooooT0Ogmo103oool00`000000oooo
0?ooo`060?ooo`005@3oool00`000000oooo0?ooo`020?ooooT0Ogmo103oool00`000000oooo0?oo
o`060?ooo`005@3oool00`000000oooo0?ooo`020?ooooT0Ogmo103oool00`000000oooo0?ooo`06
0?ooo`005@3oool00`000000oooo0?ooo`020?ooooT0Ogmo103oool00`000000oooo0?ooo`060?oo
o`005@3oool00`000000oooo0?ooo`020?ooooT0Ogmo103oool00`000000oooo0?ooo`060?ooo`00
5@3oool00`000000oooo0?ooo`020?ooooT0Ogmo103oool00`000000oooo0?ooo`060?ooo`005@3o
ool00`000000oooo0?ooo`020?ooooT0Ogmo103oool00`000000oooo0?ooo`060?ooo`005@3oool0
0`000000oooo0?ooo`020?ooooT0Ogmo103oool00`000000oooo0?ooo`060?ooo`005@3oool00`00
0000oooo0?ooo`020?ooooT0Ogmo103oool00`000000oooo0?ooo`060?ooo`005@3oool00`000000
oooo0?ooo`020?ooooT0Ogmo103oool00`000000oooo0?ooo`060?ooo`005@3oool2000000<0oooo
n@1oOgl40?ooo`030000003oool0oooo00H0oooo000E0?ooo`030000003oool0oooo0080oooon@1o
Ogl40?ooo`030000003oool0oooo00H0oooo000E0?ooo`030000003oool0oooo0080oooon@1oOgl4
0?ooo`030000003oool0oooo00H0oooo000E0?ooo`030000003oool0oooo0080oooon@1oOgl40?oo
o`030000003oool0oooo00H0oooo000E0?ooo`030000003oool0oooo0080oooon@1oOgl40?ooo`03
0000003oool0oooo00H0oooo000E0?ooo`030000003oool0oooo0080oooon@1oOgl40?ooo`030000
003oool0oooo00H0oooo000E0?ooo`030000003oool0oooo0080oooon@1oOgl40?ooo`030000003o
ool0oooo00H0oooo000E0?ooo`030000003oool0oooo0080oooon@1oOgl40?ooo`030000003oool0
oooo00H0oooo000E0?ooo`030000003oool0oooo0080oooon@1oOgl40?ooo`030000003oool0oooo
00H0oooo000E0?ooo`030000003oool0oooo0080oooon@1oOgl40?ooo`030000003oool0oooo00H0
oooo000E0?ooo`030000003oool0oooo0080oooon@1oOgl40?ooo`030000003oool0oooo00H0oooo
000E0?ooo`030000003oool0oooo0080oooon@1oOgl40?ooo`030000003oool0oooo00H0oooo000E
0?ooo`8000000`3ooooi07moO`@0oooo00<000000?ooo`3oool01P3oool001D0oooo00<000000?oo
o`3oool00P3ooooi07moO`@0oooo00<000000?ooo`3oool01P3oool001D0oooo00<000000?ooo`3o
ool00P3ooooi07moO`@0oooo00<000000?ooo`3oool01P3oool001D0oooo00<000000?ooo`3oool0
0P3ooooi07moO`@0oooo00<000000?ooo`3oool01P3oool001D0oooo00<000000?ooo`3oool00P3o
oooi07moO`@0oooo00<000000?ooo`3oool01P3oool001D0oooo00<000000?ooo`3oool00P3ooooi
07moO`@0oooo00<000000?ooo`3oool01P3oool001D0oooo00<000000?ooo`3oool00P3ooooi07mo
O`@0oooo00<000000?ooo`3oool01P3oool001D0oooo00<000000?ooo`3oool00P3ooooi07moO`@0
oooo00<000000?ooo`3oool01P3oool001D0oooo00<000000?ooo`3oool00P3ooooi07moO`@0oooo
00<000000?ooo`3oool01P3oool001D0oooo00<000000?ooo`3oool00P3ooooi07moO`@0oooo00<0
00000?ooo`3oool01P3oool001D0oooo00<000000?ooo`3oool00P3ooooi07moO`@0oooo00<00000
0?ooo`3oool01P3oool001D0oooo00<000000?ooo`3oool00P3ooooi07moO`@0oooo00<000000?oo
o`3oool01P3oool001D0oooo00<000000?ooo`3oool00P3ooooi07moO`@0oooo00<000000?ooo`3o
ool01P3oool001D0oooo0P0000030?ooooT0Ogmo103oool00`000000oooo0?ooo`060?ooo`005@3o
ool00`000000oooo0?ooo`020?ooooT0Ogmo103oool00`000000oooo0?ooo`060?ooo`005@3oool0
0`000000oooo0?ooo`020?ooooT0Ogmo103oool00`000000oooo0?ooo`060?ooo`005@3oool00`00
0000oooo0?ooo`020?ooooT0Ogmo103oool00`000000oooo0?ooo`060?ooo`005@3oool00`000000
oooo0?ooo`020?ooooT0Ogmo103oool00`000000oooo0?ooo`060?ooo`005@3oool00`000000oooo
0?ooo`020?ooooT0Ogmo103oool00`000000oooo0?ooo`060?ooo`005@3oool00`000000oooo0?oo
o`020?ooooT0Ogmo103oool00`000000oooo0?ooo`060?ooo`005@3oool00`000000oooo0?ooo`02
0?ooooT0Ogmo103oool00`000000oooo0?ooo`060?ooo`005@3oool00`000000oooo0?ooo`020?oo
ooT0Ogmo103oool00`000000oooo0?ooo`060?ooo`005@3oool00`000000oooo0?ooo`020?ooooT0
Ogmo103oool00`000000oooo0?ooo`060?ooo`000P3oool2000000@0oooo0P0000050?ooo`<00000
0`3oool00`000000oooo0?ooo`020?ooooT0Ogmo103oool00`000000oooo0?ooo`060?ooo`0000D0
oooo0000003oool0oooo0000000;0?ooo`030000003oool0oooo0080oooo00<000000?ooo`3oool0
0P3ooooi07moO`@0oooo00<000000?ooo`3oool01P3oool000050?ooo`000000oooo0?ooo`000000
203oool5000000<0oooo0P0000030?ooooT0Ogmo0`3oool2000000P0oooo00001@3oool000000?oo
o`3oool0000000P0oooo00@000000?ooo`3oool00000103oool00`000000oooo0?ooo`020?ooooT0
Ogmo103oool00`000000oooo0?ooo`060?ooo`0000D0oooo0000003oool0oooo000000090?ooo`03
0000003oool0000000@0oooo00<000000?ooo`3oool00P3ooooi07moO`@0oooo00<000000?ooo`3o
ool01P3oool00080oooo0P00000;0?ooo`800000103oool00`000000oooo0?ooo`020?ooooT0Ogmo
103oool00`000000oooo0?ooo`060?ooo`005@3oool00`000000oooo0?ooo`020?ooooT0Ogmo103o
ool00`000000oooo0?ooo`060?ooo`005@3oool00`000000oooo0?ooo`020?ooooT0Ogmo103oool0
0`000000oooo0?ooo`060?ooo`005@3oool00`000000oooo0?ooo`020?ooooT0Ogmo103oool00`00
0000oooo0?ooo`060?ooo`005@3oool00`000000oooo0?ooo`020?ooooT0Ogmo103oool00`000000
oooo0?ooo`060?ooo`005@3oool00`000000oooo0?ooo`020?ooooT0Ogmo103oool00`000000oooo
0?ooo`060?ooo`005@3oool00`000000oooo0?ooo`020?ooooT0Ogmo103oool00`000000oooo0?oo
o`060?ooo`005@3oool00`000000oooo0?ooo`020?ooooT0Ogmo103oool00`000000oooo0?ooo`06
0?ooo`005@3oool00`000000oooo0?ooo`020?ooooT0Ogmo103oool00`000000oooo0?ooo`060?oo
o`005@3oool00`000000oooo0?ooo`020?ooooT0Ogmo103oool00`000000oooo0?ooo`060?ooo`00
5@3oool2000000<0oooon@1oOgl40?ooo`030000003oool0oooo00H0oooo000E0?ooo`030000003o
ool0oooo0080oooon@1oOgl40?ooo`030000003oool0oooo00H0oooo000E0?ooo`030000003oool0
oooo0080oooon@1oOgl40?ooo`030000003oool0oooo00H0oooo000E0?ooo`030000003oool0oooo
0080oooon@1oOgl40?ooo`030000003oool0oooo00H0oooo000E0?ooo`030000003oool0oooo0080
oooon@1oOgl40?ooo`030000003oool0oooo00H0oooo000E0?ooo`030000003oool0oooo0080oooo
n@1oOgl40?ooo`030000003oool0oooo00H0oooo000E0?ooo`030000003oool0oooo0080oooon@1o
Ogl40?ooo`030000003oool0oooo00H0oooo000E0?ooo`030000003oool0oooo0080oooon@1oOgl4
0?ooo`030000003oool0oooo00H0oooo000E0?ooo`030000003oool0oooo0080oooon@1oOgl40?oo
o`030000003oool0oooo00H0oooo000E0?ooo`030000003oool0oooo0080oooon@1oOgl40?ooo`03
0000003oool0oooo00H0oooo000E0?ooo`030000003oool0oooo0080oooon@1oOgl40?ooo`030000
003oool0oooo00H0oooo000E0?ooo`030000003oool0oooo0080oooon@1oOgl40?ooo`030000003o
ool0oooo00H0oooo000E0?ooo`8000000`3ooooi07moO`@0oooo00<000000?ooo`3oool01P3oool0
01D0oooo00<000000?ooo`3oool00P3ooooi07moO`@0oooo00<000000?ooo`3oool01P3oool001D0
oooo00<000000?ooo`3oool00P3ooooi07moO`@0oooo00<000000?ooo`3oool01P3oool001D0oooo
00<000000?ooo`3oool00P3ooooi07moO`@0oooo00<000000?ooo`3oool01P3oool001D0oooo00<0
00000?ooo`3oool00P3ooooi07moO`@0oooo00<000000?ooo`3oool01P3oool001D0oooo00<00000
0?ooo`3oool00P3ooooi07moO`@0oooo00<000000?ooo`3oool01P3oool001D0oooo00<000000?oo
o`3oool00P3ooooi07moO`@0oooo00<000000?ooo`3oool01P3oool001D0oooo00<000000?ooo`3o
ool00P3ooooi07moO`@0oooo00<000000?ooo`3oool01P3oool001D0oooo00<000000?ooo`3oool0
0P3ooooi07moO`@0oooo00<000000?ooo`3oool01P3oool001D0oooo00<000000?ooo`3oool00P3o
oooi07moO`@0oooo00<000000?ooo`3oool01P3oool001D0oooo00<000000?ooo`3oool00P3ooooi
07moO`@0oooo00<000000?ooo`3oool01P3oool001D0oooo00<000000?ooo`3oool00P3ooooi07mo
O`@0oooo00<000000?ooo`3oool01P3oool001D0oooo0P0000030?ooooT0Ogmo103oool00`000000
oooo0?ooo`060?ooo`005@3oool00`000000oooo0?ooo`020?ooooT0Ogmo103oool00`000000oooo
0?ooo`060?ooo`005@3oool00`000000oooo0?ooo`020?ooooT0Ogmo103oool00`000000oooo0?oo
o`060?ooo`005@3oool00`000000oooo0?ooo`020?ooooT0Ogmo103oool00`000000oooo0?ooo`06
0?ooo`005@3oool00`000000oooo0?ooo`020?ooooT0Ogmo103oool00`000000oooo0?ooo`060?oo
o`005@3oool00`000000oooo0?ooo`020?ooooT0Ogmo103oool00`000000oooo0?ooo`060?ooo`00
5@3oool00`000000oooo0?ooo`020?ooooT0Ogmo103oool00`000000oooo0?ooo`060?ooo`005@3o
ool00`000000oooo0?ooo`020?ooooT0Ogmo103oool00`000000oooo0?ooo`060?ooo`005@3oool0
0`000000oooo0?ooo`020?ooooT0Ogmo103oool00`000000oooo0?ooo`060?ooo`005@3oool00`00
0000oooo0?ooo`020?ooooT0Ogmo103oool00`000000oooo0?ooo`060?ooo`005@3oool00`000000
oooo0?ooo`020?ooooT0Ogmo103oool00`000000oooo0?ooo`060?ooo`000P3oool2000000@0oooo
0P0000030?ooo`<000001@3oool00`000000oooo0?ooo`020?ooooT0Ogmo103oool00`000000oooo
0?ooo`060?ooo`0000D0oooo0000003oool0oooo000000080?ooo`040000003oool0oooo000000@0
oooo00<000000?ooo`3oool00P3ooooi07moO`@0oooo00<000000?ooo`3oool01P3oool000050?oo
o`000000oooo0?ooo`000000203oool010000000oooo0?ooo`0000040?ooo`8000000`3ooooi07mo
O`<0oooo0P0000080?ooo`0000D0oooo0000003oool0oooo000000080?ooo`<000001@3oool00`00
0000oooo0?ooo`020?ooooT0Ogmo103oool00`000000oooo0?ooo`060?ooo`0000D0oooo0000003o
ool0oooo000000090?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3oool00P3ooooi07mo
O`@0oooo00<000000?ooo`3oool01P3oool00080oooo0P00000:0?ooo`<00000103oool00`000000
oooo0?ooo`020?ooooT0Ogmo103oool00`000000oooo0?ooo`060?ooo`005@3oool00`000000oooo
0?ooo`020?ooooT0Ogmo103oool00`000000oooo0?ooo`060?ooo`005@3oool00`000000oooo0?oo
o`020?ooooT0Ogmo103oool00`000000oooo0?ooo`060?ooo`005@3oool00`000000oooo0?ooo`02
0?ooooT0Ogmo103oool00`000000oooo0?ooo`060?ooo`005@3oool00`000000oooo0?ooo`020?oo
ooT0Ogmo103oool00`000000oooo0?ooo`060?ooo`005@3oool00`000000oooo0?ooo`020?ooooT0
Ogmo103oool00`000000oooo0?ooo`060?ooo`005@3oool00`000000oooo0?ooo`020?ooooT0Ogmo
103oool00`000000oooo0?ooo`060?ooo`005@3oool00`000000oooo0?ooo`020?ooooT0Ogmo103o
ool00`000000oooo0?ooo`060?ooo`005@3oool00`000000oooo0?ooo`020?ooooT0Ogmo103oool0
0`000000oooo0?ooo`060?ooo`005@3oool2000000<0oooon@1oOgl40?ooo`030000003oool0oooo
00H0oooo000E0?ooo`030000003oool0oooo0080oooon@1oOgl40?ooo`030000003oool0oooo00H0
oooo000E0?ooo`030000003oool0oooo0080oooon@1oOgl40?ooo`030000003oool0oooo00H0oooo
000E0?ooo`030000003oool0oooo0080oooon@1oOgl40?ooo`030000003oool0oooo00H0oooo000E
0?ooo`030000003oool0oooo0080oooon@1oOgl40?ooo`030000003oool0oooo00H0oooo000E0?oo
o`030000003oool0oooo0080oooon@1oOgl40?ooo`030000003oool0oooo00H0oooo000E0?ooo`03
0000003oool0oooo0080oooon@1oOgl40?ooo`030000003oool0oooo00H0oooo000E0?ooo`030000
003oool0oooo0080oooon@1oOgl40?ooo`030000003oool0oooo00H0oooo000E0?ooo`030000003o
ool0oooo0080oooon@1oOgl40?ooo`030000003oool0oooo00H0oooo000E0?ooo`030000003oool0
oooo0080oooon@1oOgl40?ooo`030000003oool0oooo00H0oooo000E0?ooo`030000003oool0oooo
0080oooon@1oOgl40?ooo`030000003oool0oooo00H0oooo000E0?ooo`030000003oool0oooo0080
oooon@1oOgl40?ooo`030000003oool0oooo00H0oooo000E0?ooo`030000003oool0oooo0080oooo
n@1oOgl40?ooo`030000003oool0oooo00H0oooo000E0?ooo`8000000`3ooooi07moO`@0oooo00<0
00000?ooo`3oool01P3oool001D0oooo00<000000?ooo`3oool00P3ooooi07moO`@0oooo00<00000
0?ooo`3oool01P3oool001D0oooo00<000000?ooo`3oool00P3ooooi07moO`@0oooo00<000000?oo
o`3oool01P3oool001D0oooo00<000000?ooo`3oool00P3ooooi07moO`@0oooo00<000000?ooo`3o
ool01P3oool001D0oooo00<000000?ooo`3oool00P3ooooi07moO`@0oooo00<000000?ooo`3oool0
1P3oool001D0oooo00<000000?ooo`3oool00P3ooooi07moO`@0oooo00<000000?ooo`3oool01P3o
ool001D0oooo00<000000?ooo`3oool00P3ooooi07moO`@0oooo00<000000?ooo`3oool01P3oool0
01D0oooo00<000000?ooo`3oool00P3ooooi07moO`@0oooo00<000000?ooo`3oool01P3oool001D0
oooo00<000000?ooo`3oool00P3ooooi07moO`@0oooo00<000000?ooo`3oool01P3oool001D0oooo
00<000000?ooo`3oool00P3ooooi07moO`@0oooo00<000000?ooo`3oool01P3oool001D0oooo00<0
00000?ooo`3oool00P3ooooi07moO`@0oooo00<000000?ooo`3oool01P3oool001D0oooo00<00000
0?ooo`3oool00P3ooooi07moO`@0oooo00<000000?ooo`3oool01P3oool001D0oooo0P0000030?oo
ooT0Ogmo103oool00`000000oooo0?ooo`060?ooo`005@3oool00`000000oooo0?ooo`020?ooooT0
Ogmo103oool00`000000oooo0?ooo`060?ooo`005@3oool00`000000oooo0?ooo`020?ooooT0Ogmo
103oool00`000000oooo0?ooo`060?ooo`005@3oool00`000000oooo0?ooo`020?ooooT0Ogmo103o
ool00`000000oooo0?ooo`060?ooo`005@3oool00`000000oooo0?ooo`020?ooooT0Ogmo103oool0
0`000000oooo0?ooo`060?ooo`005@3oool00`000000oooo0?ooo`020?ooooT0Ogmo103oool00`00
0000oooo0?ooo`060?ooo`005@3oool00`000000oooo0?ooo`020?ooooT0Ogmo103oool00`000000
oooo0?ooo`060?ooo`005@3oool00`000000oooo0?ooo`020?ooooT0Ogmo103oool00`000000oooo
0?ooo`060?ooo`005@3oool00`000000oooo0?ooo`020?ooooT0Ogmo103oool00`000000oooo0?oo
o`060?ooo`005@3oool00`000000oooo0?ooo`020?ooooT0Ogmo103oool00`000000oooo0?ooo`06
0?ooo`005@3oool00`000000oooo0?ooo`020?ooooT0Ogmo103oool00`000000oooo0?ooo`060?oo
o`000P3oool2000000@0oooo0P0000040?ooo`8000001@3oool00`000000oooo0?ooo`020?ooooT0
Ogmo103oool00`000000oooo0?ooo`060?ooo`0000D0oooo0000003oool0oooo000000080?ooo`04
0000003oool0oooo000000@0oooo00<000000?ooo`3oool00P3ooooi07moO`@0oooo00<000000?oo
o`3oool01P3oool000050?ooo`000000oooo0?ooo`000000203oool010000000oooo0?ooo`000004
0?ooo`8000000`3ooooi07moO`<0oooo0P0000080?ooo`0000D0oooo0000003oool0oooo00000009
0?ooo`8000001@3oool00`000000oooo0?ooo`020?ooooT0Ogmo103oool00`000000oooo0?ooo`06
0?ooo`0000D0oooo0000003oool0oooo000000080?ooo`040000003oool0oooo000000@0oooo00<0
00000?ooo`3oool00P3ooooi07moO`@0oooo00<000000?ooo`3oool01P3oool00080oooo0P00000:
0?ooo`8000001@3oool00`000000oooo0?ooo`020?ooooT0Ogmo103oool00`000000oooo0?ooo`06
0?ooo`005@3oool00`000000oooo0?ooo`020?ooooT0Ogmo103oool00`000000oooo0?ooo`060?oo
o`005@3oool00`000000oooo0?ooo`020?ooooT0Ogmo103oool00`000000oooo0?ooo`060?ooo`00
5@3oool00`000000oooo0?ooo`020?ooooT0Ogmo103oool00`000000oooo0?ooo`060?ooo`005@3o
ool00`000000oooo0?ooo`020?ooooT0Ogmo103oool00`000000oooo0?ooo`060?ooo`005@3oool0
0`000000oooo0?ooo`020?ooooT0Ogmo103oool00`000000oooo0?ooo`060?ooo`005@3oool00`00
0000oooo0?ooo`020?ooooT0Ogmo103oool00`000000oooo0?ooo`060?ooo`005@3oool00`000000
oooo0?ooo`020?ooooT0Ogmo103oool00`000000oooo0?ooo`060?ooo`005@3oool00`000000oooo
0?ooo`020?ooooT0Ogmo103oool00`000000oooo0?ooo`060?ooo`005@3oool2000000<0oooon@1o
Ogl40?ooo`030000003oool0oooo00H0oooo000E0?ooo`030000003oool0oooo0080oooon@1oOgl4
0?ooo`030000003oool0oooo00H0oooo000E0?ooo`030000003oool0oooo0080oooon@1oOgl40?oo
o`030000003oool0oooo00H0oooo000E0?ooo`030000003oool0oooo0080oooon@1oOgl40?ooo`03
0000003oool0oooo00H0oooo000E0?ooo`030000003oool0oooo0080oooon@1oOgl40?ooo`030000
003oool0oooo00H0oooo000E0?ooo`030000003oool0oooo0080oooon@1oOgl40?ooo`030000003o
ool0oooo00H0oooo000E0?ooo`030000003oool0oooo0080oooon@1oOgl40?ooo`030000003oool0
oooo00H0oooo000E0?ooo`030000003oool0oooo0080oooon@1oOgl40?ooo`030000003oool0oooo
00H0oooo000E0?ooo`030000003oool0oooo0080oooon@1oOgl40?ooo`030000003oool0oooo00H0
oooo000E0?ooo`030000003oool0oooo0080oooon@1oOgl40?ooo`030000003oool0oooo00H0oooo
000E0?ooo`030000003oool0oooo0080oooon@1oOgl40?ooo`030000003oool0oooo00H0oooo000E
0?ooo`030000003oool0oooo0080oooon@1oOgl40?ooo`030000003oool0oooo00H0oooo000E0?oo
o`030000003oool0oooo0080oooon@1oOgl40?ooo`030000003oool0oooo00H0oooo000E0?ooo`80
00000`3ooooi07moO`@0oooo00<000000?ooo`3oool01P3oool001D0oooo00<000000?ooo`3oool0
0P3ooooi07moO`@0oooo00<000000?ooo`3oool01P3oool001D0oooo00<000000?ooo`3oool00P3o
oooi07moO`@0oooo00<000000?ooo`3oool01P3oool001D0oooo00<000000?ooo`3oool00P3ooooi
07moO`@0oooo00<000000?ooo`3oool01P3oool001D0oooo00<000000?ooo`3oool00P3ooooi07mo
O`@0oooo00<000000?ooo`3oool01P3oool001D0oooo00<000000?ooo`3oool00P3ooooi07moO`@0
oooo00<000000?ooo`3oool01P3oool001D0oooo00<000000?ooo`3oool00P3ooooi07moO`@0oooo
00<000000?ooo`3oool01P3oool001D0oooo00<000000?ooo`3oool00P3ooooi07moO`@0oooo00<0
00000?ooo`3oool01P3oool001D0oooo00<000000?ooo`3oool00P3ooooi07moO`@0oooo00<00000
0?ooo`3oool01P3oool001D0oooo00<000000?ooo`3oool00P3ooooi07moO`@0oooo00<000000?oo
o`3oool01P3oool001D0oooo00<000000?ooo`3oool00P3ooooi07moO`@0oooo00<000000?ooo`3o
ool01P3oool001D0oooo00<000000?ooo`3oool00P3ooooi07moO`@0oooo00<000000?ooo`3oool0
1P3oool001D0oooo0P0000030?ooooT0Ogmo103oool00`000000oooo0?ooo`060?ooo`005@3oool0
0`000000oooo0?ooo`020?ooooT0Ogmo103oool00`000000oooo0?ooo`060?ooo`005@3oool00`00
0000oooo0?ooo`020?ooooT0Ogmo103oool00`000000oooo0?ooo`060?ooo`005@3oool00`000000
oooo0?ooo`020?ooooT0Ogmo103oool00`000000oooo0?ooo`060?ooo`005@3oool00`000000oooo
0?ooo`020?ooooT0Ogmo103oool00`000000oooo0?ooo`060?ooo`005@3oool00`000000oooo0?oo
o`020?ooooT0Ogmo103oool00`000000oooo0?ooo`060?ooo`005@3oool00`000000oooo0?ooo`02
0?ooooT0Ogmo103oool00`000000oooo0?ooo`060?ooo`005@3oool00`000000oooo0?ooo`020?oo
ooT0Ogmo103oool00`000000oooo0?ooo`060?ooo`005@3oool00`000000oooo0?ooo`020?ooooT0
Ogmo103oool00`000000oooo0?ooo`060?ooo`005@3oool00`000000oooo0?ooo`020?ooooT0Ogmo
103oool00`000000oooo0?ooo`060?ooo`005@3oool00`000000oooo0?ooo`020?ooooT0Ogmo103o
ool00`000000oooo0?ooo`060?ooo`003@3oool5000000<0oooo00<000000?ooo`3oool00P3ooooi
07moO`@0oooo00<000000?ooo`3oool01P3oool000l0oooo00<000000?ooo`3oool00`3oool00`00
0000oooo0?ooo`020?ooooT0Ogmo103oool00`000000oooo0?ooo`060?ooo`003`3oool00`000000
oooo0?ooo`030?ooo`8000000`3ooooi07moO`<0oooo0P0000080?ooo`003`3oool00`000000oooo
0?ooo`030?ooo`030000003oool0oooo0?l0oooo00<000000?ooo`3oool01P3oool000l0oooo00<0
00000?ooo`3oool00`3oool00`000000oooo0?ooo`3o0?ooo`030000003oool0oooo00H0oooo000>
0?ooo`8000001@3oool00`000000oooo0?ooo`020?ooo`030000003oool0oooo02h0oooo00<00000
0?ooo`3oool0;`3oool00`000000oooo0?ooo`0_0?ooo`030000003oool0oooo02l0oooo00<00000
0?ooo`3oool0;`3oool01@000000oooo0?ooo`3oool0000000P0oooo000E0?ooool0000010000008
0?ooo`00o`3ooolQ0?ooo`00o`3ooolQ0?ooo`00o`3ooolQ0?ooo`00o`3ooolQ0?ooo`00o`3ooolQ
0?ooo`00o`3ooolQ0?ooo`00o`3ooolQ0?ooo`00o`3ooolQ0?ooo`00\
\>"],
  ImageRangeCache->{{{0, 287}, {287, 0}} -> {-105.246, -0.100284, 4.01909, \
0.00401548}}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(\(ContourPlot[
        Im[ReplaceAll[
            c, \(Solve[
                ReplaceAll[detM, {R \[Rule] x, \[Alpha] \[Rule] y}] \[Equal] 
                  0, c]\)[\([1]\)]]], {x,  .1, 1000}, {y,  .001, 
          1}];\)\)], "Input"],

Cell[GraphicsData["PostScript", "\<\
%!
%%Creator: Mathematica
%%AspectRatio: 1 
MathPictureStart
/Mabs {
Mgmatrix idtransform
Mtmatrix dtransform
} bind def
/Mabsadd { Mabs
3 -1 roll add
3 1 roll add
exch } bind def
%% ContourGraphics
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10  scalefont  setfont
% Scaling calculations
0.0191346 0.000961635 0.0182683 0.962501 [
[.01913 -0.0125 -3 -9 ]
[.01913 -0.0125 3 0 ]
[.21146 -0.0125 -9 -9 ]
[.21146 -0.0125 9 0 ]
[.40379 -0.0125 -9 -9 ]
[.40379 -0.0125 9 0 ]
[.59612 -0.0125 -9 -9 ]
[.59612 -0.0125 9 0 ]
[.78844 -0.0125 -9 -9 ]
[.78844 -0.0125 9 0 ]
[.98077 -0.0125 -12 -9 ]
[.98077 -0.0125 12 0 ]
[ 0 0 -0.125 0 ]
[-0.0125 .01827 -6 -4.5 ]
[-0.0125 .01827 0 4.5 ]
[-0.0125 .21077 -18 -4.5 ]
[-0.0125 .21077 0 4.5 ]
[-0.0125 .40327 -18 -4.5 ]
[-0.0125 .40327 0 4.5 ]
[-0.0125 .59577 -18 -4.5 ]
[-0.0125 .59577 0 4.5 ]
[-0.0125 .78827 -18 -4.5 ]
[-0.0125 .78827 0 4.5 ]
[-0.0125 .98077 -6 -4.5 ]
[-0.0125 .98077 0 4.5 ]
[ 0 0 -0.125 0 ]
[ 0 1 .125 0 ]
[ 1 0 .125 0 ]
[ 0 0 0 0 ]
[ 1 1 0 0 ]
] MathScale
% Start of Graphics
1 setlinecap
1 setlinejoin
newpath
0 g
.25 Mabswid
[ ] 0 setdash
.01913 0 m
.01913 .00625 L
s
[(0)] .01913 -0.0125 0 1 Mshowa
.21146 0 m
.21146 .00625 L
s
[(200)] .21146 -0.0125 0 1 Mshowa
.40379 0 m
.40379 .00625 L
s
[(400)] .40379 -0.0125 0 1 Mshowa
.59612 0 m
.59612 .00625 L
s
[(600)] .59612 -0.0125 0 1 Mshowa
.78844 0 m
.78844 .00625 L
s
[(800)] .78844 -0.0125 0 1 Mshowa
.98077 0 m
.98077 .00625 L
s
[(1000)] .98077 -0.0125 0 1 Mshowa
.125 Mabswid
.06722 0 m
.06722 .00375 L
s
.1153 0 m
.1153 .00375 L
s
.16338 0 m
.16338 .00375 L
s
.25954 0 m
.25954 .00375 L
s
.30762 0 m
.30762 .00375 L
s
.35571 0 m
.35571 .00375 L
s
.45187 0 m
.45187 .00375 L
s
.49995 0 m
.49995 .00375 L
s
.54803 0 m
.54803 .00375 L
s
.6442 0 m
.6442 .00375 L
s
.69228 0 m
.69228 .00375 L
s
.74036 0 m
.74036 .00375 L
s
.83652 0 m
.83652 .00375 L
s
.88461 0 m
.88461 .00375 L
s
.93269 0 m
.93269 .00375 L
s
.25 Mabswid
0 0 m
1 0 L
s
0 .01827 m
.00625 .01827 L
s
[(0)] -0.0125 .01827 1 0 Mshowa
0 .21077 m
.00625 .21077 L
s
[(0.2)] -0.0125 .21077 1 0 Mshowa
0 .40327 m
.00625 .40327 L
s
[(0.4)] -0.0125 .40327 1 0 Mshowa
0 .59577 m
.00625 .59577 L
s
[(0.6)] -0.0125 .59577 1 0 Mshowa
0 .78827 m
.00625 .78827 L
s
[(0.8)] -0.0125 .78827 1 0 Mshowa
0 .98077 m
.00625 .98077 L
s
[(1)] -0.0125 .98077 1 0 Mshowa
.125 Mabswid
0 .06639 m
.00375 .06639 L
s
0 .11452 m
.00375 .11452 L
s
0 .16264 m
.00375 .16264 L
s
0 .25889 m
.00375 .25889 L
s
0 .30702 m
.00375 .30702 L
s
0 .35514 m
.00375 .35514 L
s
0 .45139 m
.00375 .45139 L
s
0 .49952 m
.00375 .49952 L
s
0 .54764 m
.00375 .54764 L
s
0 .64389 m
.00375 .64389 L
s
0 .69202 m
.00375 .69202 L
s
0 .74014 m
.00375 .74014 L
s
0 .83639 m
.00375 .83639 L
s
0 .88452 m
.00375 .88452 L
s
0 .93264 m
.00375 .93264 L
s
.25 Mabswid
0 0 m
0 1 L
s
.01913 .99375 m
.01913 1 L
s
.21146 .99375 m
.21146 1 L
s
.40379 .99375 m
.40379 1 L
s
.59612 .99375 m
.59612 1 L
s
.78844 .99375 m
.78844 1 L
s
.98077 .99375 m
.98077 1 L
s
.125 Mabswid
.06722 .99625 m
.06722 1 L
s
.1153 .99625 m
.1153 1 L
s
.16338 .99625 m
.16338 1 L
s
.25954 .99625 m
.25954 1 L
s
.30762 .99625 m
.30762 1 L
s
.35571 .99625 m
.35571 1 L
s
.45187 .99625 m
.45187 1 L
s
.49995 .99625 m
.49995 1 L
s
.54803 .99625 m
.54803 1 L
s
.6442 .99625 m
.6442 1 L
s
.69228 .99625 m
.69228 1 L
s
.74036 .99625 m
.74036 1 L
s
.83652 .99625 m
.83652 1 L
s
.88461 .99625 m
.88461 1 L
s
.93269 .99625 m
.93269 1 L
s
.25 Mabswid
0 1 m
1 1 L
s
.99375 .01827 m
1 .01827 L
s
.99375 .21077 m
1 .21077 L
s
.99375 .40327 m
1 .40327 L
s
.99375 .59577 m
1 .59577 L
s
.99375 .78827 m
1 .78827 L
s
.99375 .98077 m
1 .98077 L
s
.125 Mabswid
.99625 .06639 m
1 .06639 L
s
.99625 .11452 m
1 .11452 L
s
.99625 .16264 m
1 .16264 L
s
.99625 .25889 m
1 .25889 L
s
.99625 .30702 m
1 .30702 L
s
.99625 .35514 m
1 .35514 L
s
.99625 .45139 m
1 .45139 L
s
.99625 .49952 m
1 .49952 L
s
.99625 .54764 m
1 .54764 L
s
.99625 .64389 m
1 .64389 L
s
.99625 .69202 m
1 .69202 L
s
.99625 .74014 m
1 .74014 L
s
.99625 .83639 m
1 .83639 L
s
.99625 .88452 m
1 .88452 L
s
.99625 .93264 m
1 .93264 L
s
.25 Mabswid
1 0 m
1 1 L
s
0 0 m
1 0 L
1 1 L
0 1 L
closepath
clip
newpath
.01923 .98077 m
.98077 .98077 L
.98077 .01923 L
.01923 .01923 L
F
.5 Mabswid
.1 g
.98077 .04396 m
.94071 .04446 L
.90064 .04496 L
.86058 .04547 L
.82051 .046 L
.78045 .04654 L
.74038 .0471 L
.70032 .04767 L
.66026 .04825 L
.62019 .04885 L
.58013 .04947 L
.54006 .05011 L
.5 .05077 L
.45994 .05146 L
.41987 .05217 L
.37981 .05291 L
.33974 .05368 L
.29968 .05449 L
.25962 .05534 L
.21955 .05623 L
.17949 .05718 L
.13942 .05819 L
.09936 .05928 L
.05944 .05929 L
.05929 .06046 L
.05926 .09936 L
.05914 .13942 L
.05911 .17949 L
.05913 .21955 L
.05917 .25962 L
.05921 .29968 L
.05924 .33974 L
.05927 .37981 L
.05929 .40969 L
.0593 .41987 L
.05932 .45994 L
.05934 .5 L
.05936 .54006 L
.05938 .58013 L
.05939 .62019 L
.0594 .66026 L
.05941 .70032 L
.05942 .74038 L
.05942 .78045 L
.05943 .82051 L
.09936 .8348 L
.10135 .86058 L
.10397 .90064 L
.10786 .94071 L
.11167 .98077 L
.98077 .98077 L
F
0 g
.98077 .04396 m
.94071 .04446 L
.90064 .04496 L
.86058 .04547 L
.82051 .046 L
.78045 .04654 L
.74038 .0471 L
.70032 .04767 L
.66026 .04825 L
.62019 .04885 L
.58013 .04947 L
.54006 .05011 L
.5 .05077 L
.45994 .05146 L
.41987 .05217 L
.37981 .05291 L
.33974 .05368 L
.29968 .05449 L
.25962 .05534 L
.21955 .05623 L
.17949 .05718 L
.13942 .05819 L
.09936 .05928 L
.05944 .05929 L
.05929 .06046 L
.05926 .09936 L
.05914 .13942 L
.05911 .17949 L
.05913 .21955 L
.05917 .25962 L
.05921 .29968 L
.05924 .33974 L
.05927 .37981 L
.05929 .40969 L
.0593 .41987 L
.05932 .45994 L
.05934 .5 L
.05936 .54006 L
.05938 .58013 L
.05939 .62019 L
.0594 .66026 L
.05941 .70032 L
.05942 .74038 L
.05942 .78045 L
.05943 .82051 L
.09936 .8348 L
.10135 .86058 L
.10397 .90064 L
.10786 .94071 L
.11167 .98077 L
Mistroke
Mfstroke
.2 g
.98077 .0452 m
.94071 .04566 L
.90064 .04614 L
.86058 .04663 L
.82051 .04713 L
.78045 .04764 L
.74038 .04816 L
.70032 .0487 L
.66026 .04925 L
.62019 .04982 L
.58013 .0504 L
.54006 .051 L
.5 .05162 L
.45994 .05226 L
.41987 .05293 L
.37981 .05362 L
.33974 .05434 L
.29968 .05509 L
.25962 .05588 L
.21955 .05671 L
.17949 .05759 L
.13942 .05852 L
.10652 .05929 L
.09936 .05951 L
.05929 .06058 L
.05929 .09936 L
.05918 .13942 L
.05915 .17949 L
.05918 .21955 L
.05921 .25962 L
.05925 .29968 L
.05928 .33974 L
.05929 .36287 L
.05931 .37981 L
.05933 .41987 L
.05935 .45994 L
.05937 .5 L
.05938 .54006 L
.0594 .58013 L
.05941 .62019 L
.05942 .66026 L
.05943 .70032 L
.05943 .74038 L
.09936 .74916 L
.10197 .78045 L
.10569 .82051 L
.1101 .86058 L
.11367 .90064 L
.11829 .94071 L
.12283 .98077 L
.98077 .98077 L
F
0 g
.98077 .0452 m
.94071 .04566 L
.90064 .04614 L
.86058 .04663 L
.82051 .04713 L
.78045 .04764 L
.74038 .04816 L
.70032 .0487 L
.66026 .04925 L
.62019 .04982 L
.58013 .0504 L
.54006 .051 L
.5 .05162 L
.45994 .05226 L
.41987 .05293 L
.37981 .05362 L
.33974 .05434 L
.29968 .05509 L
.25962 .05588 L
.21955 .05671 L
.17949 .05759 L
.13942 .05852 L
.10652 .05929 L
.09936 .05951 L
.05929 .06058 L
.05929 .09936 L
.05918 .13942 L
.05915 .17949 L
.05918 .21955 L
.05921 .25962 L
.05925 .29968 L
.05928 .33974 L
.05929 .36287 L
.05931 .37981 L
.05933 .41987 L
.05935 .45994 L
.05937 .5 L
.05938 .54006 L
.0594 .58013 L
.05941 .62019 L
.05942 .66026 L
.05943 .70032 L
.05943 .74038 L
.09936 .74916 L
.10197 .78045 L
.10569 .82051 L
.1101 .86058 L
.11367 .90064 L
.11829 .94071 L
.12283 .98077 L
Mistroke
Mfstroke
.3 g
.98077 .0465 m
.94071 .04694 L
.90064 .04739 L
.86058 .04785 L
.82051 .04831 L
.78045 .04879 L
.74038 .04928 L
.70032 .04978 L
.66026 .0503 L
.62019 .05083 L
.58013 .05137 L
.54006 .05193 L
.5 .05251 L
.45994 .05311 L
.41987 .05372 L
.37981 .05436 L
.33974 .05503 L
.29968 .05572 L
.25962 .05645 L
.21955 .05721 L
.17949 .05801 L
.13942 .05885 L
.11788 .05929 L
.09936 .05975 L
.05933 .09936 L
.05929 .10717 L
.05923 .13942 L
.0592 .17949 L
.05922 .21955 L
.05925 .25962 L
.05928 .29968 L
.05929 .31391 L
.05931 .33974 L
.05934 .37981 L
.05936 .41987 L
.05938 .45994 L
.05939 .5 L
.05941 .54006 L
.05942 .58013 L
.05943 .62019 L
.05944 .66026 L
.09936 .66496 L
.10195 .70032 L
.10745 .74038 L
.1119 .78045 L
.11682 .82051 L
.12226 .86058 L
.12695 .90064 L
.13224 .94071 L
.13747 .98077 L
.98077 .98077 L
F
0 g
.98077 .0465 m
.94071 .04694 L
.90064 .04739 L
.86058 .04785 L
.82051 .04831 L
.78045 .04879 L
.74038 .04928 L
.70032 .04978 L
.66026 .0503 L
.62019 .05083 L
.58013 .05137 L
.54006 .05193 L
.5 .05251 L
.45994 .05311 L
.41987 .05372 L
.37981 .05436 L
.33974 .05503 L
.29968 .05572 L
.25962 .05645 L
.21955 .05721 L
.17949 .05801 L
.13942 .05885 L
.11788 .05929 L
.09936 .05975 L
.05933 .09936 L
.05929 .10717 L
.05923 .13942 L
.0592 .17949 L
.05922 .21955 L
.05925 .25962 L
.05928 .29968 L
.05929 .31391 L
.05931 .33974 L
.05934 .37981 L
.05936 .41987 L
.05938 .45994 L
.05939 .5 L
.05941 .54006 L
.05942 .58013 L
.05943 .62019 L
.05944 .66026 L
.09936 .66496 L
.10195 .70032 L
.10745 .74038 L
.1119 .78045 L
.11682 .82051 L
.12226 .86058 L
.12695 .90064 L
.13224 .94071 L
.13747 .98077 L
Mistroke
Mfstroke
.4 g
.98077 .04789 m
.94071 .0483 L
.90064 .04872 L
.86058 .04914 L
.82051 .04957 L
.78045 .05002 L
.74038 .05047 L
.70032 .05093 L
.66026 .05141 L
.62019 .0519 L
.58013 .0524 L
.54006 .05291 L
.5 .05344 L
.45994 .05399 L
.41987 .05456 L
.37981 .05514 L
.33974 .05575 L
.29968 .05638 L
.25962 .05703 L
.21955 .05772 L
.17949 .05844 L
.13942 .05919 L
.13378 .05929 L
.09936 .05999 L
.05936 .09936 L
.05929 .12085 L
.05927 .13942 L
.05925 .17949 L
.05927 .21955 L
.05929 .25959 L
.05929 .25962 L
.05932 .29968 L
.05935 .33974 L
.05937 .37981 L
.05939 .41987 L
.0594 .45994 L
.05942 .5 L
.05943 .54006 L
.09936 .57586 L
.0998 .58013 L
.10428 .62019 L
.10935 .66026 L
.11442 .70032 L
.11967 .74038 L
.1265 .78045 L
.1325 .82051 L
.13846 .86058 L
.13942 .86728 L
.14383 .90064 L
.14916 .94071 L
.15486 .98077 L
.98077 .98077 L
F
0 g
.98077 .04789 m
.94071 .0483 L
.90064 .04872 L
.86058 .04914 L
.82051 .04957 L
.78045 .05002 L
.74038 .05047 L
.70032 .05093 L
.66026 .05141 L
.62019 .0519 L
.58013 .0524 L
.54006 .05291 L
.5 .05344 L
.45994 .05399 L
.41987 .05456 L
.37981 .05514 L
.33974 .05575 L
.29968 .05638 L
.25962 .05703 L
.21955 .05772 L
.17949 .05844 L
.13942 .05919 L
.13378 .05929 L
.09936 .05999 L
.05936 .09936 L
.05929 .12085 L
.05927 .13942 L
.05925 .17949 L
.05927 .21955 L
.05929 .25959 L
.05929 .25962 L
.05932 .29968 L
.05935 .33974 L
.05937 .37981 L
.05939 .41987 L
.0594 .45994 L
.05942 .5 L
.05943 .54006 L
.09936 .57586 L
.0998 .58013 L
.10428 .62019 L
.10935 .66026 L
.11442 .70032 L
.11967 .74038 L
.1265 .78045 L
.1325 .82051 L
.13846 .86058 L
.13942 .86728 L
.14383 .90064 L
.14916 .94071 L
Mistroke
.15486 .98077 L
Mfstroke
.5 g
.98077 .04938 m
.94071 .04976 L
.90064 .05014 L
.86058 .05052 L
.82051 .05092 L
.78045 .05132 L
.74038 .05174 L
.70032 .05216 L
.66026 .05259 L
.62019 .05303 L
.58013 .05349 L
.54006 .05395 L
.5 .05443 L
.45994 .05492 L
.41987 .05543 L
.37981 .05596 L
.33974 .0565 L
.29968 .05706 L
.25962 .05764 L
.21955 .05825 L
.17949 .05888 L
.15369 .05929 L
.13942 .05954 L
.09936 .06024 L
.05939 .09936 L
.05932 .13942 L
.0593 .17949 L
.05931 .21955 L
.05934 .25962 L
.05936 .29968 L
.05938 .33974 L
.0594 .37981 L
.05942 .41987 L
.05943 .45994 L
.09936 .48781 L
.10088 .5 L
.10632 .54006 L
.11246 .58013 L
.11898 .62019 L
.12588 .66026 L
.13277 .70032 L
.13942 .73818 L
.13982 .74038 L
.14592 .78045 L
.15229 .82051 L
.15692 .86058 L
.16549 .90064 L
.17215 .94071 L
.17918 .98077 L
.98077 .98077 L
F
0 g
.98077 .04938 m
.94071 .04976 L
.90064 .05014 L
.86058 .05052 L
.82051 .05092 L
.78045 .05132 L
.74038 .05174 L
.70032 .05216 L
.66026 .05259 L
.62019 .05303 L
.58013 .05349 L
.54006 .05395 L
.5 .05443 L
.45994 .05492 L
.41987 .05543 L
.37981 .05596 L
.33974 .0565 L
.29968 .05706 L
.25962 .05764 L
.21955 .05825 L
.17949 .05888 L
.15369 .05929 L
.13942 .05954 L
.09936 .06024 L
.05939 .09936 L
.05932 .13942 L
.0593 .17949 L
.05931 .21955 L
.05934 .25962 L
.05936 .29968 L
.05938 .33974 L
.0594 .37981 L
.05942 .41987 L
.05943 .45994 L
.09936 .48781 L
.10088 .5 L
.10632 .54006 L
.11246 .58013 L
.11898 .62019 L
.12588 .66026 L
.13277 .70032 L
.13942 .73818 L
.13982 .74038 L
.14592 .78045 L
.15229 .82051 L
.15692 .86058 L
.16549 .90064 L
.17215 .94071 L
.17918 .98077 L
s
.6 g
.98077 .05099 m
.94071 .05133 L
.90064 .05167 L
.86058 .05201 L
.82051 .05237 L
.78045 .05273 L
.74038 .05309 L
.70032 .05347 L
.66026 .05385 L
.62019 .05424 L
.58013 .05465 L
.54006 .05506 L
.5 .05548 L
.45994 .05591 L
.41987 .05636 L
.37981 .05681 L
.33974 .05729 L
.29968 .05777 L
.25962 .05828 L
.21955 .0588 L
.18264 .05929 L
.17949 .05934 L
.13942 .0599 L
.09936 .06049 L
.05943 .09936 L
.05936 .13942 L
.05935 .17949 L
.05936 .21955 L
.05938 .25962 L
.0594 .29968 L
.05942 .33974 L
.05943 .37981 L
.09936 .39656 L
.10273 .41987 L
.10938 .45994 L
.11724 .5 L
.1253 .54006 L
.13363 .58013 L
.13942 .60813 L
.14171 .62019 L
.14917 .66026 L
.15669 .70032 L
.16771 .74038 L
.17294 .78045 L
.17949 .81267 L
.18102 .82051 L
.18719 .86058 L
.19621 .90064 L
.20452 .94071 L
.21258 .98077 L
.98077 .98077 L
F
0 g
.98077 .05099 m
.94071 .05133 L
.90064 .05167 L
.86058 .05201 L
.82051 .05237 L
.78045 .05273 L
.74038 .05309 L
.70032 .05347 L
.66026 .05385 L
.62019 .05424 L
.58013 .05465 L
.54006 .05506 L
.5 .05548 L
.45994 .05591 L
.41987 .05636 L
.37981 .05681 L
.33974 .05729 L
.29968 .05777 L
.25962 .05828 L
.21955 .0588 L
.18264 .05929 L
.17949 .05934 L
.13942 .0599 L
.09936 .06049 L
.05943 .09936 L
.05936 .13942 L
.05935 .17949 L
.05936 .21955 L
.05938 .25962 L
.0594 .29968 L
.05942 .33974 L
.05943 .37981 L
.09936 .39656 L
.10273 .41987 L
.10938 .45994 L
.11724 .5 L
.1253 .54006 L
.13363 .58013 L
.13942 .60813 L
.14171 .62019 L
.14917 .66026 L
.15669 .70032 L
.16771 .74038 L
.17294 .78045 L
.17949 .81267 L
.18102 .82051 L
.18719 .86058 L
.19621 .90064 L
.20452 .94071 L
.21258 .98077 L
Mistroke
Mfstroke
.7 g
.98077 .05275 m
.94071 .05304 L
.90064 .05333 L
.86058 .05363 L
.82051 .05394 L
.78045 .05425 L
.74038 .05456 L
.70032 .05489 L
.66026 .05521 L
.62019 .05555 L
.58013 .05589 L
.54006 .05624 L
.5 .0566 L
.45994 .05696 L
.41987 .05734 L
.37981 .05772 L
.33974 .05812 L
.29968 .05852 L
.25962 .05894 L
.22639 .05929 L
.21955 .05937 L
.17949 .05981 L
.13942 .06027 L
.11062 .09936 L
.09936 .11005 L
.05941 .13942 L
.0594 .17949 L
.05941 .21955 L
.05942 .25962 L
.05944 .29968 L
.09936 .30006 L
.10646 .33974 L
.1154 .37981 L
.12516 .41987 L
.13518 .45994 L
.13942 .47617 L
.14486 .5 L
.15449 .54006 L
.16439 .58013 L
.17467 .62019 L
.17949 .63965 L
.18443 .66026 L
.19418 .70032 L
.20478 .74038 L
.21421 .78045 L
.21955 .80149 L
.22374 .82051 L
.23427 .86058 L
.24434 .90064 L
.25425 .94071 L
.25962 .962 L
.26428 .98077 L
.98077 .98077 L
F
0 g
.98077 .05275 m
.94071 .05304 L
.90064 .05333 L
.86058 .05363 L
.82051 .05394 L
.78045 .05425 L
.74038 .05456 L
.70032 .05489 L
.66026 .05521 L
.62019 .05555 L
.58013 .05589 L
.54006 .05624 L
.5 .0566 L
.45994 .05696 L
.41987 .05734 L
.37981 .05772 L
.33974 .05812 L
.29968 .05852 L
.25962 .05894 L
.22639 .05929 L
.21955 .05937 L
.17949 .05981 L
.13942 .06027 L
.11062 .09936 L
.09936 .11005 L
.05941 .13942 L
.0594 .17949 L
.05941 .21955 L
.05942 .25962 L
.05944 .29968 L
.09936 .30006 L
.10646 .33974 L
.1154 .37981 L
.12516 .41987 L
.13518 .45994 L
.13942 .47617 L
.14486 .5 L
.15449 .54006 L
.16439 .58013 L
.17467 .62019 L
.17949 .63965 L
.18443 .66026 L
.19418 .70032 L
.20478 .74038 L
.21421 .78045 L
.21955 .80149 L
.22374 .82051 L
.23427 .86058 L
.24434 .90064 L
.25425 .94071 L
Mistroke
.25962 .962 L
.26428 .98077 L
Mfstroke
.8 g
.98077 .0547 m
.94071 .05494 L
.90064 .05518 L
.86058 .05542 L
.82051 .05567 L
.78045 .05592 L
.74038 .05618 L
.70032 .05644 L
.66026 .0567 L
.62019 .05697 L
.58013 .05724 L
.54006 .05752 L
.5 .0578 L
.45994 .05809 L
.41987 .05839 L
.37981 .05869 L
.33974 .059 L
.30213 .05929 L
.29968 .05931 L
.25962 .05964 L
.21955 .05997 L
.17949 .06031 L
.14575 .09936 L
.13942 .10293 L
.10925 .13942 L
.10403 .17949 L
.10781 .21955 L
.11639 .25962 L
.1276 .29968 L
.13942 .3373 L
.14011 .33974 L
.15183 .37981 L
.1648 .41987 L
.17815 .45994 L
.17949 .46402 L
.1909 .5 L
.20416 .54006 L
.21765 .58013 L
.21955 .58724 L
.2289 .62019 L
.24483 .66026 L
.25742 .70032 L
.25962 .70658 L
.27151 .74038 L
.28541 .78045 L
.29786 .82051 L
.29968 .82507 L
.31284 .86058 L
.3242 .90064 L
.33974 .94008 L
.33997 .94071 L
.35277 .98077 L
.98077 .98077 L
F
0 g
.98077 .0547 m
.94071 .05494 L
.90064 .05518 L
.86058 .05542 L
.82051 .05567 L
.78045 .05592 L
.74038 .05618 L
.70032 .05644 L
.66026 .0567 L
.62019 .05697 L
.58013 .05724 L
.54006 .05752 L
.5 .0578 L
.45994 .05809 L
.41987 .05839 L
.37981 .05869 L
.33974 .059 L
.30213 .05929 L
.29968 .05931 L
.25962 .05964 L
.21955 .05997 L
.17949 .06031 L
.14575 .09936 L
.13942 .10293 L
.10925 .13942 L
.10403 .17949 L
.10781 .21955 L
.11639 .25962 L
.1276 .29968 L
.13942 .3373 L
.14011 .33974 L
.15183 .37981 L
.1648 .41987 L
.17815 .45994 L
.17949 .46402 L
.1909 .5 L
.20416 .54006 L
.21765 .58013 L
.21955 .58724 L
.2289 .62019 L
.24483 .66026 L
.25742 .70032 L
.25962 .70658 L
.27151 .74038 L
.28541 .78045 L
.29786 .82051 L
.29968 .82507 L
.31284 .86058 L
.3242 .90064 L
.33974 .94008 L
Mistroke
.33997 .94071 L
.35277 .98077 L
Mfstroke
.9 g
.98077 .0569 m
.94071 .05708 L
.90064 .05725 L
.86058 .05743 L
.82051 .05761 L
.78045 .05779 L
.74038 .05797 L
.70032 .05816 L
.66026 .05834 L
.62019 .05853 L
.58013 .05873 L
.54006 .05892 L
.5 .05912 L
.46479 .05929 L
.45994 .05932 L
.41987 .05952 L
.37981 .05973 L
.33974 .05994 L
.29968 .06015 L
.25962 .06037 L
.21955 .06059 L
.21914 .09936 L
.17949 .11717 L
.16302 .13942 L
.15337 .17949 L
.1604 .21955 L
.17439 .25962 L
.17949 .27221 L
.19073 .29968 L
.2098 .33974 L
.21955 .36033 L
.22885 .37981 L
.24862 .41987 L
.25962 .44069 L
.26965 .45994 L
.28955 .5 L
.29968 .51871 L
.31119 .54006 L
.3322 .58013 L
.33974 .59434 L
.35359 .62019 L
.37467 .66026 L
.37981 .66992 L
.39639 .70032 L
.41723 .74038 L
.41987 .74523 L
.43893 .78045 L
.45994 .81993 L
.46025 .82051 L
.48253 .86058 L
.5 .88945 L
.50535 .90064 L
.52476 .94071 L
.54006 .9697 L
.54534 .98077 L
.98077 .98077 L
F
0 g
.98077 .0569 m
.94071 .05708 L
.90064 .05725 L
.86058 .05743 L
.82051 .05761 L
.78045 .05779 L
.74038 .05797 L
.70032 .05816 L
.66026 .05834 L
.62019 .05853 L
.58013 .05873 L
.54006 .05892 L
.5 .05912 L
.46479 .05929 L
.45994 .05932 L
.41987 .05952 L
.37981 .05973 L
.33974 .05994 L
.29968 .06015 L
.25962 .06037 L
.21955 .06059 L
.21914 .09936 L
.17949 .11717 L
.16302 .13942 L
.15337 .17949 L
.1604 .21955 L
.17439 .25962 L
.17949 .27221 L
.19073 .29968 L
.2098 .33974 L
.21955 .36033 L
.22885 .37981 L
.24862 .41987 L
.25962 .44069 L
.26965 .45994 L
.28955 .5 L
.29968 .51871 L
.31119 .54006 L
.3322 .58013 L
.33974 .59434 L
.35359 .62019 L
.37467 .66026 L
.37981 .66992 L
.39639 .70032 L
.41723 .74038 L
.41987 .74523 L
.43893 .78045 L
.45994 .81993 L
.46025 .82051 L
.48253 .86058 L
Mistroke
.5 .88945 L
.50535 .90064 L
.52476 .94071 L
.54006 .9697 L
.54534 .98077 L
Mfstroke
1 g
.98077 .75649 m
.94472 .74038 L
.94071 .72688 L
.90627 .70032 L
.90064 .69794 L
.86058 .66367 L
.85509 .66026 L
.82051 .63175 L
.80583 .62019 L
.78045 .59947 L
.75625 .58013 L
.74038 .56742 L
.70654 .54006 L
.70032 .53512 L
.66026 .5025 L
.65711 .5 L
.62019 .46948 L
.60909 .45994 L
.58013 .43593 L
.56087 .41987 L
.54006 .40229 L
.51386 .37981 L
.5 .36778 L
.46824 .33974 L
.45994 .33214 L
.42453 .29968 L
.41987 .29526 L
.38565 .25962 L
.37981 .25449 L
.35032 .21955 L
.33974 .19878 L
.33631 .17949 L
.33974 .15698 L
.36001 .13942 L
.37981 .12378 L
.41987 .11115 L
.45994 .10372 L
.48984 .09936 L
.5 .06057 L
.54006 .06048 L
.58013 .06038 L
.62019 .06029 L
.66026 .0602 L
.70032 .06011 L
.74038 .06001 L
.78045 .05992 L
.82051 .05984 L
.86058 .05975 L
.90064 .05966 L
.94071 .05957 L
.98077 .05948 L
F
0 g
.98077 .75649 m
.94472 .74038 L
.94071 .72688 L
.90627 .70032 L
.90064 .69794 L
.86058 .66367 L
.85509 .66026 L
.82051 .63175 L
.80583 .62019 L
.78045 .59947 L
.75625 .58013 L
.74038 .56742 L
.70654 .54006 L
.70032 .53512 L
.66026 .5025 L
.65711 .5 L
.62019 .46948 L
.60909 .45994 L
.58013 .43593 L
.56087 .41987 L
.54006 .40229 L
.51386 .37981 L
.5 .36778 L
.46824 .33974 L
.45994 .33214 L
.42453 .29968 L
.41987 .29526 L
.38565 .25962 L
.37981 .25449 L
.35032 .21955 L
.33974 .19878 L
.33631 .17949 L
.33974 .15698 L
.36001 .13942 L
.37981 .12378 L
.41987 .11115 L
.45994 .10372 L
.48984 .09936 L
.5 .06057 L
.54006 .06048 L
.58013 .06038 L
.62019 .06029 L
.66026 .0602 L
.70032 .06011 L
.74038 .06001 L
.78045 .05992 L
.82051 .05984 L
.86058 .05975 L
.90064 .05966 L
.94071 .05957 L
Mistroke
.98077 .05948 L
Mfstroke
% End of Graphics
MathPictureEnd
\
\>"], "Graphics",
  ImageSize->{288, 288},
  ImageMargins->{{0, 0}, {0, 0}},
  ImageRegion->{{0, 1}, {0, 1}},
  ImageCache->GraphicsData["Bitmap", "\<\
CF5dJ6E]HGAYHf4PAg9QL6QYHg<PAVmbKF5d0`40004P000182000`400?l00000o`00003oo`3ooolQ
0?ooo`00o`3ooolQ0?ooo`00o`3ooolQ0?ooo`00o`3ooolQ0?ooo`00o`3ooolQ0?ooo`00o`3ooolQ
0?ooo`00o`3ooolQ0?ooo`00o`3ooolQ0?ooo`00o`3ooolQ0?ooo`00o`3ooolQ0?ooo`006@3oool2
000002P0oooo100000030?ooo`800000103oool2000002D0oooo0`0000020?ooo`800000103oool2
000002<0oooo0`0000040?ooo`800000103oool2000002@0oooo0P0000040?ooo`800000103oool2
00000200oooo1@0000020?ooo`800000103oool2000000@0oooo0P0000030?ooo`00603oool01000
0000oooo0?ooo`00000W0?ooo`030000003oool0oooo00<0oooo00@000000?ooo`3oool000000P3o
ool010000000oooo0?ooo`00000U0?ooo`040000003oool0oooo00000080oooo00@000000?ooo`3o
ool000000P3oool00`000000oooo0?ooo`0P0?ooo`040000003oool0oooo00000080oooo00@00000
0?ooo`3oool000000P3oool010000000oooo0?ooo`00000R0?ooo`040000003oool0oooo00000080
oooo00@000000?ooo`3oool000000P3oool010000000oooo0?ooo`00000Q0?ooo`050000003oool0
oooo0?ooo`0000000P3oool010000000oooo0?ooo`0000020?ooo`040000003oool0oooo00000080
oooo0@0000010?ooo`40oooo000H0?ooo`040000003oool0oooo000002P0oooo00<000000?ooo`3o
ool00P3oool010000000oooo0?ooo`0000020?ooo`040000003oool0oooo00000280oooo1@000000
1@3oool000000?ooo`3oool000000080oooo00@000000?ooo`3oool000008P3oool010000000oooo
0?ooo`0000020?ooo`040000003oool0oooo00000080oooo00@000000?ooo`3oool000008P3oool0
10000000oooo0?ooo`0000020?ooo`040000003oool0oooo00000080oooo00@000000?ooo`3oool0
00008@3oool01@000000oooo0?ooo`3oool000000080oooo00@000000?ooo`3oool000000P3oool0
10000000oooo0?ooo`0000020?ooo`4000000@3oool10?ooo`00603oool010000000oooo0?ooo`00
000Y0?ooo`050000003oool0oooo0?ooo`0000000P3oool010000000oooo0?ooo`0000020?ooo`03
0000003oool0oooo0200oooo00@000000?ooo`3oool000000P3oool010000000oooo0?ooo`000002
0?ooo`040000003oool0oooo00000280oooo0`0000030?ooo`040000003oool0oooo00000080oooo
00@000000?ooo`3oool000008`3oool2000000<0oooo00@000000?ooo`3oool000000P3oool01000
0000oooo0?ooo`00000Q0?ooo`050000003oool0oooo0?ooo`0000000P3oool010000000oooo0?oo
o`0000020?ooo`040000003oool0oooo00000080oooo0@0000010?ooo`40oooo000H0?ooo`040000
003oool0oooo000002L0oooo00@000000?ooo`3oool000000P3oool010000000oooo0?ooo`000002
0?ooo`040000003oool0oooo000002<0oooo00<000000?ooo`0000000P3oool010000000oooo0?oo
o`0000020?ooo`040000003oool0oooo000002<0oooo00<000000?ooo`3oool00P3oool010000000
oooo0?ooo`0000020?ooo`040000003oool0oooo00000280oooo00@000000?ooo`3oool000000P3o
ool010000000oooo0?ooo`0000020?ooo`040000003oool0oooo00000240oooo00D000000?ooo`3o
ool0oooo000000020?ooo`040000003oool0oooo00000080oooo00@000000?ooo`3oool000000P3o
ool100000040oooo0@3oool001T0oooo0P00000Y0?ooo`800000103oool2000000@0oooo0P00000U
0?ooo`8000000`3oool2000000@0oooo0P00000T0?ooo`<000000`3oool2000000@0oooo0P00000T
0?ooo`800000103oool2000000@0oooo0P00000Q0?ooo`800000103oool2000000@0oooo0P000004
0?ooo`8000000`3oool00?l0oooo8@3oool00?l0oooo8@3oool00?l0oooo8@3oool00?l0oooo8@3o
ool00?l0oooo8@3oool001D0ooooo`000004000000P0oooo000E0?ooo`030000003oool0oooo0080
oooo00<000000?ooo`3oool02@3oool00`000000oooo0?ooo`0:0?ooo`030000003oool0oooo00T0
oooo00<000000?ooo`3oool02@3oool00`000000oooo0?ooo`0:0?ooo`030000003oool0oooo00T0
oooo00<000000?ooo`3oool02P3oool00`000000oooo0?ooo`090?ooo`030000003oool0oooo00X0
oooo00<000000?ooo`3oool02@3oool00`000000oooo0?ooo`0:0?ooo`030000003oool0oooo00T0
oooo00<000000?ooo`3oool02@3oool00`000000oooo0?ooo`0:0?ooo`030000003oool0oooo00T0
oooo00<000000?ooo`3oool02P3oool00`000000oooo0?ooo`090?ooo`030000003oool0oooo00X0
oooo00<000000?ooo`3oool02@3oool00`000000oooo0?ooo`0:0?ooo`050000003oool0oooo0?oo
o`000000203oool000h0oooo0P0000050?ooo`030000003oool0oooo0?l0oooo00<000000?ooo`3o
ool01P3oool000d0oooo00@000000?ooo`3oool00000103oool00`000000oooo0?ooo`3o0?ooo`03
0000003oool0oooo00H0oooo000=0?ooo`040000003oool0oooo000000@0oooo0P00003o0?ooo`80
0000203oool000d0oooo00@000000?ooo`3oool00000103oool00`000000oooo0?ooo`3o0?ooo`03
0000003oool0oooo00H0oooo000=0?ooo`040000003oool0oooo000000@0oooo00<000000?ooo`3o
ool00P3ooooi000000@0oooo00<000000?ooo`3oool01P3oool000h0oooo0P0000050?ooo`030000
003oool0oooo0080oooon@0000040?ooo`030000003oool0oooo00H0oooo000E0?ooo`030000003o
ool0oooo0080oooon@0000040?ooo`030000003oool0oooo00H0oooo000E0?ooo`030000003oool0
oooo0080oooon@0000040?ooo`030000003oool0oooo00H0oooo000E0?ooo`030000003oool0oooo
0080oooon@0000040?ooo`030000003oool0oooo00H0oooo000E0?ooo`030000003oool0oooo0080
oooonP0000030?ooo`030000003oool0oooo00H0oooo000E0?ooo`030000003oool0oooo0080oooo
nP0000030?ooo`030000003oool0oooo00H0oooo000E0?ooo`030000003oool0oooo0080oooonP00
00030?ooo`030000003oool0oooo00H0oooo000E0?ooo`030000003oool0oooo0080oooonP000003
0?ooo`030000003oool0oooo00H0oooo000E0?ooo`030000003oool0oooo0080oooonP0000030?oo
o`030000003oool0oooo00H0oooo000E0?ooo`030000003oool0oooo0080oooo2`00000803<c<`03
0000002IVIT0VIVI00P0VIVI00<000000;>c/`2c/k<01`2c/k<00`000000c<c<0<c<c0090<c<c003
0000003Vi^H0i^KV04D0i^KV00<000000?ooo`3oool0OP3oool00`000000oooo0?ooo`060?ooo`00
5@3oool2000000<0oooo2`00000703<c<`030000002IVIT0VIVI00P0VIVI00<000000;>c/`2c/k<0
1`2c/k<00`000000c<c<0<c<c00:0<c<c0030000003Vi^H0i^KV04@0i^KV00<000000?ooo`3oool0
O`3oool00`000000oooo0?ooo`060?ooo`005@3oool00`000000oooo0?ooo`020?ooo`/000001P0c
<c<00`000000VIVI09VIV@0909VIV@030000002c/k<0/k>c00H0/k>c00<000000<c<c03<c<`02`3<
c<`00`000000i^KV0>KViP140>KViP030000003oool0oooo07l0oooo00<000000?ooo`3oool01P3o
ool001D0oooo00<000000?ooo`3oool00P3oool;000000D0<c<c00<0000009VIV@2IVIT02@2IVIT0
0`000000/k>c0;>c/`060;>c/`030000003<c<`0c<c<00`0c<c<00<000000>KViP3Vi^H0A03Vi^H0
0`000000oooo0?ooo`1o0?ooo`030000003oool0oooo00H0oooo000E0?ooo`030000003oool0oooo
0080oooo2`00000403<c<`030000002IVIT0VIVI00T0VIVI00<000000;>c/`2c/k<01P2c/k<00`00
0000c<c<0<c<c00<0<c<c0030000003Vi^H0i^KV04@0i^KV00<000000?ooo`3oool0P03oool00`00
0000oooo0?ooo`060?ooo`005@3oool00`000000oooo0?ooo`020?ooo`/000000`0c<c<00`000000
VIVI09VIV@0909VIV@030000002c/k<0/k>c00L0/k>c00<000000<c<c03<c<`0303<c<`00`000000
i^KV0>KViP140>KViP030000003oool0oooo0800oooo00<000000?ooo`3oool01P3oool001D0oooo
00<000000?ooo`3oool00P3oool;00000080<c<c00<0000009VIV@2IVIT02@2IVIT00`000000/k>c
0;>c/`070;>c/`030000003<c<`0c<c<00d0c<c<00<000000>KViP3Vi^H0A03Vi^H00`000000oooo
0?ooo`200?ooo`030000003oool0oooo00H0oooo000E0?ooo`030000003oool0oooo0080oooo2`00
00000`0c<c<0000009VIV@0;09VIV@030000002c/k<0/k>c00H0/k>c00<000000<c<c03<c<`03P3<
c<`00`000000i^KV0>KViP140>KViP030000003oool0oooo0800oooo00<000000?ooo`3oool01P3o
ool001D0oooo00<000000?ooo`3oool00P3oool<000000`0VIVI00<000000;>c/`2c/k<01P2c/k<0
0`000000c<c<0<c<c00?0<c<c0030000003Vi^H0i^KV04<0i^KV00<000000?ooo`3oool0P@3oool0
0`000000oooo0?ooo`060?ooo`005@3oool00`000000oooo0?ooo`020?ooo`/00000302IVIT00`00
0000/k>c0;>c/`060;>c/`030000003<c<`0c<c<0100c<c<00<000000>KViP3Vi^H0@P3Vi^H20000
08<0oooo00<000000?ooo`3oool01P3oool001D0oooo00<000000?ooo`3oool00P3oool;000000/0
VIVI00<000000;>c/`2c/k<01P2c/k<00`000000c<c<0<c<c00?0<c<c0800000@@3Vi^H4000008D0
oooo00<000000?ooo`3oool01P3oool001D0oooo00<000000?ooo`3oool00P3oool;000000X0VIVI
00<000000;>c/`2c/k<01P2c/k<00`000000c<c<0<c<c00>0<c<c0800000?`3Vi^H4000008T0oooo
00<000000?ooo`3oool01P3oool001D0oooo00<000000?ooo`3oool00P3oool;000000T0VIVI00<0
00000;>c/`2c/k<01P2c/k<00`000000c<c<0<c<c00=0<c<c0800000>`3Vi^H6000008d0oooo00<0
00000?ooo`3oool01P3oool001D0oooo0P0000030?ooo`/00000202IVIT00`000000/k>c0;>c/`07
0;>c/`030000003<c<`0c<c<00/0c<c<0P00000i0>KViP@00000T`3oool00`000000oooo0?ooo`06
0?ooo`005@3oool00`000000oooo0?ooo`020?ooo`/000001P2IVIT2000000T0/k>c00<000000<c<
c03<c<`02P3<c<`2000003P0i^KV0`00002G0?ooo`030000003oool0oooo00H0oooo000E0?ooo`03
0000003oool0oooo0080oooo2`00000509VIV@030000002c/k<0/k>c00P0/k>c00<000000<c<c03<
c<`02P3<c<`00`000000i^KV0>KViP0d0>KViP@00000VP3oool00`000000oooo0?ooo`060?ooo`00
5@3oool00`000000oooo0?ooo`020?ooo`/00000102IVIT00`000000/k>c0;>c/`080;>c/`030000
003<c<`0c<c<00/0c<c<00<000000>KViP3Vi^H0<P3Vi^H2000009h0oooo00<000000?ooo`3oool0
1P3oool001D0oooo00<000000?ooo`3oool00P3oool;000000<0VIVI00<000000;>c/`2c/k<0202c
/k<00`000000c<c<0<c<c00;0<c<c0030000003Vi^H0i^KV0380i^KV00<000000?ooo`3oool0WP3o
ool00`000000oooo0?ooo`060?ooo`005@3oool00`000000oooo0?ooo`020?ooo`/0000000<0VIVI
0000000000002`2c/k<00`000000c<c<0<c<c00:0<c<c0030000003Vi^H0i^KV0340i^KV0P00002Q
0?ooo`030000003oool0oooo00H0oooo000E0?ooo`030000003oool0oooo0080oooo3000000<0;>c
/`030000003<c<`0c<c<00/0c<c<00<000000>KViP3Vi^H0<03Vi^H00`000000oooo0?ooo`2Q0?oo
o`030000003oool0oooo00H0oooo000E0?ooo`030000003oool0oooo0080oooo2`00000<0;>c/`03
0000003<c<`0c<c<00/0c<c<00<000000>KViP3Vi^H0<03Vi^H00`000000oooo0?ooo`2R0?ooo`03
0000003oool0oooo00H0oooo000E0?ooo`030000003oool0oooo0080oooo2`00000<0;>c/`030000
003<c<`0c<c<00/0c<c<00<000000>KViP3Vi^H0;`3Vi^H00`000000oooo0?ooo`2S0?ooo`030000
003oool0oooo00H0oooo000E0?ooo`030000003oool0oooo0080oooo2`00000<0;>c/`030000003<
c<`0c<c<00X0c<c<00<000000>KViP3Vi^H0;P3Vi^H200000:H0oooo00<000000?ooo`3oool01P3o
ool001D0oooo00<000000?ooo`3oool00P3oool;000000`0/k>c00<000000<c<c03<c<`02P3<c<`0
0`000000i^KV0>KViP0]0>KViP030000003oool0oooo0:H0oooo00<000000?ooo`3oool01P3oool0
01D0oooo00<000000?ooo`3oool00P3oool;000000`0/k>c00<000000<c<c03<c<`02P3<c<`00`00
0000i^KV0>KViP0/0>KViP030000003oool0oooo0:L0oooo00<000000?ooo`3oool01P3oool001D0
oooo00<000000?ooo`3oool00P3oool;000000/0/k>c00<000000<c<c03<c<`02P3<c<`00`000000
i^KV0>KViP0]0>KViP030000003oool0oooo0:L0oooo00<000000?ooo`3oool01P3oool001D0oooo
0P0000030?ooo`/000002`2c/k<00`000000c<c<0<c<c00:0<c<c0030000003Vi^H0i^KV02d0i^KV
00<000000?ooo`3oool0Y`3oool00`000000oooo0?ooo`060?ooo`005@3oool00`000000oooo0?oo
o`020?ooo`/000002`2c/k<00`000000c<c<0<c<c00:0<c<c0030000003Vi^H0i^KV02`0i^KV00<0
00000?ooo`3oool0Z03oool00`000000oooo0?ooo`060?ooo`005@3oool00`000000oooo0?ooo`02
0?ooo`/000002`2c/k<00`000000c<c<0<c<c00:0<c<c0030000003Vi^H0i^KV02`0i^KV00<00000
0?ooo`3oool0Z03oool00`000000oooo0?ooo`060?ooo`005@3oool00`000000oooo0?ooo`020?oo
o`/000002`2c/k<00`000000c<c<0<c<c0090<c<c0030000003Vi^H0i^KV02d0i^KV00<000000?oo
o`3oool0Z03oool00`000000oooo0?ooo`060?ooo`005@3oool00`000000oooo0?ooo`020?ooo`/0
00002`2c/k<00`000000c<c<0<c<c0090<c<c0030000003Vi^H0i^KV02d0i^KV00<000000?ooo`3o
ool0Z03oool00`000000oooo0?ooo`060?ooo`005@3oool00`000000oooo0?ooo`020?ooo`/00000
2`2c/k<00`000000c<c<0<c<c0090<c<c0030000003Vi^H0i^KV02d0i^KV00<000000?ooo`3oool0
Z03oool00`000000oooo0?ooo`060?ooo`005@3oool00`000000oooo0?ooo`020?ooo`/000002`2c
/k<00`000000c<c<0<c<c0090<c<c0030000003Vi^H0i^KV02d0i^KV00<000000?ooo`3oool0Z03o
ool00`000000oooo0?ooo`060?ooo`005@3oool00`000000oooo0?ooo`020?ooo`/000002`2c/k<0
0`000000c<c<0<c<c00:0<c<c0030000003Vi^H0i^KV02d0i^KV00<000000?ooo`3oool0Y`3oool0
0`000000oooo0?ooo`060?ooo`005@3oool00`000000oooo0?ooo`020?ooo`/000002`2c/k<00`00
0000c<c<0<c<c00:0<c<c0030000003Vi^H0i^KV02d0i^KV00<000000?ooo`3oool0Y`3oool00`00
0000oooo0?ooo`060?ooo`005@3oool00`000000oooo0?ooo`020?ooo`/000002`2c/k<00`000000
c<c<0<c<c00:0<c<c0030000003Vi^H0i^KV02d0i^KV00<000000?ooo`3oool0Y`3oool00`000000
oooo0?ooo`060?ooo`000P3oool2000000@0oooo0P0000030?ooo`@00000103oool00`000000oooo
0?ooo`020?ooo`/00000302c/k<00`000000c<c<0<c<c0090<c<c0030000003Vi^H0i^KV02d0i^KV
00<000000?ooo`3oool0Y`3oool00`000000oooo0?ooo`060?ooo`0000D0oooo0000003oool0oooo
000000080?ooo`030000003oool0oooo00D0oooo00<000000?ooo`3oool00P3oool;000000`0/k>c
00<000000<c<c03<c<`02@3<c<`00`000000i^KV0>KViP0^0>KViP030000003oool0oooo0:H0oooo
00<000000?ooo`3oool01P3oool000050?ooo`000000oooo0?ooo`0000002@3oool00`000000oooo
0?ooo`040?ooo`8000000`3oool;000000`0/k>c00<000000<c<c03<c<`02@3<c<`00`000000i^KV
0>KViP0^0>KViP030000003oool0oooo0:D0oooo0P0000080?ooo`0000D0oooo0000003oool0oooo
0000000:0?ooo`030000003oool0oooo00<0oooo00<000000?ooo`3oool00P3oool;000000`0/k>c
00<000000<c<c03<c<`02P3<c<`00`000000i^KV0>KViP0]0>KViP030000003oool0oooo0:H0oooo
00<000000?ooo`3oool01P3oool000050?ooo`000000oooo0?ooo`000000203oool010000000oooo
0?ooo`0000040?ooo`030000003oool0oooo0080oooo2`00000<0;>c/`030000003<c<`0c<c<00X0
c<c<00<000000>KViP3Vi^H0;P3Vi^H00`000000oooo0?ooo`2U0?ooo`030000003oool0oooo00H0
oooo00020?ooo`8000002P3oool2000000D0oooo00<000000?ooo`3oool00P3oool;000000`0/k>c
00<000000<c<c03<c<`02P3<c<`00`000000i^KV0>KViP0^0>KViP030000003oool0oooo0:D0oooo
00<000000?ooo`3oool01P3oool001D0oooo00<000000?ooo`3oool00P3oool;000000`0/k>c00<0
00000<c<c03<c<`02P3<c<`00`000000i^KV0>KViP0_0>KViP030000003oool0oooo0:@0oooo00<0
00000?ooo`3oool01P3oool001D0oooo00<000000?ooo`3oool00P3oool;000000`0/k>c00<00000
0<c<c03<c<`02`3<c<`00`000000i^KV0>KViP0_0>KViP030000003oool0oooo0:<0oooo00<00000
0?ooo`3oool01P3oool001D0oooo00<000000?ooo`3oool00P3oool;000000d0/k>c00<000000<c<
c03<c<`02P3<c<`00`000000i^KV0>KViP0`0>KViP030000003oool0oooo0:80oooo00<000000?oo
o`3oool01P3oool001D0oooo00<000000?ooo`3oool00P3oool;000000d0/k>c00<000000<c<c03<
c<`02`3<c<`00`000000i^KV0>KViP0`0>KViP030000003oool0oooo0:40oooo00<000000?ooo`3o
ool01P3oool001D0oooo00<000000?ooo`3oool00P3oool;000000d0/k>c00<000000<c<c03<c<`0
2`3<c<`00`000000i^KV0>KViP0`0>KViP030000003oool0oooo0:40oooo00<000000?ooo`3oool0
1P3oool001D0oooo00<000000?ooo`3oool00P3oool;000000d0/k>c00<000000<c<c03<c<`02`3<
c<`00`000000i^KV0>KViP0a0>KViP030000003oool0oooo0:00oooo00<000000?ooo`3oool01P3o
ool001D0oooo00<000000?ooo`3oool00P3oool;000000d0/k>c00<000000<c<c03<c<`0303<c<`0
0`000000i^KV0>KViP0a0>KViP030000003oool0oooo09l0oooo00<000000?ooo`3oool01P3oool0
01D0oooo00<000000?ooo`3oool00P3oool;000000h0/k>c00<000000<c<c03<c<`02`3<c<`00`00
0000i^KV0>KViP0b0>KViP030000003oool0oooo09h0oooo00<000000?ooo`3oool01P3oool001D0
oooo00<000000?ooo`3oool00P3oool;000000h0/k>c00<000000<c<c03<c<`0303<c<`00`000000
i^KV0>KViP0b0>KViP030000003oool0oooo09d0oooo00<000000?ooo`3oool01P3oool001D0oooo
0P0000030?ooo`/000003P2c/k<00`000000c<c<0<c<c00<0<c<c0030000003Vi^H0i^KV03<0i^KV
0P00002M0?ooo`030000003oool0oooo00H0oooo000E0?ooo`030000003oool0oooo0080oooo2`00
000>0;>c/`030000003<c<`0c<c<00`0c<c<00<000000>KViP3Vi^H0=@3Vi^H00`000000oooo0?oo
o`2J0?ooo`030000003oool0oooo00H0oooo000E0?ooo`030000003oool0oooo0080oooo2`00000?
0;>c/`030000003<c<`0c<c<00`0c<c<00<000000>KViP3Vi^H0=@3Vi^H00`000000oooo0?ooo`2I
0?ooo`030000003oool0oooo00H0oooo000E0?ooo`030000003oool0oooo0080oooo2`00000?0;>c
/`030000003<c<`0c<c<00`0c<c<00<000000>KViP3Vi^H0=P3Vi^H00`000000oooo0?ooo`2H0?oo
o`030000003oool0oooo00H0oooo000E0?ooo`030000003oool0oooo0080oooo2`00000?0;>c/`03
0000003<c<`0c<c<00`0c<c<00<000000>KViP3Vi^H0=`3Vi^H00`000000oooo0?ooo`2G0?ooo`03
0000003oool0oooo00H0oooo000E0?ooo`030000003oool0oooo0080oooo2`00000?0;>c/`030000
003<c<`0c<c<00d0c<c<00<000000>KViP3Vi^H0=P3Vi^H00`000000oooo0?ooo`2G0?ooo`030000
003oool0oooo00H0oooo000E0?ooo`030000003oool0oooo0080oooo2`00000@0;>c/`030000003<
c<`0c<c<00`0c<c<00<000000>KViP3Vi^H0=`3Vi^H00`000000oooo0?ooo`2F0?ooo`030000003o
ool0oooo00H0oooo000E0?ooo`030000003oool0oooo0080oooo2`00000@0;>c/`030000003<c<`0
c<c<00d0c<c<00<000000>KViP3Vi^H0=`3Vi^H00`000000oooo0?ooo`2E0?ooo`030000003oool0
oooo00H0oooo000E0?ooo`030000003oool0oooo0080oooo2`00000@0;>c/`030000003<c<`0c<c<
00d0c<c<00<000000>KViP3Vi^H0>03Vi^H00`000000oooo0?ooo`2D0?ooo`030000003oool0oooo
00H0oooo000E0?ooo`030000003oool0oooo0080oooo2`00000A0;>c/`030000003<c<`0c<c<00d0
c<c<00<000000>KViP3Vi^H0>03Vi^H00`000000oooo0?ooo`2C0?ooo`030000003oool0oooo00H0
oooo000E0?ooo`030000003oool0oooo0080oooo5@0000070;>c/`030000003<c<`0c<c<00d0c<c<
00<000000>KViP3Vi^H0>@3Vi^H2000009<0oooo00<000000?ooo`3oool01P3oool001D0oooo00<0
00000?ooo`3oool00P3oool;000000T0VIVI00<000000;>c/`2c/k<01@2c/k<00`000000c<c<0<c<
c00=0<c<c0030000003Vi^H0i^KV03/0i^KV00<000000?ooo`3oool0T03oool00`000000oooo0?oo
o`060?ooo`005@3oool2000000<0oooo2`00000909VIV@030000002c/k<0/k>c00H0/k>c00<00000
0<c<c03<c<`03@3<c<`00`000000i^KV0>KViP0k0>KViP030000003oool0oooo08l0oooo00<00000
0?ooo`3oool01P3oool001D0oooo00<000000?ooo`3oool00P3oool;000000X0VIVI00<000000;>c
/`2c/k<01@2c/k<00`000000c<c<0<c<c00=0<c<c0030000003Vi^H0i^KV03`0i^KV00<000000?oo
o`3oool0SP3oool00`000000oooo0?ooo`060?ooo`005@3oool00`000000oooo0?ooo`020?ooo`/0
00002P2IVIT00`000000/k>c0;>c/`050;>c/`030000003<c<`0c<c<00h0c<c<00<000000>KViP3V
i^H0?03Vi^H00`000000oooo0?ooo`2=0?ooo`030000003oool0oooo00H0oooo000E0?ooo`030000
003oool0oooo0080oooo2`00000:09VIV@030000002c/k<0/k>c00D0/k>c00<000000<c<c03<c<`0
3P3<c<`00`000000i^KV0>KViP0m0>KViP030000003oool0oooo08`0oooo00<000000?ooo`3oool0
1P3oool001D0oooo00<000000?ooo`3oool00P3oool;000000X0VIVI00<000000;>c/`2c/k<01P2c
/k<00`000000c<c<0<c<c00>0<c<c0030000003Vi^H0i^KV03d0i^KV00<000000?ooo`3oool0R`3o
ool00`000000oooo0?ooo`060?ooo`005@3oool00`000000oooo0?ooo`020?ooo`/000002P2IVIT0
0`000000/k>c0;>c/`060;>c/`030000003<c<`0c<c<00h0c<c<00<000000>KViP3Vi^H0?P3Vi^H0
0`000000oooo0?ooo`2:0?ooo`030000003oool0oooo00H0oooo000E0?ooo`030000003oool0oooo
0080oooo2`00000:09VIV@030000002c/k<0/k>c00H0/k>c00<000000<c<c03<c<`03`3<c<`00`00
0000i^KV0>KViP0n0>KViP030000003oool0oooo08T0oooo00<000000?ooo`3oool01P3oool001D0
oooo00<000000?ooo`3oool00P3oool;000000/0VIVI00<000000;>c/`2c/k<01P2c/k<00`000000
c<c<0<c<c00>0<c<c0030000003Vi^H0i^KV03l0i^KV00<000000?ooo`3oool0R03oool00`000000
oooo0?ooo`060?ooo`005@3oool00`000000oooo0?ooo`020?ooo`/000002`2IVIT00`000000/k>c
0;>c/`060;>c/`030000003<c<`0c<c<00l0c<c<00<000000>KViP3Vi^H0?`3Vi^H00`000000oooo
0?ooo`270?ooo`030000003oool0oooo00H0oooo000E0?ooo`030000003oool0oooo0080oooo2`00
000;09VIV@030000002c/k<0/k>c00H0/k>c00<000000<c<c03<c<`03`3<c<`00`000000i^KV0>KV
iP100>KViP030000003oool0oooo08H0oooo00<000000?ooo`3oool01P3oool001D0oooo00<00000
0?ooo`3oool00P3oool;000000/0VIVI00<000000;>c/`2c/k<01P2c/k<00`000000c<c<0<c<c00@
0<c<c0030000003Vi^H0i^KV0400i^KV00<000000?ooo`3oool0Q@3oool00`000000oooo0?ooo`06
0?ooo`005@3oool00`000000oooo0?ooo`020?ooo`/00000302IVIT00`000000/k>c0;>c/`060;>c
/`030000003<c<`0c<c<00l0c<c<00<000000>KViP3Vi^H0@@3Vi^H00`000000oooo0?ooo`240?oo
o`030000003oool0oooo00H0oooo000E0?ooo`030000003oool0oooo0080oooo2`00000<09VIV@03
0000002c/k<0/k>c00H0/k>c00<000000<c<c03<c<`0403<c<`00`000000i^KV0>KViP110>KViP03
0000003oool0oooo08<0oooo00<000000?ooo`3oool01P3oool001D0oooo0P0000030?ooo`/00000
302IVIT00`000000/k>c0;>c/`060;>c/`030000003<c<`0c<c<0100c<c<00<000000>KViP3Vi^H0
@P3Vi^H2000008<0oooo00<000000?ooo`3oool01P3oool001D0oooo00<000000?ooo`3oool00P3o
ool;000000`0VIVI00<000000;>c/`2c/k<01P2c/k<00`000000c<c<0<c<c00A0<c<c0030000003V
i^H0i^KV04<0i^KV00<000000?ooo`3oool0P03oool00`000000oooo0?ooo`060?ooo`005@3oool0
0`000000oooo0?ooo`020?ooo`/000003@2IVIT00`000000/k>c0;>c/`060;>c/`030000003<c<`0
c<c<0100c<c<00<000000>KViP3Vi^H0A03Vi^H00`000000oooo0?ooo`1o0?ooo`030000003oool0
oooo00H0oooo000E0?ooo`030000003oool0oooo0080oooo2`00000=09VIV@030000002c/k<0/k>c
00H0/k>c00<000000<c<c03<c<`04@3<c<`00`000000i^KV0>KViP140>KViP030000003oool0oooo
07h0oooo00<000000?ooo`3oool01P3oool001D0oooo00<000000?ooo`3oool00P3oool;000000d0
VIVI00<000000;>c/`2c/k<01P2c/k<00`000000c<c<0<c<c00A0<c<c0030000003Vi^H0i^KV04D0
i^KV00<000000?ooo`3oool0O@3oool00`000000oooo0?ooo`060?ooo`005@3oool00`000000oooo
0?ooo`020?ooo`/000003P2IVIT00`000000/k>c0;>c/`060;>c/`030000003<c<`0c<c<0140c<c<
00<000000>KViP3Vi^H0A@3Vi^H2000007d0oooo00<000000?ooo`3oool01P3oool001D0oooo00<0
00000?ooo`3oool00P3oool<000000d0VIVI00<000000;>c/`2c/k<01P2c/k<00`000000c<c<0<c<
c00A0<c<c0030000003Vi^H0i^KV04L0i^KV00<000000?ooo`3oool0NP3oool00`000000oooo0?oo
o`060?ooo`005@3oool00`000000oooo0?ooo`020?ooo`/0000000<0Ogmo0000000000002`2IVIT0
0`000000/k>c0;>c/`060;>c/`030000003<c<`0c<c<0140c<c<00<000000>KViP3Vi^H0B03Vi^H0
0`000000oooo0?ooo`1i0?ooo`030000003oool0oooo00H0oooo000E0?ooo`030000003oool0oooo
0080oooo2`00000307moO`<00000202IVIT00`000000/k>c0;>c/`070;>c/`030000003<c<`0c<c<
0140c<c<00<000000>KViP3Vi^H0B03Vi^H00`000000oooo0?ooo`1h0?ooo`030000003oool0oooo
00H0oooo000E0?ooo`030000003oool0oooo0080oooo2`00000607moO`8000001`2IVIT00`000000
/k>c0;>c/`060;>c/`030000003<c<`0c<c<0140c<c<00<000000>KViP3Vi^H0B@3Vi^H00`000000
oooo0?ooo`1g0?ooo`030000003oool0oooo00H0oooo00020?ooo`800000103oool2000000D0oooo
0`0000030?ooo`030000003oool0oooo0080oooo2`00000807moO`8000001@2IVIT00`000000/k>c
0;>c/`060;>c/`030000003<c<`0c<c<0180c<c<00<000000>KViP3Vi^H0B@3Vi^H00`000000oooo
0?ooo`1f0?ooo`030000003oool0oooo00H0oooo00001@3oool000000?ooo`3oool0000000/0oooo
00<000000?ooo`3oool00P3oool00`000000oooo0?ooo`020?ooo`/000002@1oOgl00`000000VIVI
09VIV@0309VIV@030000002c/k<0/k>c00H0/k>c00<000000<c<c03<c<`04P3<c<`00`000000i^KV
0>KViP1:0>KViP030000003oool0oooo07D0oooo00<000000?ooo`3oool01P3oool000050?ooo`00
0000oooo0?ooo`000000203oool5000000<0oooo0P0000030?ooo`/000002@1oOgl00`000000VIVI
09VIV@0309VIV@030000002c/k<0/k>c00L0/k>c00<000000<c<c03<c<`04P3<c<`00`000000i^KV
0>KViP1:0>KViP030000003oool0oooo07<0oooo0P0000080?ooo`0000D0oooo0000003oool0oooo
000000080?ooo`040000003oool0oooo000000@0oooo00<000000?ooo`3oool00P3oool;000000T0
Ogmo00<0000009VIV@2IVIT00`2IVIT00`000000/k>c0;>c/`070;>c/`030000003<c<`0c<c<0180
c<c<00<000000>KViP3Vi^H0B`3Vi^H2000007@0oooo00<000000?ooo`3oool01P3oool000050?oo
o`000000oooo0?ooo`0000002@3oool00`000000oooo000000040?ooo`030000003oool0oooo0080
oooo2`00000:07moO`030000002IVIT0VIVI00<0VIVI00<000000;>c/`2c/k<01P2c/k<00`000000
c<c<0<c<c00C0<c<c0030000003Vi^H0i^KV04`0i^KV00<000000?ooo`3oool0L@3oool00`000000
oooo0?ooo`060?ooo`000P3oool2000000/0oooo0P0000040?ooo`030000003oool0oooo0080oooo
2`00000:07moO`030000002IVIT0VIVI00<0VIVI00<000000;>c/`2c/k<01`2c/k<00`000000c<c<
0<c<c00B0<c<c0030000003Vi^H0i^KV04d0i^KV0P00001a0?ooo`030000003oool0oooo00H0oooo
000E0?ooo`030000003oool0oooo0080oooo2`00000:07moO`030000002IVIT0VIVI00<0VIVI00<0
00000;>c/`2c/k<01`2c/k<00`000000c<c<0<c<c00C0<c<c0030000003Vi^H0i^KV04h0i^KV00<0
00000?ooo`3oool0KP3oool00`000000oooo0?ooo`060?ooo`005@3oool00`000000oooo0?ooo`02
0?ooo`/000002P1oOgl00`000000VIVI09VIV@0309VIV@030000002c/k<0/k>c00L0/k>c00<00000
0<c<c03<c<`04`3<c<`00`000000i^KV0>KViP1?0>KViP030000003oool0oooo06d0oooo00<00000
0?ooo`3oool01P3oool001D0oooo00<000000?ooo`3oool00P3oool;000000X0Ogmo00<0000009VI
V@2IVIT0102IVIT00`000000/k>c0;>c/`070;>c/`030000003<c<`0c<c<01<0c<c<00<000000>KV
iP3Vi^H0C`3Vi^H00`000000oooo0?ooo`1/0?ooo`030000003oool0oooo00H0oooo000E0?ooo`03
0000003oool0oooo0080oooo2`00000;07moO`030000002IVIT0VIVI00<0VIVI00<000000;>c/`2c
/k<01`2c/k<00`000000c<c<0<c<c00C0<c<c0030000003Vi^H0i^KV0500i^KV00<000000?ooo`3o
ool0J`3oool00`000000oooo0?ooo`060?ooo`005@3oool00`000000oooo0?ooo`020?ooo`/00000
2`1oOgl00`000000VIVI09VIV@0309VIV@030000002c/k<0/k>c00L0/k>c00<000000<c<c03<c<`0
503<c<`00`000000i^KV0>KViP1@0>KViP030000003oool0oooo06X0oooo00<000000?ooo`3oool0
1P3oool001D0oooo00<000000?ooo`3oool00P3oool;000000/0Ogmo00<0000009VIV@2IVIT00`2I
VIT00`000000/k>c0;>c/`080;>c/`030000003<c<`0c<c<01<0c<c<00<000000>KViP3Vi^H0D@3V
i^H00`000000oooo0?ooo`1Y0?ooo`030000003oool0oooo00H0oooo000E0?ooo`030000003oool0
oooo0080oooo2`00000;07moO`030000002IVIT0VIVI00@0VIVI00<000000;>c/`2c/k<01`2c/k<0
0`000000c<c<0<c<c00D0<c<c0030000003Vi^H0i^KV0540i^KV00<000000?ooo`3oool0J03oool0
0`000000oooo0?ooo`060?ooo`005@3oool00`000000oooo0?ooo`020?ooo`/000002`1oOgl00`00
0000VIVI09VIV@0409VIV@030000002c/k<0/k>c00P0/k>c00<000000<c<c03<c<`0503<c<`00`00
0000i^KV0>KViP1A0>KViP030000003oool0oooo06L0oooo00<000000?ooo`3oool01P3oool001D0
oooo00<000000?ooo`3oool00P3oool;000000/0Ogmo00<0000009VIV@2IVIT0102IVIT00`000000
/k>c0;>c/`080;>c/`030000003<c<`0c<c<01@0c<c<00<000000>KViP3Vi^H0DP3Vi^H2000006L0
oooo00<000000?ooo`3oool01P3oool001D0oooo0P0000030?ooo`/00000301oOgl00`000000VIVI
09VIV@0309VIV@030000002c/k<0/k>c00P0/k>c00<000000<c<c03<c<`05@3<c<`00`000000i^KV
0>KViP1C0>KViP030000003oool0oooo06@0oooo00<000000?ooo`3oool01P3oool001D0oooo00<0
00000?ooo`3oool00P3oool;000000`0Ogmo00<0000009VIV@2IVIT0102IVIT00`000000/k>c0;>c
/`080;>c/`030000003<c<`0c<c<01@0c<c<00<000000>KViP3Vi^H0E03Vi^H00`000000oooo0?oo
o`1S0?ooo`030000003oool0oooo00H0oooo000E0?ooo`030000003oool0oooo0080oooo2`00000<
07moO`030000002IVIT0VIVI00@0VIVI00<000000;>c/`2c/k<0202c/k<00`000000c<c<0<c<c00E
0<c<c0030000003Vi^H0i^KV05@0i^KV00<000000?ooo`3oool0HP3oool00`000000oooo0?ooo`06
0?ooo`005@3oool00`000000oooo0?ooo`020?ooo`d000002P1oOgl00`000000VIVI09VIV@0409VI
V@030000002c/k<0/k>c00P0/k>c00<000000<c<c03<c<`05@3<c<`00`000000i^KV0>KViP1E0>KV
iP800000HP3oool00`000000oooo0?ooo`060?ooo`005@3oool00`000000oooo0?ooo`020?ooo`/0
00000P1VIVH00`000000Ogmo07moO`0707moO`030000002IVIT0VIVI00@0VIVI00<000000;>c/`2c
/k<0202c/k<00`000000c<c<0<c<c00F0<c<c0030000003Vi^H0i^KV05H0i^KV00<000000?ooo`3o
ool0G`3oool00`000000oooo0?ooo`060?ooo`005@3oool00`000000oooo0?ooo`020?ooo`/00000
0`1VIVH00`000000Ogmo07moO`0707moO`030000002IVIT0VIVI00@0VIVI00<000000;>c/`2c/k<0
202c/k<00`000000c<c<0<c<c00E0<c<c0030000003Vi^H0i^KV05L0i^KV00<000000?ooo`3oool0
GP3oool00`000000oooo0?ooo`060?ooo`005@3oool00`000000oooo0?ooo`020?ooo`/00000101V
IVH2000000L0Ogmo00<0000009VIV@2IVIT0102IVIT00`000000/k>c0;>c/`080;>c/`030000003<
c<`0c<c<01H0c<c<00<000000>KViP3Vi^H0E`3Vi^H2000005h0oooo00<000000?ooo`3oool01P3o
ool001D0oooo00<000000?ooo`3oool00P3oool;000000H0IVIV00<0000007moO`1oOgl0101oOgl0
0`000000VIVI09VIV@0409VIV@030000002c/k<0/k>c00P0/k>c00<000000<c<c03<c<`05P3<c<`0
0`000000i^KV0>KViP1I0>KViP030000003oool0oooo05/0oooo00<000000?ooo`3oool01P3oool0
01D0oooo00<000000?ooo`3oool00P3oool;000000L0IVIV0P00000407moO`030000002IVIT0VIVI
00@0VIVI00<000000;>c/`2c/k<02@2c/k<00`000000c<c<0<c<c00F0<c<c0030000003Vi^H0i^KV
05T0i^KV00<000000?ooo`3oool0FP3oool00`000000oooo0?ooo`060?ooo`005@3oool00`000000
oooo0?ooo`020?ooo`/000002@1VIVH01@000000Ogmo07moO`1oOgl0000000H0VIVI00<000000;>c
/`2c/k<02@2c/k<00`000000c<c<0<c<c00F0<c<c0030000003Vi^H0i^KV05X0i^KV00<000000?oo
o`3oool0F@3oool00`000000oooo0?ooo`060?ooo`005@3oool00`000000oooo0?ooo`020?ooo`/0
00002@1VIVH00`000000Ogmo07moO`0207moO`030000002IVIT0VIVI00@0VIVI00<000000;>c/`2c
/k<0202c/k<00`000000c<c<0<c<c00G0<c<c0030000003Vi^H0i^KV05X0i^KV0P00001I0?ooo`03
0000003oool0oooo00H0oooo000E0?ooo`030000003oool0oooo0080oooo2`00000:06IVIP050000
001oOgl0Ogmo07moO`0000001P2IVIT00`000000/k>c0;>c/`090;>c/`030000003<c<`0c<c<01H0
c<c<00<000000>KViP3Vi^H0G03Vi^H00`000000oooo0?ooo`1F0?ooo`030000003oool0oooo00H0
oooo000E0?ooo`8000000`3oool;000000X0IVIV00D0000007moO`1oOgl0Ogmo0000000609VIV@03
0000002c/k<0/k>c00T0/k>c00<000000<c<c03<c<`05`3<c<`00`000000i^KV0>KViP1L0>KViP03
0000003oool0oooo05D0oooo00<000000?ooo`3oool01P3oool001D0oooo00<000000?ooo`3oool0
0P3oool;000000X0IVIV00D0000007moO`1oOgl0Ogmo0000000609VIV@030000002c/k<0/k>c00T0
/k>c00<000000<c<c03<c<`05`3<c<`00`000000i^KV0>KViP1M0>KViP030000003oool0oooo05@0
oooo00<000000?ooo`3oool01P3oool001D0oooo00<000000?ooo`3oool00P3oool;000000X0IVIV
00D0000007moO`1oOgl0Ogmo0000000709VIV@030000002c/k<0/k>c00T0/k>c00<000000<c<c03<
c<`05`3<c<`00`000000i^KV0>KViP1M0>KViP030000003oool0oooo05<0oooo00<000000?ooo`3o
ool01P3oool001D0oooo00<000000?ooo`3oool00P3oool;000000X0IVIV00<0000007moO`1oOgl0
0P1oOgl00`000000VIVI09VIV@0409VIV@030000002c/k<0/k>c00T0/k>c00<000000<c<c03<c<`0
5`3<c<`00`000000i^KV0>KViP1N0>KViP800000D`3oool00`000000oooo0?ooo`060?ooo`005@3o
ool00`000000oooo0?ooo`020?ooo`/000002P1VIVH00`000000Ogmo07moO`0207moO`030000002I
VIT0VIVI00@0VIVI00<000000;>c/`2c/k<02P2c/k<00`000000c<c<0<c<c00G0<c<c0030000003V
i^H0i^KV05l0i^KV00<000000?ooo`3oool0D03oool00`000000oooo0?ooo`060?ooo`005@3oool0
0`000000oooo0?ooo`020?ooo`/000002P1VIVH00`000000Ogmo07moO`0207moO`030000002IVIT0
VIVI00@0VIVI00<000000;>c/`2c/k<02P2c/k<00`000000c<c<0<c<c00G0<c<c0030000003Vi^H0
i^KV0600i^KV00<000000?ooo`3oool0C`3oool00`000000oooo0?ooo`060?ooo`005@3oool00`00
0000oooo0?ooo`020?ooo`/000002`1VIVH01@000000Ogmo07moO`1oOgl0000000L0VIVI00<00000
0;>c/`2c/k<02@2c/k<00`000000c<c<0<c<c00H0<c<c0030000003Vi^H0i^KV0600i^KV00<00000
0?ooo`3oool0CP3oool00`000000oooo0?ooo`060?ooo`005@3oool00`000000oooo0?ooo`020?oo
o`/000002`1VIVH01@000000Ogmo07moO`1oOgl0000000L0VIVI00<000000;>c/`2c/k<02P2c/k<0
0`000000c<c<0<c<c00G0<c<c0030000003Vi^H0i^KV0640i^KV0P00001>0?ooo`030000003oool0
oooo00H0oooo000E0?ooo`030000003oool0oooo0080oooo2`00000;06IVIP030000001oOgl0Ogmo
0080Ogmo00<0000009VIV@2IVIT0102IVIT00`000000/k>c0;>c/`0:0;>c/`030000003<c<`0c<c<
01P0c<c<00<000000>KViP3Vi^H0HP3Vi^H00`000000oooo0?ooo`1;0?ooo`030000003oool0oooo
00H0oooo000E0?ooo`030000003oool0oooo0080oooo2`00000;06IVIP030000001oOgl0Ogmo0080
Ogmo00<0000009VIV@2IVIT01@2IVIT00`000000/k>c0;>c/`0:0;>c/`030000003<c<`0c<c<01L0
c<c<00<000000>KViP3Vi^H0H`3Vi^H00`000000oooo0?ooo`1:0?ooo`030000003oool0oooo00H0
oooo000E0?ooo`030000003oool0oooo0080oooo2`00000;06IVIP030000001oOgl0Ogmo0080Ogmo
00<0000009VIV@2IVIT01@2IVIT00`000000/k>c0;>c/`0:0;>c/`030000003<c<`0c<c<01P0c<c<
00<000000>KViP3Vi^H0H`3Vi^H2000004X0oooo00<000000?ooo`3oool01P3oool001D0oooo00<0
00000?ooo`3oool00P3oool<000000X0IVIV00<0000007moO`1oOgl00P1oOgl00`000000VIVI09VI
V@0509VIV@030000002c/k<0/k>c00X0/k>c00<000000<c<c03<c<`06@3<c<`00`000000i^KV0>KV
iP1T0>KViP030000003oool0oooo04L0oooo00<000000?ooo`3oool01P3oool001D0oooo0P000003
0?ooo`/0000000<0C4a<0000001VIVH0201VIVH00`000000Ogmo07moO`0207moO`030000002IVIT0
VIVI00D0VIVI00<000000;>c/`2c/k<02`2c/k<00`000000c<c<0<c<c00H0<c<c0030000003Vi^H0
i^KV06D0i^KV00<000000?ooo`3oool0AP3oool00`000000oooo0?ooo`060?ooo`005@3oool00`00
0000oooo0?ooo`020?ooo`/000000P1<C4`00`000000IVIV06IVIP0706IVIP030000001oOgl0Ogmo
0080Ogmo00<0000009VIV@2IVIT01@2IVIT00`000000/k>c0;>c/`0:0;>c/`030000003<c<`0c<c<
01T0c<c<00<000000>KViP3Vi^H0I@3Vi^H00`000000oooo0?ooo`150?ooo`030000003oool0oooo
00H0oooo000E0?ooo`030000003oool0oooo0080oooo2`00000304a<C0030000001VIVH0IVIV00H0
IVIV00<0000007moO`1oOgl00P1oOgl00`000000VIVI09VIV@0509VIV@030000002c/k<0/k>c00X0
/k>c00<000000<c<c03<c<`06@3<c<`00`000000i^KV0>KViP1V0>KViP030000003oool0oooo04@0
oooo00<000000?ooo`3oool01P3oool001D0oooo00<000000?ooo`3oool00P3oool;000000@0C4a<
00<0000006IVIP1VIVH01@1VIVH00`000000Ogmo07moO`0207moO`030000002IVIT0VIVI00D0VIVI
00<000000;>c/`2c/k<02P2c/k<00`000000c<c<0<c<c00J0<c<c0030000003Vi^H0i^KV06H0i^KV
00<000000?ooo`3oool0@`3oool00`000000oooo0?ooo`060?ooo`005@3oool00`000000oooo0?oo
o`020?ooo`/000001@1<C4`00`000000IVIV06IVIP0406IVIP030000001oOgl0Ogmo0080Ogmo00<0
000009VIV@2IVIT01@2IVIT00`000000/k>c0;>c/`0;0;>c/`030000003<c<`0c<c<01T0c<c<00<0
00000>KViP3Vi^H0I`3Vi^H00`000000oooo0?ooo`120?ooo`030000003oool0oooo00H0oooo000E
0?ooo`030000003oool0oooo0080oooo2`00000604a<C0030000001VIVH0IVIV00<0IVIV00<00000
07moO`1oOgl00P1oOgl00`000000VIVI09VIV@0509VIV@030000002c/k<0/k>c00/0/k>c00<00000
0<c<c03<c<`06P3<c<`00`000000i^KV0>KViP1W0>KViP030000003oool0oooo0440oooo00<00000
0?ooo`3oool01P3oool001D0oooo00<000000?ooo`3oool00P3oool;000000L0C4a<00<0000006IV
IP1VIVH00P1VIVH00`000000Ogmo07moO`0207moO`030000002IVIT0VIVI00D0VIVI00<000000;>c
/`2c/k<02`2c/k<00`000000c<c<0<c<c00J0<c<c0030000003Vi^H0i^KV06P0i^KV00<000000?oo
o`3oool0@03oool00`000000oooo0?ooo`060?ooo`005@3oool00`000000oooo0?ooo`020?ooo`/0
0000201<C4`00`000000IVIV06IVIP0206IVIP030000001oOgl0Ogmo0080Ogmo00<0000009VIV@2I
VIT01@2IVIT00`000000/k>c0;>c/`0:0;>c/`030000003<c<`0c<c<01/0c<c<00<000000>KViP3V
i^H0J03Vi^H00`000000oooo0?ooo`0o0?ooo`030000003oool0oooo00H0oooo000E0?ooo`030000
003oool0oooo0080oooo2`00000904a<C0050000001VIVH0IVIV06IVIP000000101oOgl00`000000
VIVI09VIV@0509VIV@030000002c/k<0/k>c00/0/k>c00<000000<c<c03<c<`06P3<c<`00`000000
i^KV0>KViP1Y0>KViP800000?`3oool00`000000oooo0?ooo`060?ooo`005@3oool00`000000oooo
0?ooo`020?ooo`/000002P1<C4`010000000IVIV06IVIP00000407moO`030000002IVIT0VIVI00D0
VIVI00<000000;>c/`2c/k<02`2c/k<00`000000c<c<0<c<c00K0<c<c0030000003Vi^H0i^KV06X0
i^KV00<000000?ooo`3oool0?03oool00`000000oooo0?ooo`060?ooo`005@3oool00`000000oooo
0?ooo`020?ooo`/000002P1<C4`010000000IVIV06IVIP00000407moO`030000002IVIT0VIVI00D0
VIVI00<000000;>c/`2c/k<02`2c/k<00`000000c<c<0<c<c00K0<c<c0030000003Vi^H0i^KV06/0
i^KV0P00000l0?ooo`030000003oool0oooo00H0oooo00020?ooo`800000103oool2000000<0oooo
0`0000050?ooo`030000003oool0oooo0080oooo2`00000:04a<C0040000001VIVH0IVIV000000D0
Ogmo00<0000009VIV@2IVIT01@2IVIT00`000000/k>c0;>c/`0;0;>c/`030000003<c<`0c<c<01/0
c<c<00<000000>KViP3Vi^H0K03Vi^H00`000000oooo0?ooo`0i0?ooo`030000003oool0oooo00H0
oooo00001@3oool000000?ooo`3oool0000000P0oooo00@000000?ooo`3oool00000103oool00`00
0000oooo0?ooo`020?ooo`/000002P1<C4`01@000000IVIV06IVIP1VIVH0000000@0Ogmo00<00000
09VIV@2IVIT01@2IVIT00`000000/k>c0;>c/`0;0;>c/`030000003<c<`0c<c<01/0c<c<00<00000
0>KViP3Vi^H0K@3Vi^H00`000000oooo0?ooo`0h0?ooo`030000003oool0oooo00H0oooo00001@3o
ool000000?ooo`3oool0000000P0oooo00@000000?ooo`3oool00000103oool2000000<0oooo2`00
000:04a<C0050000001VIVH0IVIV06IVIP000000101oOgl00`000000VIVI09VIV@0509VIV@030000
002c/k<0/k>c00/0/k>c00<000000<c<c03<c<`0703<c<`00`000000i^KV0>KViP1]0>KViP800000
=`3oool2000000P0oooo00001@3oool000000?ooo`3oool0000000P0oooo0`0000050?ooo`030000
003oool0oooo0080oooo2`00000:04a<C0050000001VIVH0IVIV06IVIP000000101oOgl00`000000
VIVI09VIV@0509VIV@030000002c/k<0/k>c00`0/k>c00<000000<c<c03<c<`06`3<c<`00`000000
i^KV0>KViP1_0>KViP030000003oool0oooo03D0oooo00<000000?ooo`3oool01P3oool000050?oo
o`000000oooo0?ooo`0000002@3oool00`000000oooo0?ooo`040?ooo`030000003oool0oooo0080
oooo2`00000;04a<C0040000001VIVH0IVIV000000D0Ogmo00<0000009VIV@2IVIT01@2IVIT00`00
0000/k>c0;>c/`0;0;>c/`030000003<c<`0c<c<01`0c<c<00<000000>KViP3Vi^H0K`3Vi^H00`00
0000oooo0?ooo`0d0?ooo`030000003oool0oooo00H0oooo00020?ooo`8000002P3oool3000000@0
oooo00<000000?ooo`3oool00P3oool;000000/0C4a<00@0000006IVIP1VIVH000001@1oOgl00`00
0000VIVI09VIV@0509VIV@030000002c/k<0/k>c00/0/k>c00<000000<c<c03<c<`0703<c<`00`00
0000i^KV0>KViP1`0>KViP030000003oool0oooo03<0oooo00<000000?ooo`3oool01P3oool001D0
oooo00<000000?ooo`3oool00P3oool;000000/0C4a<00D0000006IVIP1VIVH0IVIV0000000407mo
O`030000002IVIT0VIVI00D0VIVI00<000000;>c/`2c/k<02`2c/k<00`000000c<c<0<c<c00M0<c<
c0030000003Vi^H0i^KV0700i^KV0P00000c0?ooo`030000003oool0oooo00H0oooo000E0?ooo`03
0000003oool0oooo0080oooo2`00000;04a<C0050000001VIVH0IVIV06IVIP000000101oOgl00`00
0000VIVI09VIV@0609VIV@030000002c/k<0/k>c00/0/k>c00<000000<c<c03<c<`0703<c<`00`00
0000i^KV0>KViP1b0>KViP030000003oool0oooo0300oooo00<000000?ooo`3oool01P3oool001D0
oooo00<000000?ooo`3oool00P3oool;000000/0C4a<00D0000006IVIP1VIVH0IVIV0000000407mo
O`030000002IVIT0VIVI00H0VIVI00<000000;>c/`2c/k<02`2c/k<00`000000c<c<0<c<c00M0<c<
c0030000003Vi^H0i^KV0780i^KV00<000000?ooo`3oool0;`3oool00`000000oooo0?ooo`060?oo
o`005@3oool00`000000oooo0?ooo`020?ooo`/000002`1<C4`01@000000IVIV06IVIP1VIVH00000
00@0Ogmo00<0000009VIV@2IVIT01P2IVIT00`000000/k>c0;>c/`0;0;>c/`030000003<c<`0c<c<
01h0c<c<00<000000>KViP3Vi^H0LP3Vi^H00`000000oooo0?ooo`0^0?ooo`030000003oool0oooo
00H0oooo000E0?ooo`030000003oool0oooo0080oooo2`00000;04a<C0050000001VIVH0IVIV06IV
IP000000101oOgl00`000000VIVI09VIV@0609VIV@030000002c/k<0/k>c00`0/k>c00<000000<c<
c03<c<`07@3<c<`00`000000i^KV0>KViP1c0>KViP800000;P3oool00`000000oooo0?ooo`060?oo
o`005@3oool00`000000oooo0?ooo`020?ooo`/000002`1<C4`01@000000IVIV06IVIP1VIVH00000
00D0Ogmo00<0000009VIV@2IVIT01P2IVIT00`000000/k>c0;>c/`0;0;>c/`030000003<c<`0c<c<
01h0c<c<00<000000>KViP3Vi^H0M03Vi^H00`000000oooo0?ooo`0[0?ooo`030000003oool0oooo
00H0oooo000E0?ooo`030000003oool0oooo0080oooo2`00000;04a<C0050000001VIVH0IVIV06IV
IP0000001@1oOgl00`000000VIVI09VIV@0609VIV@030000002c/k<0/k>c00/0/k>c00<000000<c<
c03<c<`07P3<c<`00`000000i^KV0>KViP1e0>KViP030000003oool0oooo02X0oooo00<000000?oo
o`3oool01P3oool001D0oooo00<000000?ooo`3oool00P3oool;000000/0C4a<00D0000006IVIP1V
IVH0IVIV0000000507moO`030000002IVIT0VIVI00H0VIVI00<000000;>c/`2c/k<0302c/k<00`00
0000c<c<0<c<c00N0<c<c0030000003Vi^H0i^KV07D0i^KV00<000000?ooo`3oool0:@3oool00`00
0000oooo0?ooo`060?ooo`005@3oool2000000<0oooo2`00000<04a<C0050000001VIVH0IVIV06IV
IP000000101oOgl00`000000VIVI09VIV@0609VIV@030000002c/k<0/k>c00`0/k>c00<000000<c<
c03<c<`07P3<c<`00`000000i^KV0>KViP1f0>KViP030000003oool0oooo02P0oooo00<000000?oo
o`3oool01P3oool001D0oooo00<000000?ooo`3oool00P3oool;000000`0C4a<00D0000006IVIP1V
IVH0IVIV0000000407moO`030000002IVIT0VIVI00H0VIVI00<000000;>c/`2c/k<03@2c/k<00`00
0000c<c<0<c<c00N0<c<c0030000003Vi^H0i^KV07H0i^KV0P00000X0?ooo`030000003oool0oooo
00H0oooo000E0?ooo`030000003oool0oooo0080oooo2`00000<04a<C0050000001VIVH0IVIV06IV
IP000000101oOgl00`000000VIVI09VIV@0609VIV@030000002c/k<0/k>c00d0/k>c00<000000<c<
c03<c<`07P3<c<`00`000000i^KV0>KViP1h0>KViP030000003oool0oooo02D0oooo00<000000?oo
o`3oool01P3oool001D0oooo00<000000?ooo`3oool00P3oool;000000`0C4a<00D0000006IVIP1V
IVH0IVIV0000000507moO`030000002IVIT0VIVI00H0VIVI00<000000;>c/`2c/k<0302c/k<00`00
0000c<c<0<c<c00O0<c<c0030000003Vi^H0i^KV07P0i^KV00<000000?ooo`3oool0903oool00`00
0000oooo0?ooo`060?ooo`005@3oool00`000000oooo0?ooo`020?ooo`/00000301<C4`01@000000
IVIV06IVIP1VIVH0000000D0Ogmo00<0000009VIV@2IVIT01P2IVIT00`000000/k>c0;>c/`0=0;>c
/`030000003<c<`0c<c<01h0c<c<00<000000>KViP3Vi^H0N@3Vi^H00`000000oooo0?ooo`0S0?oo
o`030000003oool0oooo00H0oooo000E0?ooo`030000003oool0oooo0080oooo3`00000804a<C005
0000001VIVH0IVIV06IVIP0000001@1oOgl00`000000VIVI09VIV@0609VIV@030000002c/k<0/k>c
00d0/k>c00<000000<c<c03<c<`07`3<c<`00`000000i^KV0>KViP1i0>KViP8000008`3oool00`00
0000oooo0?ooo`060?ooo`005@3oool00`000000oooo0?ooo`020?ooo`/00000100c<c<600000080
C4a<00D0000006IVIP1VIVH0IVIV0000000507moO`030000002IVIT0VIVI00H0VIVI00<000000;>c
/`2c/k<03@2c/k<00`000000c<c<0<c<c00O0<c<c0030000003Vi^H0i^KV07/0i^KV00<000000?oo
o`3oool0803oool00`000000oooo0?ooo`060?ooo`005@3oool00`000000oooo0?ooo`020?ooo`/0
00002@0c<c<010000000C4a<04a<C000000306IVIP030000001oOgl0Ogmo00<0Ogmo00<0000009VI
V@2IVIT01`2IVIT00`000000/k>c0;>c/`0=0;>c/`030000003<c<`0c<c<01l0c<c<00<000000>KV
iP3Vi^H0N`3Vi^H200000200oooo00<000000?ooo`3oool01P3oool001D0oooo00<000000?ooo`3o
ool00P3oool;000000T0<c<c00@0000004a<C01<C4`00000101VIVH00`000000Ogmo07moO`0307mo
O`030000002IVIT0VIVI00H0VIVI00<000000;>c/`2c/k<03@2c/k<00`000000c<c<0<c<c00O0<c<
c0030000003Vi^H0i^KV07d0i^KV00<000000?ooo`3oool07@3oool00`000000oooo0?ooo`060?oo
o`005@3oool00`000000oooo0?ooo`020?ooo`/000002@0c<c<010000000C4a<04a<C000000406IV
IP030000001oOgl0Ogmo00<0Ogmo00<0000009VIV@2IVIT01P2IVIT00`000000/k>c0;>c/`0=0;>c
/`030000003<c<`0c<c<0200c<c<00<000000>KViP3Vi^H0O@3Vi^H00`000000oooo0?ooo`0L0?oo
o`030000003oool0oooo00H0oooo000E0?ooo`030000003oool0oooo0080oooo2`00000903<c<`04
0000001<C4`0C4a<000000@0IVIV00<0000007moO`1oOgl00`1oOgl00`000000VIVI09VIV@0609VI
V@030000002c/k<0/k>c00d0/k>c00<000000<c<c03<c<`0803<c<`00`000000i^KV0>KViP1n0>KV
iP030000003oool0oooo01/0oooo00<000000?ooo`3oool01P3oool001D0oooo00<000000?ooo`3o
ool00P3oool;000000X0<c<c00@0000004a<C01<C4`000000`1VIVH00`000000Ogmo07moO`0307mo
O`030000002IVIT0VIVI00L0VIVI00<000000;>c/`2c/k<03@2c/k<00`000000c<c<0<c<c00P0<c<
c0030000003Vi^H0i^KV07h0i^KV00<000000?ooo`3oool06P3oool00`000000oooo0?ooo`060?oo
o`005@3oool00`000000oooo0?ooo`020?ooo`/000002P0c<c<010000000C4a<04a<C000000306IV
IP030000001oOgl0Ogmo00<0Ogmo00<0000009VIV@2IVIT01`2IVIT00`000000/k>c0;>c/`0=0;>c
/`030000003<c<`0c<c<0200c<c<00<000000>KViP3Vi^H0O`3Vi^H2000001X0oooo00<000000?oo
o`3oool01P3oool001D0oooo0P0000030?ooo`/000002P0c<c<010000000C4a<04a<C000000406IV
IP030000001oOgl0Ogmo00<0Ogmo00<0000009VIV@2IVIT01P2IVIT00`000000/k>c0;>c/`0=0;>c
/`030000003<c<`0c<c<0240c<c<00<000000>KViP3Vi^H0P03Vi^H00`000000oooo0?ooo`0G0?oo
o`030000003oool0oooo00H0oooo000E0?ooo`030000003oool0oooo0080oooo2`00000:03<c<`04
0000001<C4`0C4a<000000@0IVIV00<0000007moO`1oOgl00`1oOgl00`000000VIVI09VIV@0709VI
V@030000002c/k<0/k>c00d0/k>c00<000000<c<c03<c<`0803<c<`00`000000i^KV0>KViP210>KV
iP030000003oool0oooo01H0oooo00<000000?ooo`3oool01P3oool001D0oooo00<000000?ooo`3o
ool00P3oool;000000X0<c<c00@0000004a<C01<C4`00000101VIVH00`000000Ogmo07moO`0307mo
O`030000002IVIT0VIVI00L0VIVI00<000000;>c/`2c/k<03@2c/k<00`000000c<c<0<c<c00Q0<c<
c0030000003Vi^H0i^KV0840i^KV00<000000?ooo`3oool05@3oool00`000000oooo0?ooo`060?oo
o`005@3oool00`000000oooo0?ooo`020?ooo`/000002P0c<c<010000000C4a<04a<C000000406IV
IP030000001oOgl0Ogmo00<0Ogmo00<0000009VIV@2IVIT01`2IVIT00`000000/k>c0;>c/`0=0;>c
/`030000003<c<`0c<c<0280c<c<00<000000>KViP3Vi^H0P@3Vi^H00`000000oooo0?ooo`0D0?oo
o`030000003oool0oooo00H0oooo000E0?ooo`030000003oool0oooo0080oooo2`00000:03<c<`04
0000001<C4`0C4a<000000@0IVIV00<0000007moO`1oOgl0101oOgl00`000000VIVI09VIV@0709VI
V@030000002c/k<0/k>c00d0/k>c00<000000<c<c03<c<`08@3<c<`00`000000i^KV0>KViP220>KV
iP800000503oool00`000000oooo0?ooo`060?ooo`005@3oool00`000000oooo0?ooo`020?ooo`/0
00002`0c<c<010000000C4a<04a<C000000406IVIP030000001oOgl0Ogmo00<0Ogmo00<0000009VI
V@2IVIT01`2IVIT00`000000/k>c0;>c/`0=0;>c/`030000003<c<`0c<c<0280c<c<00<000000>KV
iP3Vi^H0P`3Vi^H00`000000oooo0?ooo`0A0?ooo`030000003oool0oooo00H0oooo000E0?ooo`03
0000003oool0oooo0080oooo2`00000;03<c<`040000001<C4`0C4a<000000@0IVIV00<0000007mo
O`1oOgl00`1oOgl00`000000VIVI09VIV@0709VIV@030000002c/k<0/k>c00h0/k>c00<000000<c<
c03<c<`08@3<c<`00`000000i^KV0>KViP240>KViP030000003oool0oooo0100oooo00<000000?oo
o`3oool01P3oool001D0oooo00<000000?ooo`3oool00P3oool;000000/0<c<c00@0000004a<C01<
C4`00000101VIVH00`000000Ogmo07moO`0307moO`030000002IVIT0VIVI00L0VIVI00<000000;>c
/`2c/k<03P2c/k<00`000000c<c<0<c<c00R0<c<c0030000003Vi^H0i^KV08@0i^KV0P00000@0?oo
o`030000003oool0oooo00H0oooo000E0?ooo`030000003oool0oooo0080oooo2`00000;03<c<`04
0000001<C4`0C4a<000000@0IVIV00<0000007moO`1oOgl0101oOgl00`000000VIVI09VIV@0709VI
V@030000002c/k<0/k>c00d0/k>c00<000000<c<c03<c<`08`3<c<`00`000000i^KV0>KViP250>KV
iP030000003oool0oooo00d0oooo00<000000?ooo`3oool01P3oool001D0oooo00<000000?ooo`3o
ool00P3oool;000000/0<c<c00@0000004a<C01<C4`00000101VIVH00`000000Ogmo07moO`0407mo
O`030000002IVIT0VIVI00L0VIVI00<000000;>c/`2c/k<03P2c/k<00`000000c<c<0<c<c00R0<c<
c0030000003Vi^H0i^KV08H0i^KV00<000000?ooo`3oool0303oool00`000000oooo0?ooo`060?oo
o`005@3oool00`000000oooo0?ooo`020?ooo`/00000300c<c<010000000C4a<04a<C000000406IV
IP030000001oOgl0Ogmo00<0Ogmo00<0000009VIV@2IVIT01`2IVIT00`000000/k>c0;>c/`0>0;>c
/`030000003<c<`0c<c<02<0c<c<00<000000>KViP3Vi^H0Q@3Vi^H00`000000oooo0?ooo`0<0?oo
o`030000003oool0oooo00H0oooo000E0?ooo`030000003oool0oooo0080oooo2`00000<03<c<`04
0000001<C4`0C4a<000000@0IVIV00<0000007moO`1oOgl0101oOgl00`000000VIVI09VIV@0709VI
V@030000002c/k<0/k>c00h0/k>c00<000000<c<c03<c<`08P3<c<`00`000000i^KV0>KViP260>KV
iP030000003oool0oooo00/0oooo00<000000?ooo`3oool01P3oool001D0oooo0P0000030?ooo``0
00002`0c<c<010000000C4a<04a<C000000406IVIP030000001oOgl0Ogmo00@0Ogmo00<0000009VI
V@2IVIT01`2IVIT00`000000/k>c0;>c/`0>0;>c/`030000003<c<`0c<c<02<0c<c<00<000000>KV
iP3Vi^H0Q@3Vi^H2000000`0oooo00<000000?ooo`3oool01P3oool001D0oooo00<000000?ooo`3o
ool00P3oool;0000000401TI6@0000000000000000P0<c<c00@0000004a<C01<C4`00000101VIVH0
0`000000Ogmo07moO`0407moO`030000002IVIT0VIVI00L0VIVI00<000000;>c/`2c/k<03P2c/k<0
0`000000c<c<0<c<c00S0<c<c0030000003Vi^H0i^KV08L0i^KV0P00000:0?ooo`030000003oool0
oooo00H0oooo000E0?ooo`030000003oool0oooo0080oooo2`00000401TI6@@00000100c<c<01000
0000C4a<04a<C000000406IVIP030000001oOgl0Ogmo00@0Ogmo00<0000009VIV@2IVIT01`2IVIT0
0`000000/k>c0;>c/`0?0;>c/`030000003<c<`0c<c<0280c<c<00<000000>KViP3Vi^H0R@3Vi^H3
000000L0oooo00<000000?ooo`3oool01P3oool001D0oooo00<000000?ooo`3oool00P3oool;0000
00P06ATI0P00000203<c<`040000001<C4`0C4a<000000@0IVIV00<0000007moO`1oOgl0101oOgl0
0`000000VIVI09VIV@0809VIV@030000002c/k<0/k>c00h0/k>c00<000000<c<c03<c<`08`3<c<`0
0`000000i^KV0>KViP2;0>KViP8000001@3oool00`000000oooo0?ooo`060?ooo`005@3oool00`00
0000oooo0?ooo`020?ooo`/000002@0I6AT010000000<c<c03<c<`00000204a<C0030000001VIVH0
IVIV0080IVIV00<0000007moO`1oOgl0101oOgl00`000000VIVI09VIV@0809VIV@030000002c/k<0
/k>c00h0/k>c00<000000<c<c03<c<`08`3<c<`00`000000i^KV0>KViP2=0>KViP8000000`3oool0
0`000000oooo0?ooo`060?ooo`005@3oool00`000000oooo0?ooo`020?ooo`/000002@0I6AT01000
0000<c<c03<c<`00000204a<C0030000001VIVH0IVIV0080IVIV00<0000007moO`1oOgl0101oOgl0
0`000000VIVI09VIV@0809VIV@030000002c/k<0/k>c00l0/k>c00<000000<c<c03<c<`08`3<c<`0
0`000000i^KV0>KViP2=0>KViP@0oooo00<000000?ooo`3oool01P3oool001D0oooo00<000000?oo
o`3oool00P3oool;000000T06ATI00D0000003<c<`0c<c<0<c<c0000000204a<C0030000001VIVH0
IVIV0080IVIV00<0000007moO`1oOgl0101oOgl00`000000VIVI09VIV@0709VIV@030000002c/k<0
/k>c00l0/k>c00<000000<c<c03<c<`08`3<c<`00`000000i^KV0>KViP2=0>KViP@0oooo00<00000
0?ooo`3oool01P3oool001D0oooo00<000000?ooo`3oool00P3oool;000000T06ATI00D0000003<c
<`0c<c<0<c<c0000000204a<C0030000001VIVH0IVIV0080IVIV00<0000007moO`1oOgl0101oOgl0
0`000000VIVI09VIV@0709VIV@030000002c/k<0/k>c0100/k>c00<000000<c<c03<c<`08`3<c<`0
0`000000i^KV0>KViP2<0>KViP@0oooo00<000000?ooo`3oool01P3oool001D0oooo00<000000?oo
o`3oool00P3oool;000000X06ATI00@0000003<c<`0c<c<000000P1<C4`00`000000IVIV06IVIP02
06IVIP030000001oOgl0Ogmo00@0Ogmo00<0000009VIV@2IVIT01`2IVIT00`000000/k>c0;>c/`0@
0;>c/`030000003<c<`0c<c<02<0c<c<00<000000>KViP3Vi^H0S03Vi^H40?ooo`030000003oool0
oooo00H0oooo000E0?ooo`030000003oool0oooo0080oooo2`00000:01TI6@040000000c<c<0<c<c
00000080C4a<00<0000006IVIP1VIVH00P1VIVH00`000000Ogmo07moO`0407moO`030000002IVIT0
VIVI00P0VIVI00<000000;>c/`2c/k<03`2c/k<00`000000c<c<0<c<c00T0<c<c0030000003Vi^H0
i^KV08/0i^KV103oool00`000000oooo0?ooo`060?ooo`005@3oool00`000000oooo0?ooo`020?oo
o`/000002P0I6AT010000000<c<c03<c<`00000204a<C0030000001VIVH0IVIV0080IVIV00<00000
07moO`1oOgl0101oOgl00`000000VIVI09VIV@0809VIV@030000002c/k<0/k>c0100/k>c00<00000
0<c<c03<c<`08`3<c<`00`000000i^KV0>KViP2;0>KViP@0oooo00<000000?ooo`3oool01P3oool0
0080oooo0P0000040?ooo`800000103oool2000000D0oooo00<000000?ooo`3oool00P3oool;0000
00X06ATI00@0000003<c<`0c<c<000000P1<C4`00`000000IVIV06IVIP0206IVIP030000001oOgl0
Ogmo00@0Ogmo00<0000009VIV@2IVIT0202IVIT00`000000/k>c0;>c/`0@0;>c/`030000003<c<`0
c<c<02@0c<c<00<000000>KViP3Vi^H0RP3Vi^H40?ooo`030000003oool0oooo00H0oooo00001@3o
ool000000?ooo`3oool0000000P0oooo00@000000?ooo`3oool00000103oool00`000000oooo0?oo
o`020?ooo`/000002P0I6AT010000000<c<c03<c<`00000204a<C0030000001VIVH0IVIV0080IVIV
00<0000007moO`1oOgl0101oOgl00`000000VIVI09VIV@0809VIV@030000002c/k<0/k>c0100/k>c
00<000000<c<c03<c<`09@3<c<`00`000000i^KV0>KViP290>KViP@0oooo00<000000?ooo`3oool0
1P3oool000050?ooo`000000oooo0?ooo`000000203oool010000000oooo0?ooo`0000040?ooo`80
00000`3oool;000000X06ATI00@0000003<c<`0c<c<000000P1<C4`00`000000IVIV06IVIP0206IV
IP030000001oOgl0Ogmo00@0Ogmo00<0000009VIV@2IVIT02@2IVIT00`000000/k>c0;>c/`0@0;>c
/`030000003<c<`0c<c<02@0c<c<00<000000>KViP3Vi^H0R@3Vi^H30?ooo`800000203oool00005
0?ooo`000000oooo0?ooo`0000002@3oool2000000D0oooo00<000000?ooo`3oool00P3oool;0000
00X06ATI00@0000003<c<`0c<c<000000`1<C4`00`000000IVIV06IVIP0206IVIP030000001oOgl0
Ogmo00@0Ogmo00<0000009VIV@2IVIT0202IVIT00`000000/k>c0;>c/`0@0;>c/`030000003<c<`0
c<c<02D0c<c<00<000000>KViP3Vi^H0R03Vi^H40?ooo`030000003oool0oooo00H0oooo00001@3o
ool000000?ooo`3oool0000000P0oooo00@000000?ooo`3oool00000103oool00`000000oooo0?oo
o`020?ooo`/000002P0I6AT010000000<c<c03<c<`00000304a<C0030000001VIVH0IVIV0080IVIV
00<0000007moO`1oOgl0101oOgl00`000000VIVI09VIV@0909VIV@030000002c/k<0/k>c00l0/k>c
00<000000<c<c03<c<`09@3<c<`00`000000i^KV0>KViP280>KViP@0oooo00<000000?ooo`3oool0
1P3oool00080oooo0P00000:0?ooo`8000001@3oool00`000000oooo0?ooo`020?ooo`/000002P0I
6AT010000000<c<c03<c<`00000304a<C0030000001VIVH0IVIV0080IVIV00<0000007moO`1oOgl0
101oOgl00`000000VIVI09VIV@0909VIV@030000002c/k<0/k>c00l0/k>c00<000000<c<c03<c<`0
9P3<c<`00`000000i^KV0>KViP270>KViP@0oooo00<000000?ooo`3oool01P3oool001D0oooo00<0
00000?ooo`3oool00P3oool;000000/06ATI00@0000003<c<`0c<c<000000P1<C4`00`000000IVIV
06IVIP0206IVIP030000001oOgl0Ogmo00@0Ogmo00<0000009VIV@2IVIT02@2IVIT00`000000/k>c
0;>c/`0@0;>c/`030000003<c<`0c<c<02H0c<c<00<000000>KViP3Vi^H0QP3Vi^H40?ooo`030000
003oool0oooo00H0oooo000E0?ooo`030000003oool0oooo0080oooo2`00000;01TI6@040000000c
<c<0<c<c00000080C4a<00<0000006IVIP1VIVH00P1VIVH00`000000Ogmo07moO`0507moO`030000
002IVIT0VIVI00P0VIVI00<000000;>c/`2c/k<0402c/k<00`000000c<c<0<c<c00V0<c<c0030000
003Vi^H0i^KV08H0i^KV103oool00`000000oooo0?ooo`060?ooo`005@3oool00`000000oooo0?oo
o`020?ooo`/000002`0I6AT010000000<c<c03<c<`00000304a<C0030000001VIVH0IVIV0080IVIV
00<0000007moO`1oOgl0101oOgl00`000000VIVI09VIV@0909VIV@030000002c/k<0/k>c00l0/k>c
00<000000<c<c03<c<`09`3<c<`00`000000i^KV0>KViP250>KViP@0oooo00<000000?ooo`3oool0
1P3oool001D0oooo00<000000?ooo`3oool00P3oool;000000/06ATI00@0000003<c<`0c<c<00000
0`1<C4`00`000000IVIV06IVIP0206IVIP030000001oOgl0Ogmo00@0Ogmo00<0000009VIV@2IVIT0
2@2IVIT00`000000/k>c0;>c/`0@0;>c/`030000003<c<`0c<c<02H0c<c<00<000000>KViP3Vi^H0
Q@3Vi^H40?ooo`030000003oool0oooo00H0oooo000E0?ooo`030000003oool0oooo0080oooo3000
000:01TI6@040000000c<c<0<c<c000000<0C4a<00<0000006IVIP1VIVH00P1VIVH00`000000Ogmo
07moO`0507moO`030000002IVIT0VIVI00P0VIVI00<000000;>c/`2c/k<0402c/k<00`000000c<c<
0<c<c00W0<c<c0030000003Vi^H0i^KV08@0i^KV103oool00`000000oooo0?ooo`060?ooo`005@3o
ool00`000000oooo0?ooo`020?ooo`h00000200I6AT010000000<c<c03<c<`00000304a<C0030000
001VIVH0IVIV0080IVIV00<0000007moO`1oOgl01@1oOgl00`000000VIVI09VIV@0809VIV@030000
002c/k<0/k>c0100/k>c00<000000<c<c03<c<`0:03<c<`00`000000i^KV0>KViP230>KViP@0oooo
00<000000?ooo`3oool01P3oool001D0oooo00<000000?ooo`3oool00P3ooolA000000D06ATI00@0
000003<c<`0c<c<000000`1<C4`00`000000IVIV06IVIP0206IVIP030000001oOgl0Ogmo00D0Ogmo
00<0000009VIV@2IVIT0202IVIT00`000000/k>c0;>c/`0@0;>c/`030000003<c<`0c<c<02P0c<c<
00<000000>KViP3Vi^H0P`3Vi^H40?ooo`030000003oool0oooo00H0oooo000E0?ooo`030000003o
ool0oooo0080oooo4`00000301TI6@040000000c<c<0<c<c000000@0C4a<00D0000006IVIP1VIVH0
IVIV0000000707moO`030000002IVIT0VIVI00T0VIVI00<000000;>c/`2c/k<0402c/k<00`000000
c<c<0<c<c00X0<c<c0030000003Vi^H0i^KV0880i^KV103oool00`000000oooo0?ooo`060?ooo`00
5@3oool2000000<0oooo5@0000001@0I6AT0000003<c<`0c<c<0000000@0C4a<00D0000006IVIP1V
IVH0IVIV0000000707moO`030000002IVIT0VIVI00T0VIVI00<000000;>c/`2c/k<0402c/k<00`00
0000c<c<0<c<c00X0<c<c0030000003Vi^H0i^KV0880i^KV103oool00`000000oooo0?ooo`060?oo
o`005@3oool00`000000oooo0?ooo`020?oooaD0000000D06ATI0000000c<c<0<c<c0000000404a<
C0050000001VIVH0IVIV06IVIP0000001`1oOgl00`000000VIVI09VIV@0909VIV@030000002c/k<0
/k>c0140/k>c00<000000<c<c03<c<`0:03<c<`00`000000i^KV0>KViP210>KViP@0oooo00<00000
0?ooo`3oool01P3oool001D0oooo00<000000?ooo`3oool00P3ooolE000000806ATI00@0000003<c
<`0c<c<000000`1<C4`00`000000IVIV06IVIP0206IVIP030000001oOgl0Ogmo00D0Ogmo00<00000
09VIV@2IVIT0202IVIT00`000000/k>c0;>c/`0A0;>c/`030000003<c<`0c<c<02T0c<c<00<00000
0>KViP3Vi^H0P03Vi^H40?ooo`030000003oool0oooo00H0oooo000E0?ooo`030000003oool0oooo
0080oooo5@00000201TI6@040000000c<c<0<c<c000000<0C4a<00<0000006IVIP1VIVH00P1VIVH0
0`000000Ogmo07moO`0507moO`030000002IVIT0VIVI00P0VIVI00<000000;>c/`2c/k<04P2c/k<0
0`000000c<c<0<c<c00X0<c<c0030000003Vi^H0i^KV0800i^KV103oool00`000000oooo0?ooo`06
0?ooo`005@3oool00`000000oooo0?ooo`020?oooaH0000000D06ATI0000000c<c<0<c<c00000004
04a<C0050000001VIVH0IVIV06IVIP0000001`1oOgl00`000000VIVI09VIV@0909VIV@030000002c
/k<0/k>c0140/k>c00<000000<c<c03<c<`0:@3<c<`00`000000i^KV0>KViP1o0>KViP@0oooo00<0
00000?ooo`3oool01P3oool001D0oooo00<000000?ooo`3oool00P3ooolF0000000501TI6@000000
<c<c03<c<`000000101<C4`01@000000IVIV06IVIP1VIVH0000000L0Ogmo00<0000009VIV@2IVIT0
2@2IVIT00`000000/k>c0;>c/`0B0;>c/`030000003<c<`0c<c<02P0c<c<00<000000>KViP3Vi^H0
O`3Vi^H40?ooo`030000003oool0oooo00H0oooo000E0?ooo`030000003oool0oooo0080oooo5P00
00001@0I6AT0000003<c<`0c<c<0000000@0C4a<00D0000006IVIP1VIVH0IVIV0000000707moO`03
0000002IVIT0VIVI00T0VIVI00<000000;>c/`2c/k<04P2c/k<00`000000c<c<0<c<c00Y0<c<c003
0000003Vi^H0i^KV07h0i^KV103oool00`000000oooo0?ooo`060?ooo`005@3oool00`000000oooo
0?ooo`020?oooaH0000000D06ATI0000000c<c<0<c<c0000000404a<C0050000001VIVH0IVIV06IV
IP0000001`1oOgl00`000000VIVI09VIV@0909VIV@030000002c/k<0/k>c0180/k>c00<000000<c<
c03<c<`0:@3<c<`00`000000i^KV0>KViP1n0>KViP@0oooo00<000000?ooo`3oool01P3oool001D0
oooo00<000000?ooo`3oool00P3ooolF0000000501TI6@000000<c<c03<c<`000000101<C4`00`00
0000IVIV06IVIP0206IVIP030000001oOgl0Ogmo00D0Ogmo00<0000009VIV@2IVIT02@2IVIT00`00
0000/k>c0;>c/`0B0;>c/`030000003<c<`0c<c<02T0c<c<00<000000>KViP3Vi^H0O@3Vi^H40?oo
o`030000003oool0oooo00H0oooo000E0?ooo`030000003oool0oooo0080oooo5P0000000`0I6AT0
000003<c<`0203<c<`050000001<C4`0C4a<04a<C0000000101VIVH00`000000Ogmo07moO`0507mo
O`030000002IVIT0VIVI00T0VIVI00<000000;>c/`2c/k<04P2c/k<00`000000c<c<0<c<c00Y0<c<
c0030000003Vi^H0i^KV07d0i^KV103oool00`000000oooo0?ooo`060?ooo`005@3oool00`000000
oooo0?ooo`020?oooaH0000000<06ATI0000000c<c<00P0c<c<01@000000C4a<04a<C01<C4`00000
00@0IVIV00<0000007moO`1oOgl01@1oOgl00`000000VIVI09VIV@0909VIV@030000002c/k<0/k>c
0180/k>c00<000000<c<c03<c<`0:P3<c<`00`000000i^KV0>KViP1l0>KViP@0oooo00<000000?oo
o`3oool01P3oool001D0oooo00<000000?ooo`3oool00P3ooolF0000000301TI6@000000<c<c0080
<c<c00D0000004a<C01<C4`0C4a<0000000406IVIP030000001oOgl0Ogmo00D0Ogmo00<0000009VI
V@2IVIT02@2IVIT00`000000/k>c0;>c/`0B0;>c/`030000003<c<`0c<c<02X0c<c<00<000000>KV
iP3Vi^H0O03Vi^H40?ooo`030000003oool0oooo00H0oooo000E0?ooo`030000003oool0oooo0080
oooo5`0000001@0I6AT0000003<c<`0c<c<0000000<0C4a<00<0000006IVIP1VIVH00`1VIVH00`00
0000Ogmo07moO`0507moO`030000002IVIT0VIVI00T0VIVI00<000000;>c/`2c/k<04P2c/k<00`00
0000c<c<0<c<c00Z0<c<c0030000003Vi^H0i^KV07/0i^KV103oool00`000000oooo0?ooo`060?oo
o`005@3oool2000000<0oooo5`0000001@0I6AT0000003<c<`0c<c<0000000@0C4a<00<0000006IV
IP1VIVH00P1VIVH00`000000Ogmo07moO`0507moO`030000002IVIT0VIVI00T0VIVI00<000000;>c
/`2c/k<04P2c/k<00`000000c<c<0<c<c00Z0<c<c0030000003Vi^H0i^KV07/0i^KV103oool00`00
0000oooo0?ooo`060?ooo`005@3oool00`000000oooo0?ooo`020?oooaL0000000D06ATI0000000c
<c<0<c<c0000000404a<C0030000001VIVH0IVIV0080IVIV00<0000007moO`1oOgl01@1oOgl00`00
0000VIVI09VIV@0909VIV@030000002c/k<0/k>c0180/k>c00<000000<c<c03<c<`0:`3<c<`00`00
0000i^KV0>KViP1j0>KViP@0oooo00<000000?ooo`3oool01P3oool001D0oooo00<000000?ooo`3o
ool00P3ooolG0000000301TI6@000000<c<c0080<c<c00D0000004a<C01<C4`0C4a<0000000406IV
IP030000001oOgl0Ogmo00D0Ogmo00<0000009VIV@2IVIT02@2IVIT00`000000/k>c0;>c/`0B0;>c
/`030000003<c<`0c<c<02/0c<c<00<000000>KViP3Vi^H0NP3Vi^H40?ooo`030000003oool0oooo
00H0oooo000E0?ooo`030000003oool0oooo0080oooo5`0000000`0I6AT0000003<c<`0203<c<`05
0000001<C4`0C4a<04a<C00000001@1VIVH00`000000Ogmo07moO`0507moO`030000002IVIT0VIVI
00T0VIVI00<000000;>c/`2c/k<04P2c/k<00`000000c<c<0<c<c00[0<c<c0030000003Vi^H0i^KV
07T0i^KV103oool00`000000oooo0?ooo`060?ooo`005@3oool00`000000oooo0?ooo`020?oooaL0
000000<06ATI0000000c<c<00P0c<c<01@000000C4a<04a<C01<C4`0000000D0IVIV00<0000007mo
O`1oOgl01@1oOgl00`000000VIVI09VIV@0909VIV@030000002c/k<0/k>c0180/k>c00<000000<c<
c03<c<`0:`3<c<`00`000000i^KV0>KViP1i0>KViP@0oooo00<000000?ooo`3oool01P3oool001D0
oooo00<000000?ooo`3oool00P3ooolG0000000301TI6@000000<c<c0080<c<c00D0000004a<C01<
C4`0C4a<0000000506IVIP030000001oOgl0Ogmo00D0Ogmo00<0000009VIV@2IVIT02@2IVIT00`00
0000/k>c0;>c/`0B0;>c/`030000003<c<`0c<c<02`0c<c<00<000000>KViP3Vi^H0N03Vi^H40?oo
o`030000003oool0oooo00H0oooo000E0?ooo`030000003oool0oooo0080oooo5`0000000`0I6AT0
000003<c<`0203<c<`050000001<C4`0C4a<04a<C00000001@1VIVH00`000000Ogmo07moO`0507mo
O`030000002IVIT0VIVI00X0VIVI00<000000;>c/`2c/k<04P2c/k<00`000000c<c<0<c<c00[0<c<
c0030000003Vi^H0i^KV07P0i^KV103oool00`000000oooo0?ooo`060?ooo`005@3oool00`000000
oooo0?ooo`020?oooaL0000000<06ATI0000000c<c<00P0c<c<01@000000C4a<04a<C01<C4`00000
00D0IVIV00<0000007moO`1oOgl01P1oOgl00`000000VIVI09VIV@0909VIV@030000002c/k<0/k>c
0180/k>c00<000000<c<c03<c<`0;03<c<`00`000000i^KV0>KViP1g0>KViP@0oooo00<000000?oo
o`3oool01P3oool001D0oooo00<000000?ooo`3oool00P3ooolG0000000301TI6@000000<c<c0080
<c<c00D0000004a<C01<C4`0C4a<0000000506IVIP030000001oOgl0Ogmo00H0Ogmo00<0000009VI
V@2IVIT02@2IVIT00`000000/k>c0;>c/`0C0;>c/`030000003<c<`0c<c<02/0c<c<00<000000>KV
iP3Vi^H0M`3Vi^H40?ooo`030000003oool0oooo00H0oooo000E0?ooo`030000003oool0oooo0080
oooo5`0000000`0I6AT0000003<c<`0203<c<`050000001<C4`0C4a<04a<C00000001@1VIVH00`00
0000Ogmo07moO`0607moO`030000002IVIT0VIVI00T0VIVI00<000000;>c/`2c/k<04`2c/k<00`00
0000c<c<0<c<c00/0<c<c0030000003Vi^H0i^KV07H0i^KV103oool00`000000oooo0?ooo`060?oo
o`005@3oool00`000000oooo0?ooo`020?oooaP0000000<06ATI0000000c<c<00P0c<c<01@000000
C4a<04a<C01<C4`0000000D0IVIV00<0000007moO`1oOgl01@1oOgl00`000000VIVI09VIV@0:09VI
V@030000002c/k<0/k>c0180/k>c00<000000<c<c03<c<`0;@3<c<`00`000000i^KV0>KViP1e0>KV
iP@0oooo00<000000?ooo`3oool01P3oool001D0oooo00<000000?ooo`3oool00P3ooolH00000003
01TI6@000000<c<c0080<c<c00D0000004a<C01<C4`0C4a<0000000506IVIP030000001oOgl0Ogmo
00D0Ogmo00<0000009VIV@2IVIT02P2IVIT00`000000/k>c0;>c/`0C0;>c/`030000003<c<`0c<c<
02`0c<c<00<000000>KViP3Vi^H0M@3Vi^H40?ooo`030000003oool0oooo00H0oooo000E0?ooo`80
00000`3ooolH0000000301TI6@000000<c<c0080<c<c00D0000004a<C01<C4`0C4a<0000000506IV
IP030000001oOgl0Ogmo00H0Ogmo00<0000009VIV@2IVIT02@2IVIT00`000000/k>c0;>c/`0C0;>c
/`030000003<c<`0c<c<02d0c<c<00<000000>KViP3Vi^H0M03Vi^H40?ooo`030000003oool0oooo
00H0oooo000E0?ooo`030000003oool0oooo0080oooo600000000`0I6AT0000003<c<`0203<c<`05
0000001<C4`0C4a<04a<C00000001@1VIVH00`000000Ogmo07moO`0607moO`030000002IVIT0VIVI
00X0VIVI00<000000;>c/`2c/k<04`2c/k<00`000000c<c<0<c<c00/0<c<c0030000003Vi^H0i^KV
07@0i^KV103oool00`000000oooo0?ooo`060?ooo`005@3oool00`000000oooo0?ooo`020?oooaP0
000000<06ATI0000000c<c<00P0c<c<01@000000C4a<04a<C01<C4`0000000D0IVIV00<0000007mo
O`1oOgl01P1oOgl00`000000VIVI09VIV@0:09VIV@030000002c/k<0/k>c01<0/k>c00<000000<c<
c03<c<`0;@3<c<`00`000000i^KV0>KViP1c0>KViP@0oooo00<000000?ooo`3oool01P3oool001D0
oooo00<000000?ooo`3oool00P3ooolH0000000301TI6@000000<c<c0080<c<c00D0000004a<C01<
C4`0C4a<0000000506IVIP030000001oOgl0Ogmo00H0Ogmo00<0000009VIV@2IVIT02P2IVIT00`00
0000/k>c0;>c/`0C0;>c/`030000003<c<`0c<c<02d0c<c<00<000000>KViP3Vi^H0L`3Vi^H40?oo
o`030000003oool0oooo00H0oooo000E0?ooo`030000003oool0oooo0080oooo600000000`0I6AT0
000003<c<`0203<c<`050000001<C4`0C4a<04a<C00000001@1VIVH00`000000Ogmo07moO`0607mo
O`030000002IVIT0VIVI00X0VIVI00<000000;>c/`2c/k<0502c/k<00`000000c<c<0<c<c00]0<c<
c0030000003Vi^H0i^KV0780i^KV103oool00`000000oooo0?ooo`060?ooo`005@3oool00`000000
oooo0?ooo`020?oooaP000000P0I6AT010000000<c<c03<c<`00000404a<C0030000001VIVH0IVIV
00<0IVIV00<0000007moO`1oOgl01P1oOgl00`000000VIVI09VIV@0909VIV@030000002c/k<0/k>c
01@0/k>c00<000000<c<c03<c<`0;@3<c<`00`000000i^KV0>KViP1b0>KViP@0oooo00<000000?oo
o`3oool01P3oool001D0oooo00<000000?ooo`3oool00P3ooolH000000806ATI00@0000003<c<`0c
<c<00000101<C4`00`000000IVIV06IVIP0306IVIP030000001oOgl0Ogmo00H0Ogmo00<0000009VI
V@2IVIT02P2IVIT00`000000/k>c0;>c/`0C0;>c/`030000003<c<`0c<c<02d0c<c<00<000000>KV
iP3Vi^H0LP3Vi^H40?ooo`030000003oool0oooo00H0oooo000E0?ooo`030000003oool0oooo0080
oooo6000000201TI6@040000000c<c<0<c<c000000@0C4a<00<0000006IVIP1VIVH00`1VIVH00`00
0000Ogmo07moO`0607moO`030000002IVIT0VIVI00X0VIVI00<000000;>c/`2c/k<04`2c/k<00`00
0000c<c<0<c<c00^0<c<c0030000003Vi^H0i^KV0740i^KV103oool00`000000oooo0?ooo`060?oo
o`005@3oool00`000000oooo0?ooo`020?oooaT0000000<06ATI0000000c<c<00P0c<c<01@000000
C4a<04a<C01<C4`0000000D0IVIV00<0000007moO`1oOgl01P1oOgl00`000000VIVI09VIV@0:09VI
V@030000002c/k<0/k>c01@0/k>c00<000000<c<c03<c<`0;@3<c<`00`000000i^KV0>KViP1a0>KV
iP@0oooo00<000000?ooo`3oool01P3oool001D0oooo00<000000?ooo`3oool00P3ooolI00000003
01TI6@000000<c<c0080<c<c00D0000004a<C01<C4`0C4a<0000000506IVIP030000001oOgl0Ogmo
00H0Ogmo00<0000009VIV@2IVIT02P2IVIT00`000000/k>c0;>c/`0D0;>c/`030000003<c<`0c<c<
02h0c<c<00<000000>KViP3Vi^H0L03Vi^H40?ooo`030000003oool0oooo00H0oooo000E0?ooo`03
0000003oool0oooo0080oooo6@0000000`0I6AT0000003<c<`0203<c<`050000001<C4`0C4a<04a<
C00000001@1VIVH00`000000Ogmo07moO`0607moO`030000002IVIT0VIVI00X0VIVI00<000000;>c
/`2c/k<0502c/k<00`000000c<c<0<c<c00^0<c<c0030000003Vi^H0i^KV0700i^KV103oool00`00
0000oooo0?ooo`060?ooo`003@3oool5000000<0oooo00<000000?ooo`3oool00P3ooolI00000080
6ATI00@0000003<c<`0c<c<00000101<C4`00`000000IVIV06IVIP0306IVIP030000001oOgl0Ogmo
00H0Ogmo00<0000009VIV@2IVIT02P2IVIT00`000000/k>c0;>c/`0C0;>c/`030000003<c<`0c<c<
02l0c<c<00<000000>KViP3Vi^H0K`3Vi^H40?ooo`030000003oool0oooo00H0oooo000?0?ooo`03
0000003oool0oooo00<0oooo00<000000?ooo`3oool00P3ooolI000000806ATI00@0000003<c<`0c
<c<00000101<C4`00`000000IVIV06IVIP0306IVIP030000001oOgl0Ogmo00H0Ogmo00<0000009VI
V@2IVIT02P2IVIT00`000000/k>c0;>c/`0D0;>c/`030000003<c<`0c<c<02h0c<c<00<000000>KV
iP3Vi^H0K`3Vi^H40?ooo`030000003oool0oooo00H0oooo000?0?ooo`030000003oool0oooo00<0
oooo0P0000030?oooaT000000P0I6AT010000000<c<c03<c<`00000404a<C0030000001VIVH0IVIV
00<0IVIV00<0000007moO`1oOgl01P1oOgl00`000000VIVI09VIV@0:09VIV@030000002c/k<0/k>c
01@0/k>c00<000000<c<c03<c<`0;`3<c<`00`000000i^KV0>KViP1^0>KViP<0oooo0P0000080?oo
o`003`3oool00`000000oooo0?ooo`030?ooo`030000003oool0oooo0?l0oooo00<000000?ooo`3o
ool01P3oool000l0oooo00<000000?ooo`3oool00`3oool00`000000oooo0?ooo`3o0?ooo`030000
003oool0oooo00H0oooo000>0?ooo`8000001@3oool00`000000oooo0?ooo`020?ooo`030000003o
ool0oooo02h0oooo00<000000?ooo`3oool0;`3oool00`000000oooo0?ooo`0_0?ooo`030000003o
ool0oooo02l0oooo00<000000?ooo`3oool0;`3oool01@000000oooo0?ooo`3oool0000000P0oooo
000E0?ooool00000100000080?ooo`00o`3ooolQ0?ooo`00o`3ooolQ0?ooo`00o`3ooolQ0?ooo`00
o`3ooolQ0?ooo`00o`3ooolQ0?ooo`00o`3ooolQ0?ooo`00o`3ooolQ0?ooo`00o`3ooolQ0?ooo`00
\
\>"],
  ImageRangeCache->{{{0, 287}, {287, 0}} -> {-105.246, -0.100284, 4.01909, \
0.00401548}}]
}, Open  ]]
},
FrontEndVersion->"5.1 for Microsoft Windows",
ScreenRectangle->{{0, 800}, {0, 547}},
WindowSize->{756, 389},
WindowMargins->{{-19, Automatic}, {Automatic, 43}},
StyleDefinitions -> "Classroom.nb"
]

(*******************************************************************
Cached data follows.  If you edit this Notebook file directly, not
using Mathematica, you must remove the line containing CacheID at
the top of  the file.  The cache data will then be recreated when
you save this file from within Mathematica.
*******************************************************************)

(*CellTagsOutline
CellTagsIndex->{}
*)

(*CellTagsIndex
CellTagsIndex->{}
*)

(*NotebookFileOutline
Notebook[{
Cell[1754, 51, 135, 3, 51, "Input"],

Cell[CellGroupData[{
Cell[1914, 58, 61, 1, 50, "Input"],
Cell[1978, 61, 17023, 422, 186, 3652, 252, "GraphicsData", "PostScript", \
"Graphics"]
}, Open  ]],
Cell[19016, 486, 357, 7, 86, "Input"],

Cell[CellGroupData[{
Cell[19398, 497, 1088, 21, 250, "Input"],
Cell[20489, 520, 35, 1, 49, "Output"]
}, Open  ]],
Cell[20539, 524, 129, 3, 71, "Input"],

Cell[CellGroupData[{
Cell[20693, 531, 37, 1, 50, "Input"],
Cell[20733, 534, 4228, 64, 401, "Output"]
}, Open  ]],
Cell[24976, 601, 183, 3, 61, "Input"],

Cell[CellGroupData[{
Cell[25184, 608, 143, 4, 50, "Input"],
Cell[25330, 614, 10068, 171, 1068, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[35435, 790, 46, 1, 50, "Input"],
Cell[35484, 793, 18866, 278, 2336, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[54387, 1076, 84, 1, 50, "Input"],
Cell[54474, 1079, 1989, 32, 258, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[56500, 1116, 124, 3, 50, "Input"],
Cell[56627, 1121, 500, 8, 68, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[57164, 1134, 304, 7, 70, "Input"],
Cell[57471, 1143, 29088, 669, 296, 4337, 359, "GraphicsData", "PostScript", \
"Graphics"]
}, Open  ]],

Cell[CellGroupData[{
Cell[86596, 1817, 255, 6, 70, "Input"],
Cell[86854, 1825, 80792, 2181, 296, 20781, 1435, "GraphicsData", \
"PostScript", "Graphics"]
}, Open  ]]
}
]
*)



(*******************************************************************
End of Mathematica Notebook file.
*******************************************************************)

